# Clients

- [Clients](#clients)
    - [View Clients](#view-clients)
    - [Add Client](#add-client)
    - [Client Details](#client-details)
      - [Accounts](#client-accounts)
      - [Identification](#client-identification)
      - [Next Of Kin](#client-next-of-kin)
      - [Login Details](#client-login-details)
      - [Files](#client-files)

<a name="view-clients"></a>
## View Clients

Clicking View Clients will open clients list page. On this page you will see a table with columns below:
- **Name:** The name of the client
- **Type:** The asset type
- **System ID:** The system id of the client
- **External ID:** The external id of the client, you may use your manual file number here.
- **Gender:** The gender of the client
- **Mobile:** The mobile number of the client
- **Status:** The status of the client. Only active clients will be shown on the clients list dropdown
- **Branch:** The branch of the client
- **Staff:** The staff assigned to the client
- **Action:** Further actions that you can take on the row like edit or details

<a name="add-client"></a>
## Add Clients

To add new client , click on Clients menu then click Create Client.
This will open the client create page offering a series of text  inputs.
The form contains:

- **Branch:** The branch of the client
- **External ID:** The external id of the client, you may use your manual file number here.
- **Title:** The title of the client. To create titles, go to organisation settings and find  titles.
- **First Name:** The first name of the client
- **Last Name:** The last name of the client
- **Gender:** The gender of the client
- **Marital Status:** The marital status of the client
- **Mobile:** The mobile number of the client
- **Country:** The country of the client
- **Date of Birth:** The date of birth of the client
- **Staff:** The staff assigned to the client
- **Email:** The email of the client. This will be used to send communication emails to the client
- **Profession:** The profession of the client. To create professions, go to organisation settings and find  professions.
- **Type:** The type or category of the client. To create types, go to organisation settings and find  Client Types.
- **Photo:** The photo of the client
- **Address:** The address of the client
- **Notes:**  Any additional details.
- **Submitted on:** The date when the client was entered in the system

<a name="client-details"></a>
## Client Details

Clicking details will open the client details page. When a client is initially created, the client will have a status of pending and will not be available for use in other sections of the system.
To change client status, click on the current status and a modal will open.

<a name="client-accounts"></a>
## Accounts

This tab will show all accounts linked with the client which includes loans and savings

<a name="client-identification"></a>
## Identification

This tab will show all client identifications. You can add passport or national id.

<a name="add-client-identification"></a>
### Add Identification

To add new identification , click on Add Identification.
This will open the identification create page offering a series of text  inputs.
The form contains:

- **Type:** The identification type. To create identification types, go to organisation settings and find Client Identification Types.
- **ID #:** The unique number of the identification
- **Photo:** The photo of the identification
- **Address:** The address of the client
- **Description:**  Any additional details.

<a name="client-next-of-kin"></a>
## Next Of Kin

This tab will show all client next of kin.

<a name="add-client-next-of-kin"></a>
### Add Next Of Kin

To add new next of client , click on Add Next of Kin.
This will open the next of kin create page offering a series of text  inputs.
The form contains:

- **Relationship:** The Relationship of the next of kin to the client. To create relationships, go to organisation settings and find Client Relationships.
- **Title:** The title of the client. To create titles, go to organisation settings and find titles.
- **First Name:** The first name of the next of kin
- **Last Name:** The last name of the next of kin
- **Gender:** The gender of the next of kin
- **Mobile:** The mobile number of the next of kin
- **Country:** The country of the next of kin
- **Date of Birth:** The date of birth of the next of kin
- **Staff:** The staff assigned to the next of kin
- **Email:** The email of the next of kin.
- **Profession:** The profession of the next of kin. To create professions, go to organisation settings and find  professions.
- **Photo:** The photo of the next of kin
- **Address:** The address of the next of kin
- **Notes:**  Any additional details.

<a name="client-login-details"></a>
## Login Details

This tab will show all users linked to the client. These users can login and manage the client account. You can add an existing user or create a new user.


<a name="client-files"></a>
## Files

This tab will show all client files.