# Portal

- [Portal](#portal)
    - [Loans](#loans)
      - [View Loans](#view-loans)
      - [View Applications](#view-applications)
      - [Add Application](#add-application)
    - [Savings](#savings)
    - [Client Profile](#client-profile)
  


<a name="portal"></a>
## Portal

This is where clients login and manage their account. Visit [Clients Section](/{{route}}/{{version}}/clients#client-login-details) to check on how to create client login details.
A client can have multiple users linked to it.
Clients use the same login link as admin but will be redirected accordingly.


<a name="loans"></a>
## Loans

All the loans that belong to the client will appear here.


<a name="view-loans"></a>
## View Loans

Clicking View Loans will open loans list page. On this page you will see a table with columns below:

- **System ID:** The system id of the loan
- **Branch:** The branch of the loan
- **Loan Officer:** The financial institution representative who has responsibility for, and interacts with, the client/group associated with a loan account
- **Amount:** The amount disbursed
- **Balance:** The outstanding loan amount
- **Disbursed:** The date when the loan was disbursed
- **Status:** The current loan status
- **Product:** The loan product
- **Details:** The details of the loan


<a name="loan-loans"></a>
### Loan Details

The loan details page will show more details about the loan

<a name="view-applications"></a>
## View Applications

Clicking View Applications will open loan applications list page. On this page you will see a table with columns below:

- **System ID:** The system id of the loan application
- **Product:** The loan product
- **Amount:** The amount applied for
- **Status:** The current loan application status
- **Date:** The date when the application was made
- **Action:** Further actions that you can take on the row like edit or details

<a name="add-application"></a>
## Add Application

To add new application , click on Loans menu then click Create application.
This will open the loan application create page offering a series of text  inputs.
The form contains:

- **Loan Product:** The loan product. Once this is selected, some fields will be prepopulated with values from the loan product
- **Amount:** The amount that you are applying for
- **Notes:** Additional details

<a name="savings"></a>
## Savings

Clicking View Savings will open savings list page. On this page you will see a table with columns below:

- **System ID:** The system id of the savings
- **Branch:** The branch of the savings
- **Savings Officer:** The financial institution representative who has responsibility for, and interacts with, the client/group associated with a savings account
- **Interest Rate:** The interest rate of the product
- **Balance:** The current savings amount
- **Status:** The current savings status
- **Product:** The savings product
- **Details:** The details of the savings


<a name="client-profile"></a>
## Client Profile

This will show the client profile
