<?php //3b6eb700b38afbae8d74164442b50b33
/** @noinspection all */

namespace App\Events {

    use App\Models\Loan;
    use App\Models\LoanTransaction;
    use Illuminate\Broadcasting\PendingBroadcast;
    use Modules\Loan\Entities\LoanTransaction as EntitiesLoanTransaction;
    
    /**
     * @method static void dispatch(LoanTransaction $loan_transaction)
     * @method static PendingBroadcast broadcast(LoanTransaction $loan_transaction)
     */
    class InterestWaived {}
    
    /**
     * @method static void dispatch(EntitiesLoanTransaction $loan_transaction)
     * @method static PendingBroadcast broadcast(EntitiesLoanTransaction $loan_transaction)
     */
    class LoanTransactionUpdated {}
    
    /**
     * @method static void dispatch(LoanTransaction $loan_transaction)
     * @method static PendingBroadcast broadcast(LoanTransaction $loan_transaction)
     */
    class RepaymentCreated {}
    
    /**
     * @method static void dispatch(LoanTransaction $loan_transaction)
     * @method static PendingBroadcast broadcast(LoanTransaction $loan_transaction)
     */
    class RepaymentNotification {}
    
    /**
     * @method static void dispatch(LoanTransaction $loan_transaction)
     * @method static PendingBroadcast broadcast(LoanTransaction $loan_transaction)
     */
    class RepaymentReversed {}
    
    /**
     * @method static void dispatch(LoanTransaction $loan_transaction)
     * @method static PendingBroadcast broadcast(LoanTransaction $loan_transaction)
     */
    class RepaymentUpdated {}
    
    /**
     * @method static void dispatch(Loan $loan)
     * @method static PendingBroadcast broadcast(Loan $loan)
     */
    class UpdateLoanTransactions {}
}

namespace Illuminate\Bus {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch(PendingBatch $batch)
     * @method static mixed dispatchSync(PendingBatch $batch)
     */
    class ChainedBatch {}
}

namespace Illuminate\Foundation\Console {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch(array $data)
     * @method static mixed dispatchSync(array $data)
     */
    class QueuedCommand {}
}

namespace Illuminate\Foundation\Events {

    use Illuminate\Broadcasting\PendingBroadcast;
    
    /**
     * @method static void dispatch(array $stubs)
     * @method static PendingBroadcast broadcast(array $stubs)
     */
    class PublishingStubs {}
}

namespace Illuminate\Queue {

    use Illuminate\Foundation\Bus\PendingDispatch;
    use Laravel\SerializableClosure\SerializableClosure;
    
    /**
     * @method static PendingDispatch dispatch(SerializableClosure $closure)
     * @method static mixed dispatchSync(SerializableClosure $closure)
     */
    class CallQueuedClosure {}
}

namespace Laravel\Telescope\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch($pendingUpdates, int $attempt = 0)
     * @method static mixed dispatchSync($pendingUpdates, int $attempt = 0)
     */
    class ProcessPendingUpdates {}
}

namespace Maatwebsite\Excel\Jobs {

    use Illuminate\Contracts\Queue\ShouldQueue;
    use Illuminate\Foundation\Bus\PendingDispatch;
    use Maatwebsite\Excel\Concerns\FromQuery;
    use Maatwebsite\Excel\Concerns\FromView;
    use Maatwebsite\Excel\Files\TemporaryFile;
    
    /**
     * @method static PendingDispatch dispatch(object $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, array $data)
     * @method static mixed dispatchSync(object $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, array $data)
     */
    class AppendDataToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $chunkSize)
     * @method static mixed dispatchSync(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $chunkSize)
     */
    class AppendQueryToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromView $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex)
     * @method static mixed dispatchSync(FromView $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex)
     */
    class AppendViewToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(object $export, TemporaryFile $temporaryFile, string $writerType)
     * @method static mixed dispatchSync(object $export, TemporaryFile $temporaryFile, string $writerType)
     */
    class QueueExport {}
    
    /**
     * @method static PendingDispatch dispatch(ShouldQueue $import = null)
     * @method static mixed dispatchSync(ShouldQueue $import = null)
     */
    class QueueImport {}
}

namespace Modules\Communication\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    use Modules\Communication\Entities\CommunicationCampaign;
    
    /**
     * @method static PendingDispatch dispatch(CommunicationCampaign $communication_campaign)
     * @method static mixed dispatchSync(CommunicationCampaign $communication_campaign)
     */
    class ProcessDirectCampaigns {}
}

namespace PragmaRX\Google2FALaravel\Events {

    use Illuminate\Broadcasting\PendingBroadcast;
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class LoggedOut {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class LoginFailed {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class LoginSucceeded {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class OneTimePasswordExpired {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class OneTimePasswordRequested {}
    
    /**
     * @method static void dispatch($user)
     * @method static PendingBroadcast broadcast($user)
     */
    class OneTimePasswordRequested53 {}
}
