<?php //e1d6bbfe2451426fd6bb17650b18e765
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Branch\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Branch\Entities\Branch;
    use Modules\Branch\Entities\BranchUser;
    
    /**
     * @method BranchUser|null getOrPut($key, \Closure $value)
     * @method BranchUser|$this shift(int $count = 1)
     * @method BranchUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method BranchUser|$this pop(int $count = 1)
     * @method BranchUser|null pull($key, \Closure $default = null)
     * @method BranchUser|null last(callable $callback = null, \Closure $default = null)
     * @method BranchUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method BranchUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method BranchUser|null get($key, \Closure $default = null)
     * @method BranchUser|null first(callable $callback = null, \Closure $default = null)
     * @method BranchUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method BranchUser|null find($key, $default = null)
     * @method BranchUser[] all()
     */
    class _IH_BranchUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return BranchUser[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_BranchUser_QB whereId($value)
     * @method _IH_BranchUser_QB whereCreatedById($value)
     * @method _IH_BranchUser_QB whereUserId($value)
     * @method _IH_BranchUser_QB whereBranchId($value)
     * @method _IH_BranchUser_QB whereCreatedAt($value)
     * @method _IH_BranchUser_QB whereUpdatedAt($value)
     * @method BranchUser baseSole(array|string $columns = ['*'])
     * @method BranchUser create(array $attributes = [])
     * @method BranchUser createOrFirst(array $attributes = [], array $values = [])
     * @method BranchUser createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_BranchUser_C|BranchUser[] cursor()
     * @method BranchUser|null|_IH_BranchUser_C|BranchUser[] find($id, array|string $columns = ['*'])
     * @method _IH_BranchUser_C|BranchUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method BranchUser|_IH_BranchUser_C|BranchUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BranchUser|_IH_BranchUser_C|BranchUser[] findOrFail($id, array|string $columns = ['*'])
     * @method BranchUser|_IH_BranchUser_C|BranchUser[] findOrNew($id, array|string $columns = ['*'])
     * @method BranchUser first(array|string $columns = ['*'])
     * @method BranchUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method BranchUser firstOrCreate(array $attributes = [], array $values = [])
     * @method BranchUser firstOrFail(array|string $columns = ['*'])
     * @method BranchUser firstOrNew(array $attributes = [], array $values = [])
     * @method BranchUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method BranchUser forceCreate(array $attributes)
     * @method BranchUser forceCreateQuietly(array $attributes = [])
     * @method _IH_BranchUser_C|BranchUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_BranchUser_C|BranchUser[] get(array|string $columns = ['*'])
     * @method BranchUser getModel()
     * @method BranchUser[] getModels(array|string $columns = ['*'])
     * @method _IH_BranchUser_C|BranchUser[] hydrate(array $items)
     * @method _IH_BranchUser_C|BranchUser[] lazy(int $chunkSize = 1000)
     * @method _IH_BranchUser_C|BranchUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_BranchUser_C|BranchUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method BranchUser make(array $attributes = [])
     * @method BranchUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|BranchUser[]|_IH_BranchUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BranchUser restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|BranchUser[]|_IH_BranchUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method BranchUser sole(array|string $columns = ['*'])
     * @method BranchUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_BranchUser_QB extends _BaseBuilder {}
    
    /**
     * @method Branch|null getOrPut($key, \Closure $value)
     * @method Branch|$this shift(int $count = 1)
     * @method Branch|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Branch|$this pop(int $count = 1)
     * @method Branch|null pull($key, \Closure $default = null)
     * @method Branch|null last(callable $callback = null, \Closure $default = null)
     * @method Branch|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Branch|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Branch|null get($key, \Closure $default = null)
     * @method Branch|null first(callable $callback = null, \Closure $default = null)
     * @method Branch|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Branch|null find($key, $default = null)
     * @method Branch[] all()
     */
    class _IH_Branch_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Branch[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Branch_QB whereId($value)
     * @method _IH_Branch_QB whereCreatedById($value)
     * @method _IH_Branch_QB whereParentId($value)
     * @method _IH_Branch_QB whereManagerId($value)
     * @method _IH_Branch_QB whereName($value)
     * @method _IH_Branch_QB whereOpenDate($value)
     * @method _IH_Branch_QB whereNotes($value)
     * @method _IH_Branch_QB whereActive($value)
     * @method _IH_Branch_QB whereIsSystem($value)
     * @method _IH_Branch_QB whereCreatedAt($value)
     * @method _IH_Branch_QB whereUpdatedAt($value)
     * @method Branch baseSole(array|string $columns = ['*'])
     * @method Branch create(array $attributes = [])
     * @method Branch createOrFirst(array $attributes = [], array $values = [])
     * @method Branch createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Branch_C|Branch[] cursor()
     * @method Branch|null|_IH_Branch_C|Branch[] find($id, array|string $columns = ['*'])
     * @method _IH_Branch_C|Branch[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Branch|_IH_Branch_C|Branch[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Branch|_IH_Branch_C|Branch[] findOrFail($id, array|string $columns = ['*'])
     * @method Branch|_IH_Branch_C|Branch[] findOrNew($id, array|string $columns = ['*'])
     * @method Branch first(array|string $columns = ['*'])
     * @method Branch firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Branch firstOrCreate(array $attributes = [], array $values = [])
     * @method Branch firstOrFail(array|string $columns = ['*'])
     * @method Branch firstOrNew(array $attributes = [], array $values = [])
     * @method Branch firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Branch forceCreate(array $attributes)
     * @method Branch forceCreateQuietly(array $attributes = [])
     * @method _IH_Branch_C|Branch[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Branch_C|Branch[] get(array|string $columns = ['*'])
     * @method Branch getModel()
     * @method Branch[] getModels(array|string $columns = ['*'])
     * @method _IH_Branch_C|Branch[] hydrate(array $items)
     * @method _IH_Branch_C|Branch[] lazy(int $chunkSize = 1000)
     * @method _IH_Branch_C|Branch[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Branch_C|Branch[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Branch make(array $attributes = [])
     * @method Branch newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Branch[]|_IH_Branch_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Branch restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Branch[]|_IH_Branch_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Branch sole(array|string $columns = ['*'])
     * @method Branch updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Branch_QB extends _BaseBuilder {}
}