<?php //778b1b414afd90f691f88c9a4e2fcf5f
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Share\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Share\Entities\Share;
    use Modules\Share\Entities\ShareCharge;
    use Modules\Share\Entities\ShareChargeOption;
    use Modules\Share\Entities\ShareChargeType;
    use Modules\Share\Entities\ShareLinkedCharge;
    use Modules\Share\Entities\ShareMarketPeriod;
    use Modules\Share\Entities\ShareProduct;
    use Modules\Share\Entities\ShareProductLinkedCharge;
    use Modules\Share\Entities\ShareTransaction;
    use Modules\Share\Entities\ShareTransactionType;
    
    /**
     * @method ShareChargeOption|null getOrPut($key, \Closure $value)
     * @method ShareChargeOption|$this shift(int $count = 1)
     * @method ShareChargeOption|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareChargeOption|$this pop(int $count = 1)
     * @method ShareChargeOption|null pull($key, \Closure $default = null)
     * @method ShareChargeOption|null last(callable $callback = null, \Closure $default = null)
     * @method ShareChargeOption|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareChargeOption|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareChargeOption|null get($key, \Closure $default = null)
     * @method ShareChargeOption|null first(callable $callback = null, \Closure $default = null)
     * @method ShareChargeOption|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareChargeOption|null find($key, $default = null)
     * @method ShareChargeOption[] all()
     */
    class _IH_ShareChargeOption_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareChargeOption[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareChargeOption_QB whereId($value)
     * @method _IH_ShareChargeOption_QB whereName($value)
     * @method _IH_ShareChargeOption_QB whereTranslatedName($value)
     * @method _IH_ShareChargeOption_QB whereActive($value)
     * @method _IH_ShareChargeOption_QB whereCreatedAt($value)
     * @method _IH_ShareChargeOption_QB whereUpdatedAt($value)
     * @method ShareChargeOption baseSole(array|string $columns = ['*'])
     * @method ShareChargeOption create(array $attributes = [])
     * @method ShareChargeOption createOrFirst(array $attributes = [], array $values = [])
     * @method ShareChargeOption createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareChargeOption_C|ShareChargeOption[] cursor()
     * @method ShareChargeOption|null|_IH_ShareChargeOption_C|ShareChargeOption[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareChargeOption_C|ShareChargeOption[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareChargeOption|_IH_ShareChargeOption_C|ShareChargeOption[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareChargeOption|_IH_ShareChargeOption_C|ShareChargeOption[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareChargeOption|_IH_ShareChargeOption_C|ShareChargeOption[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareChargeOption first(array|string $columns = ['*'])
     * @method ShareChargeOption firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareChargeOption firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareChargeOption firstOrFail(array|string $columns = ['*'])
     * @method ShareChargeOption firstOrNew(array $attributes = [], array $values = [])
     * @method ShareChargeOption firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareChargeOption forceCreate(array $attributes)
     * @method ShareChargeOption forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareChargeOption_C|ShareChargeOption[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareChargeOption_C|ShareChargeOption[] get(array|string $columns = ['*'])
     * @method ShareChargeOption getModel()
     * @method ShareChargeOption[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareChargeOption_C|ShareChargeOption[] hydrate(array $items)
     * @method _IH_ShareChargeOption_C|ShareChargeOption[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareChargeOption_C|ShareChargeOption[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareChargeOption_C|ShareChargeOption[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareChargeOption make(array $attributes = [])
     * @method ShareChargeOption newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareChargeOption[]|_IH_ShareChargeOption_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareChargeOption restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareChargeOption[]|_IH_ShareChargeOption_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareChargeOption sole(array|string $columns = ['*'])
     * @method ShareChargeOption updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareChargeOption_QB extends _BaseBuilder {}
    
    /**
     * @method ShareChargeType|null getOrPut($key, \Closure $value)
     * @method ShareChargeType|$this shift(int $count = 1)
     * @method ShareChargeType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareChargeType|$this pop(int $count = 1)
     * @method ShareChargeType|null pull($key, \Closure $default = null)
     * @method ShareChargeType|null last(callable $callback = null, \Closure $default = null)
     * @method ShareChargeType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareChargeType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareChargeType|null get($key, \Closure $default = null)
     * @method ShareChargeType|null first(callable $callback = null, \Closure $default = null)
     * @method ShareChargeType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareChargeType|null find($key, $default = null)
     * @method ShareChargeType[] all()
     */
    class _IH_ShareChargeType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareChargeType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareChargeType_QB whereId($value)
     * @method _IH_ShareChargeType_QB whereName($value)
     * @method _IH_ShareChargeType_QB whereTranslatedName($value)
     * @method _IH_ShareChargeType_QB whereActive($value)
     * @method _IH_ShareChargeType_QB whereCreatedAt($value)
     * @method _IH_ShareChargeType_QB whereUpdatedAt($value)
     * @method ShareChargeType baseSole(array|string $columns = ['*'])
     * @method ShareChargeType create(array $attributes = [])
     * @method ShareChargeType createOrFirst(array $attributes = [], array $values = [])
     * @method ShareChargeType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareChargeType_C|ShareChargeType[] cursor()
     * @method ShareChargeType|null|_IH_ShareChargeType_C|ShareChargeType[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareChargeType_C|ShareChargeType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareChargeType|_IH_ShareChargeType_C|ShareChargeType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareChargeType|_IH_ShareChargeType_C|ShareChargeType[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareChargeType|_IH_ShareChargeType_C|ShareChargeType[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareChargeType first(array|string $columns = ['*'])
     * @method ShareChargeType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareChargeType firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareChargeType firstOrFail(array|string $columns = ['*'])
     * @method ShareChargeType firstOrNew(array $attributes = [], array $values = [])
     * @method ShareChargeType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareChargeType forceCreate(array $attributes)
     * @method ShareChargeType forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareChargeType_C|ShareChargeType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareChargeType_C|ShareChargeType[] get(array|string $columns = ['*'])
     * @method ShareChargeType getModel()
     * @method ShareChargeType[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareChargeType_C|ShareChargeType[] hydrate(array $items)
     * @method _IH_ShareChargeType_C|ShareChargeType[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareChargeType_C|ShareChargeType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareChargeType_C|ShareChargeType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareChargeType make(array $attributes = [])
     * @method ShareChargeType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareChargeType[]|_IH_ShareChargeType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareChargeType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareChargeType[]|_IH_ShareChargeType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareChargeType sole(array|string $columns = ['*'])
     * @method ShareChargeType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareChargeType_QB extends _BaseBuilder {}
    
    /**
     * @method ShareCharge|null getOrPut($key, \Closure $value)
     * @method ShareCharge|$this shift(int $count = 1)
     * @method ShareCharge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareCharge|$this pop(int $count = 1)
     * @method ShareCharge|null pull($key, \Closure $default = null)
     * @method ShareCharge|null last(callable $callback = null, \Closure $default = null)
     * @method ShareCharge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareCharge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareCharge|null get($key, \Closure $default = null)
     * @method ShareCharge|null first(callable $callback = null, \Closure $default = null)
     * @method ShareCharge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareCharge|null find($key, $default = null)
     * @method ShareCharge[] all()
     */
    class _IH_ShareCharge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareCharge[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareCharge_QB whereId($value)
     * @method _IH_ShareCharge_QB whereCreatedById($value)
     * @method _IH_ShareCharge_QB whereCurrencyId($value)
     * @method _IH_ShareCharge_QB whereShareChargeTypeId($value)
     * @method _IH_ShareCharge_QB whereShareChargeOptionId($value)
     * @method _IH_ShareCharge_QB whereName($value)
     * @method _IH_ShareCharge_QB whereAmount($value)
     * @method _IH_ShareCharge_QB whereMinAmount($value)
     * @method _IH_ShareCharge_QB whereMaxAmount($value)
     * @method _IH_ShareCharge_QB whereActive($value)
     * @method _IH_ShareCharge_QB whereAllowOverride($value)
     * @method _IH_ShareCharge_QB whereCreatedAt($value)
     * @method _IH_ShareCharge_QB whereUpdatedAt($value)
     * @method ShareCharge baseSole(array|string $columns = ['*'])
     * @method ShareCharge create(array $attributes = [])
     * @method ShareCharge createOrFirst(array $attributes = [], array $values = [])
     * @method ShareCharge createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareCharge_C|ShareCharge[] cursor()
     * @method ShareCharge|null|_IH_ShareCharge_C|ShareCharge[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareCharge_C|ShareCharge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareCharge|_IH_ShareCharge_C|ShareCharge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareCharge|_IH_ShareCharge_C|ShareCharge[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareCharge|_IH_ShareCharge_C|ShareCharge[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareCharge first(array|string $columns = ['*'])
     * @method ShareCharge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareCharge firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareCharge firstOrFail(array|string $columns = ['*'])
     * @method ShareCharge firstOrNew(array $attributes = [], array $values = [])
     * @method ShareCharge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareCharge forceCreate(array $attributes)
     * @method ShareCharge forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareCharge_C|ShareCharge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareCharge_C|ShareCharge[] get(array|string $columns = ['*'])
     * @method ShareCharge getModel()
     * @method ShareCharge[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareCharge_C|ShareCharge[] hydrate(array $items)
     * @method _IH_ShareCharge_C|ShareCharge[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareCharge_C|ShareCharge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareCharge_C|ShareCharge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareCharge make(array $attributes = [])
     * @method ShareCharge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareCharge[]|_IH_ShareCharge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareCharge restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareCharge[]|_IH_ShareCharge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareCharge sole(array|string $columns = ['*'])
     * @method ShareCharge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareCharge_QB extends _BaseBuilder {}
    
    /**
     * @method ShareLinkedCharge|null getOrPut($key, \Closure $value)
     * @method ShareLinkedCharge|$this shift(int $count = 1)
     * @method ShareLinkedCharge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareLinkedCharge|$this pop(int $count = 1)
     * @method ShareLinkedCharge|null pull($key, \Closure $default = null)
     * @method ShareLinkedCharge|null last(callable $callback = null, \Closure $default = null)
     * @method ShareLinkedCharge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareLinkedCharge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareLinkedCharge|null get($key, \Closure $default = null)
     * @method ShareLinkedCharge|null first(callable $callback = null, \Closure $default = null)
     * @method ShareLinkedCharge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareLinkedCharge|null find($key, $default = null)
     * @method ShareLinkedCharge[] all()
     */
    class _IH_ShareLinkedCharge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareLinkedCharge[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareLinkedCharge_QB whereId($value)
     * @method _IH_ShareLinkedCharge_QB whereCreatedById($value)
     * @method _IH_ShareLinkedCharge_QB whereCurrencyId($value)
     * @method _IH_ShareLinkedCharge_QB whereShareId($value)
     * @method _IH_ShareLinkedCharge_QB whereShareChargeId($value)
     * @method _IH_ShareLinkedCharge_QB whereShareChargeTypeId($value)
     * @method _IH_ShareLinkedCharge_QB whereShareChargeOptionId($value)
     * @method _IH_ShareLinkedCharge_QB whereShareTransactionId($value)
     * @method _IH_ShareLinkedCharge_QB whereName($value)
     * @method _IH_ShareLinkedCharge_QB whereAmount($value)
     * @method _IH_ShareLinkedCharge_QB whereCalculatedAmount($value)
     * @method _IH_ShareLinkedCharge_QB wherePaidAmount($value)
     * @method _IH_ShareLinkedCharge_QB whereActive($value)
     * @method _IH_ShareLinkedCharge_QB whereWaived($value)
     * @method _IH_ShareLinkedCharge_QB whereIsPaid($value)
     * @method _IH_ShareLinkedCharge_QB whereSubmittedOn($value)
     * @method _IH_ShareLinkedCharge_QB whereCreatedAt($value)
     * @method _IH_ShareLinkedCharge_QB whereUpdatedAt($value)
     * @method ShareLinkedCharge baseSole(array|string $columns = ['*'])
     * @method ShareLinkedCharge create(array $attributes = [])
     * @method ShareLinkedCharge createOrFirst(array $attributes = [], array $values = [])
     * @method ShareLinkedCharge createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareLinkedCharge_C|ShareLinkedCharge[] cursor()
     * @method ShareLinkedCharge|null|_IH_ShareLinkedCharge_C|ShareLinkedCharge[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareLinkedCharge_C|ShareLinkedCharge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareLinkedCharge|_IH_ShareLinkedCharge_C|ShareLinkedCharge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareLinkedCharge|_IH_ShareLinkedCharge_C|ShareLinkedCharge[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareLinkedCharge|_IH_ShareLinkedCharge_C|ShareLinkedCharge[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareLinkedCharge first(array|string $columns = ['*'])
     * @method ShareLinkedCharge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareLinkedCharge firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareLinkedCharge firstOrFail(array|string $columns = ['*'])
     * @method ShareLinkedCharge firstOrNew(array $attributes = [], array $values = [])
     * @method ShareLinkedCharge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareLinkedCharge forceCreate(array $attributes)
     * @method ShareLinkedCharge forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareLinkedCharge_C|ShareLinkedCharge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareLinkedCharge_C|ShareLinkedCharge[] get(array|string $columns = ['*'])
     * @method ShareLinkedCharge getModel()
     * @method ShareLinkedCharge[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareLinkedCharge_C|ShareLinkedCharge[] hydrate(array $items)
     * @method _IH_ShareLinkedCharge_C|ShareLinkedCharge[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareLinkedCharge_C|ShareLinkedCharge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareLinkedCharge_C|ShareLinkedCharge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareLinkedCharge make(array $attributes = [])
     * @method ShareLinkedCharge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareLinkedCharge[]|_IH_ShareLinkedCharge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareLinkedCharge restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareLinkedCharge[]|_IH_ShareLinkedCharge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareLinkedCharge sole(array|string $columns = ['*'])
     * @method ShareLinkedCharge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareLinkedCharge_QB extends _BaseBuilder {}
    
    /**
     * @method ShareMarketPeriod|null getOrPut($key, \Closure $value)
     * @method ShareMarketPeriod|$this shift(int $count = 1)
     * @method ShareMarketPeriod|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareMarketPeriod|$this pop(int $count = 1)
     * @method ShareMarketPeriod|null pull($key, \Closure $default = null)
     * @method ShareMarketPeriod|null last(callable $callback = null, \Closure $default = null)
     * @method ShareMarketPeriod|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareMarketPeriod|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareMarketPeriod|null get($key, \Closure $default = null)
     * @method ShareMarketPeriod|null first(callable $callback = null, \Closure $default = null)
     * @method ShareMarketPeriod|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareMarketPeriod|null find($key, $default = null)
     * @method ShareMarketPeriod[] all()
     */
    class _IH_ShareMarketPeriod_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareMarketPeriod[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareMarketPeriod_QB whereId($value)
     * @method _IH_ShareMarketPeriod_QB whereCreatedById($value)
     * @method _IH_ShareMarketPeriod_QB whereShareProductId($value)
     * @method _IH_ShareMarketPeriod_QB whereFromDate($value)
     * @method _IH_ShareMarketPeriod_QB whereToDate($value)
     * @method _IH_ShareMarketPeriod_QB whereNominalPrice($value)
     * @method _IH_ShareMarketPeriod_QB whereCreatedAt($value)
     * @method _IH_ShareMarketPeriod_QB whereUpdatedAt($value)
     * @method ShareMarketPeriod baseSole(array|string $columns = ['*'])
     * @method ShareMarketPeriod create(array $attributes = [])
     * @method ShareMarketPeriod createOrFirst(array $attributes = [], array $values = [])
     * @method ShareMarketPeriod createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareMarketPeriod_C|ShareMarketPeriod[] cursor()
     * @method ShareMarketPeriod|null|_IH_ShareMarketPeriod_C|ShareMarketPeriod[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareMarketPeriod_C|ShareMarketPeriod[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareMarketPeriod|_IH_ShareMarketPeriod_C|ShareMarketPeriod[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareMarketPeriod|_IH_ShareMarketPeriod_C|ShareMarketPeriod[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareMarketPeriod|_IH_ShareMarketPeriod_C|ShareMarketPeriod[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareMarketPeriod first(array|string $columns = ['*'])
     * @method ShareMarketPeriod firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareMarketPeriod firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareMarketPeriod firstOrFail(array|string $columns = ['*'])
     * @method ShareMarketPeriod firstOrNew(array $attributes = [], array $values = [])
     * @method ShareMarketPeriod firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareMarketPeriod forceCreate(array $attributes)
     * @method ShareMarketPeriod forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareMarketPeriod_C|ShareMarketPeriod[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareMarketPeriod_C|ShareMarketPeriod[] get(array|string $columns = ['*'])
     * @method ShareMarketPeriod getModel()
     * @method ShareMarketPeriod[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareMarketPeriod_C|ShareMarketPeriod[] hydrate(array $items)
     * @method _IH_ShareMarketPeriod_C|ShareMarketPeriod[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareMarketPeriod_C|ShareMarketPeriod[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareMarketPeriod_C|ShareMarketPeriod[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareMarketPeriod make(array $attributes = [])
     * @method ShareMarketPeriod newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareMarketPeriod[]|_IH_ShareMarketPeriod_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareMarketPeriod restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareMarketPeriod[]|_IH_ShareMarketPeriod_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareMarketPeriod sole(array|string $columns = ['*'])
     * @method ShareMarketPeriod updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareMarketPeriod_QB extends _BaseBuilder {}
    
    /**
     * @method ShareProductLinkedCharge|null getOrPut($key, \Closure $value)
     * @method ShareProductLinkedCharge|$this shift(int $count = 1)
     * @method ShareProductLinkedCharge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareProductLinkedCharge|$this pop(int $count = 1)
     * @method ShareProductLinkedCharge|null pull($key, \Closure $default = null)
     * @method ShareProductLinkedCharge|null last(callable $callback = null, \Closure $default = null)
     * @method ShareProductLinkedCharge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareProductLinkedCharge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareProductLinkedCharge|null get($key, \Closure $default = null)
     * @method ShareProductLinkedCharge|null first(callable $callback = null, \Closure $default = null)
     * @method ShareProductLinkedCharge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareProductLinkedCharge|null find($key, $default = null)
     * @method ShareProductLinkedCharge[] all()
     */
    class _IH_ShareProductLinkedCharge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareProductLinkedCharge[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareProductLinkedCharge_QB whereId($value)
     * @method _IH_ShareProductLinkedCharge_QB whereShareProductId($value)
     * @method _IH_ShareProductLinkedCharge_QB whereShareChargeId($value)
     * @method _IH_ShareProductLinkedCharge_QB whereCreatedAt($value)
     * @method _IH_ShareProductLinkedCharge_QB whereUpdatedAt($value)
     * @method ShareProductLinkedCharge baseSole(array|string $columns = ['*'])
     * @method ShareProductLinkedCharge create(array $attributes = [])
     * @method ShareProductLinkedCharge createOrFirst(array $attributes = [], array $values = [])
     * @method ShareProductLinkedCharge createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] cursor()
     * @method ShareProductLinkedCharge|null|_IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareProductLinkedCharge|_IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareProductLinkedCharge|_IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareProductLinkedCharge|_IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareProductLinkedCharge first(array|string $columns = ['*'])
     * @method ShareProductLinkedCharge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareProductLinkedCharge firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareProductLinkedCharge firstOrFail(array|string $columns = ['*'])
     * @method ShareProductLinkedCharge firstOrNew(array $attributes = [], array $values = [])
     * @method ShareProductLinkedCharge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareProductLinkedCharge forceCreate(array $attributes)
     * @method ShareProductLinkedCharge forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] get(array|string $columns = ['*'])
     * @method ShareProductLinkedCharge getModel()
     * @method ShareProductLinkedCharge[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] hydrate(array $items)
     * @method _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareProductLinkedCharge make(array $attributes = [])
     * @method ShareProductLinkedCharge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareProductLinkedCharge[]|_IH_ShareProductLinkedCharge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareProductLinkedCharge restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareProductLinkedCharge[]|_IH_ShareProductLinkedCharge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareProductLinkedCharge sole(array|string $columns = ['*'])
     * @method ShareProductLinkedCharge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareProductLinkedCharge_QB extends _BaseBuilder {}
    
    /**
     * @method ShareProduct|null getOrPut($key, \Closure $value)
     * @method ShareProduct|$this shift(int $count = 1)
     * @method ShareProduct|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareProduct|$this pop(int $count = 1)
     * @method ShareProduct|null pull($key, \Closure $default = null)
     * @method ShareProduct|null last(callable $callback = null, \Closure $default = null)
     * @method ShareProduct|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareProduct|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareProduct|null get($key, \Closure $default = null)
     * @method ShareProduct|null first(callable $callback = null, \Closure $default = null)
     * @method ShareProduct|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareProduct|null find($key, $default = null)
     * @method ShareProduct[] all()
     */
    class _IH_ShareProduct_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareProduct[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareProduct_QB whereId($value)
     * @method _IH_ShareProduct_QB whereCreatedById($value)
     * @method _IH_ShareProduct_QB whereCurrencyId($value)
     * @method _IH_ShareProduct_QB whereShareReferenceChartOfAccountId($value)
     * @method _IH_ShareProduct_QB whereShareSuspenseControlChartOfAccountId($value)
     * @method _IH_ShareProduct_QB whereEquityChartOfAccountId($value)
     * @method _IH_ShareProduct_QB whereIncomeFromFeesChartOfAccountId($value)
     * @method _IH_ShareProduct_QB whereName($value)
     * @method _IH_ShareProduct_QB whereShortName($value)
     * @method _IH_ShareProduct_QB whereDescription($value)
     * @method _IH_ShareProduct_QB whereDecimals($value)
     * @method _IH_ShareProduct_QB whereTotalShares($value)
     * @method _IH_ShareProduct_QB whereSharesToBeIssued($value)
     * @method _IH_ShareProduct_QB whereNominalPrice($value)
     * @method _IH_ShareProduct_QB whereCapitalValue($value)
     * @method _IH_ShareProduct_QB whereMinimumSharesPerClient($value)
     * @method _IH_ShareProduct_QB whereDefaultSharesPerClient($value)
     * @method _IH_ShareProduct_QB whereMaximumSharesPerClient($value)
     * @method _IH_ShareProduct_QB whereMinimumActivePeriod($value)
     * @method _IH_ShareProduct_QB whereMinimumActivePeriodType($value)
     * @method _IH_ShareProduct_QB whereLockinPeriod($value)
     * @method _IH_ShareProduct_QB whereLockinType($value)
     * @method _IH_ShareProduct_QB whereAllowDividendsForInactiveClients($value)
     * @method _IH_ShareProduct_QB whereAccountingRule($value)
     * @method _IH_ShareProduct_QB whereActive($value)
     * @method _IH_ShareProduct_QB whereCreatedAt($value)
     * @method _IH_ShareProduct_QB whereUpdatedAt($value)
     * @method ShareProduct baseSole(array|string $columns = ['*'])
     * @method ShareProduct create(array $attributes = [])
     * @method ShareProduct createOrFirst(array $attributes = [], array $values = [])
     * @method ShareProduct createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareProduct_C|ShareProduct[] cursor()
     * @method ShareProduct|null|_IH_ShareProduct_C|ShareProduct[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareProduct_C|ShareProduct[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareProduct|_IH_ShareProduct_C|ShareProduct[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareProduct|_IH_ShareProduct_C|ShareProduct[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareProduct|_IH_ShareProduct_C|ShareProduct[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareProduct first(array|string $columns = ['*'])
     * @method ShareProduct firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareProduct firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareProduct firstOrFail(array|string $columns = ['*'])
     * @method ShareProduct firstOrNew(array $attributes = [], array $values = [])
     * @method ShareProduct firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareProduct forceCreate(array $attributes)
     * @method ShareProduct forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareProduct_C|ShareProduct[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareProduct_C|ShareProduct[] get(array|string $columns = ['*'])
     * @method ShareProduct getModel()
     * @method ShareProduct[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareProduct_C|ShareProduct[] hydrate(array $items)
     * @method _IH_ShareProduct_C|ShareProduct[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareProduct_C|ShareProduct[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareProduct_C|ShareProduct[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareProduct make(array $attributes = [])
     * @method ShareProduct newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareProduct[]|_IH_ShareProduct_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareProduct restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareProduct[]|_IH_ShareProduct_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareProduct sole(array|string $columns = ['*'])
     * @method ShareProduct updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareProduct_QB extends _BaseBuilder {}
    
    /**
     * @method ShareTransactionType|null getOrPut($key, \Closure $value)
     * @method ShareTransactionType|$this shift(int $count = 1)
     * @method ShareTransactionType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareTransactionType|$this pop(int $count = 1)
     * @method ShareTransactionType|null pull($key, \Closure $default = null)
     * @method ShareTransactionType|null last(callable $callback = null, \Closure $default = null)
     * @method ShareTransactionType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareTransactionType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareTransactionType|null get($key, \Closure $default = null)
     * @method ShareTransactionType|null first(callable $callback = null, \Closure $default = null)
     * @method ShareTransactionType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareTransactionType|null find($key, $default = null)
     * @method ShareTransactionType[] all()
     */
    class _IH_ShareTransactionType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareTransactionType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareTransactionType_QB whereId($value)
     * @method _IH_ShareTransactionType_QB whereName($value)
     * @method _IH_ShareTransactionType_QB whereTranslatedName($value)
     * @method _IH_ShareTransactionType_QB whereActive($value)
     * @method _IH_ShareTransactionType_QB whereCreatedAt($value)
     * @method _IH_ShareTransactionType_QB whereUpdatedAt($value)
     * @method ShareTransactionType baseSole(array|string $columns = ['*'])
     * @method ShareTransactionType create(array $attributes = [])
     * @method ShareTransactionType createOrFirst(array $attributes = [], array $values = [])
     * @method ShareTransactionType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareTransactionType_C|ShareTransactionType[] cursor()
     * @method ShareTransactionType|null|_IH_ShareTransactionType_C|ShareTransactionType[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareTransactionType_C|ShareTransactionType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareTransactionType|_IH_ShareTransactionType_C|ShareTransactionType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareTransactionType|_IH_ShareTransactionType_C|ShareTransactionType[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareTransactionType|_IH_ShareTransactionType_C|ShareTransactionType[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareTransactionType first(array|string $columns = ['*'])
     * @method ShareTransactionType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareTransactionType firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareTransactionType firstOrFail(array|string $columns = ['*'])
     * @method ShareTransactionType firstOrNew(array $attributes = [], array $values = [])
     * @method ShareTransactionType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareTransactionType forceCreate(array $attributes)
     * @method ShareTransactionType forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareTransactionType_C|ShareTransactionType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareTransactionType_C|ShareTransactionType[] get(array|string $columns = ['*'])
     * @method ShareTransactionType getModel()
     * @method ShareTransactionType[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareTransactionType_C|ShareTransactionType[] hydrate(array $items)
     * @method _IH_ShareTransactionType_C|ShareTransactionType[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareTransactionType_C|ShareTransactionType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareTransactionType_C|ShareTransactionType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareTransactionType make(array $attributes = [])
     * @method ShareTransactionType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareTransactionType[]|_IH_ShareTransactionType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareTransactionType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareTransactionType[]|_IH_ShareTransactionType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareTransactionType sole(array|string $columns = ['*'])
     * @method ShareTransactionType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareTransactionType_QB extends _BaseBuilder {}
    
    /**
     * @method ShareTransaction|null getOrPut($key, \Closure $value)
     * @method ShareTransaction|$this shift(int $count = 1)
     * @method ShareTransaction|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShareTransaction|$this pop(int $count = 1)
     * @method ShareTransaction|null pull($key, \Closure $default = null)
     * @method ShareTransaction|null last(callable $callback = null, \Closure $default = null)
     * @method ShareTransaction|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ShareTransaction|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShareTransaction|null get($key, \Closure $default = null)
     * @method ShareTransaction|null first(callable $callback = null, \Closure $default = null)
     * @method ShareTransaction|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShareTransaction|null find($key, $default = null)
     * @method ShareTransaction[] all()
     */
    class _IH_ShareTransaction_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShareTransaction[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShareTransaction_QB whereId($value)
     * @method _IH_ShareTransaction_QB whereShareId($value)
     * @method _IH_ShareTransaction_QB whereCreatedById($value)
     * @method _IH_ShareTransaction_QB whereBranchId($value)
     * @method _IH_ShareTransaction_QB whereShareLinkedChargeId($value)
     * @method _IH_ShareTransaction_QB wherePaymentDetailId($value)
     * @method _IH_ShareTransaction_QB whereName($value)
     * @method _IH_ShareTransaction_QB whereAmount($value)
     * @method _IH_ShareTransaction_QB whereTotalShares($value)
     * @method _IH_ShareTransaction_QB whereChargeAmount($value)
     * @method _IH_ShareTransaction_QB whereCredit($value)
     * @method _IH_ShareTransaction_QB whereDebit($value)
     * @method _IH_ShareTransaction_QB whereBalance($value)
     * @method _IH_ShareTransaction_QB whereShareTransactionTypeId($value)
     * @method _IH_ShareTransaction_QB whereReversed($value)
     * @method _IH_ShareTransaction_QB whereReversible($value)
     * @method _IH_ShareTransaction_QB whereSubmittedOn($value)
     * @method _IH_ShareTransaction_QB whereCreatedOn($value)
     * @method _IH_ShareTransaction_QB whereDescription($value)
     * @method _IH_ShareTransaction_QB whereReference($value)
     * @method _IH_ShareTransaction_QB whereGatewayId($value)
     * @method _IH_ShareTransaction_QB wherePaymentGatewayData($value)
     * @method _IH_ShareTransaction_QB whereOnlineTransaction($value)
     * @method _IH_ShareTransaction_QB whereStatus($value)
     * @method _IH_ShareTransaction_QB whereCreatedAt($value)
     * @method _IH_ShareTransaction_QB whereUpdatedAt($value)
     * @method ShareTransaction baseSole(array|string $columns = ['*'])
     * @method ShareTransaction create(array $attributes = [])
     * @method ShareTransaction createOrFirst(array $attributes = [], array $values = [])
     * @method ShareTransaction createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ShareTransaction_C|ShareTransaction[] cursor()
     * @method ShareTransaction|null|_IH_ShareTransaction_C|ShareTransaction[] find($id, array|string $columns = ['*'])
     * @method _IH_ShareTransaction_C|ShareTransaction[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShareTransaction|_IH_ShareTransaction_C|ShareTransaction[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareTransaction|_IH_ShareTransaction_C|ShareTransaction[] findOrFail($id, array|string $columns = ['*'])
     * @method ShareTransaction|_IH_ShareTransaction_C|ShareTransaction[] findOrNew($id, array|string $columns = ['*'])
     * @method ShareTransaction first(array|string $columns = ['*'])
     * @method ShareTransaction firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShareTransaction firstOrCreate(array $attributes = [], array $values = [])
     * @method ShareTransaction firstOrFail(array|string $columns = ['*'])
     * @method ShareTransaction firstOrNew(array $attributes = [], array $values = [])
     * @method ShareTransaction firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShareTransaction forceCreate(array $attributes)
     * @method ShareTransaction forceCreateQuietly(array $attributes = [])
     * @method _IH_ShareTransaction_C|ShareTransaction[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShareTransaction_C|ShareTransaction[] get(array|string $columns = ['*'])
     * @method ShareTransaction getModel()
     * @method ShareTransaction[] getModels(array|string $columns = ['*'])
     * @method _IH_ShareTransaction_C|ShareTransaction[] hydrate(array $items)
     * @method _IH_ShareTransaction_C|ShareTransaction[] lazy(int $chunkSize = 1000)
     * @method _IH_ShareTransaction_C|ShareTransaction[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShareTransaction_C|ShareTransaction[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShareTransaction make(array $attributes = [])
     * @method ShareTransaction newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShareTransaction[]|_IH_ShareTransaction_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareTransaction restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShareTransaction[]|_IH_ShareTransaction_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShareTransaction sole(array|string $columns = ['*'])
     * @method ShareTransaction updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShareTransaction_QB extends _BaseBuilder {}
    
    /**
     * @method Share|null getOrPut($key, \Closure $value)
     * @method Share|$this shift(int $count = 1)
     * @method Share|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Share|$this pop(int $count = 1)
     * @method Share|null pull($key, \Closure $default = null)
     * @method Share|null last(callable $callback = null, \Closure $default = null)
     * @method Share|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Share|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Share|null get($key, \Closure $default = null)
     * @method Share|null first(callable $callback = null, \Closure $default = null)
     * @method Share|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Share|null find($key, $default = null)
     * @method Share[] all()
     */
    class _IH_Share_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Share[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Share_QB whereId($value)
     * @method _IH_Share_QB whereCreatedById($value)
     * @method _IH_Share_QB whereCurrencyId($value)
     * @method _IH_Share_QB whereShareOfficerId($value)
     * @method _IH_Share_QB whereShareProductId($value)
     * @method _IH_Share_QB whereSavingsId($value)
     * @method _IH_Share_QB whereClientType($value)
     * @method _IH_Share_QB whereClientId($value)
     * @method _IH_Share_QB whereGroupId($value)
     * @method _IH_Share_QB whereBranchId($value)
     * @method _IH_Share_QB whereAccountNumber($value)
     * @method _IH_Share_QB whereExternalId($value)
     * @method _IH_Share_QB whereDecimals($value)
     * @method _IH_Share_QB whereTotalShares($value)
     * @method _IH_Share_QB whereNominalPrice($value)
     * @method _IH_Share_QB whereMinimumActivePeriod($value)
     * @method _IH_Share_QB whereMinimumActivePeriodType($value)
     * @method _IH_Share_QB whereLockinPeriod($value)
     * @method _IH_Share_QB whereLockinType($value)
     * @method _IH_Share_QB whereAllowDividendsForInactiveClients($value)
     * @method _IH_Share_QB whereSubmittedOnDate($value)
     * @method _IH_Share_QB whereApplicationDate($value)
     * @method _IH_Share_QB whereSubmittedByUserId($value)
     * @method _IH_Share_QB whereApprovedOnDate($value)
     * @method _IH_Share_QB whereApprovedByUserId($value)
     * @method _IH_Share_QB whereApprovedNotes($value)
     * @method _IH_Share_QB whereActivatedOnDate($value)
     * @method _IH_Share_QB whereActivatedByUserId($value)
     * @method _IH_Share_QB whereActivatedNotes($value)
     * @method _IH_Share_QB whereRejectedOnDate($value)
     * @method _IH_Share_QB whereRejectedByUserId($value)
     * @method _IH_Share_QB whereRejectedNotes($value)
     * @method _IH_Share_QB whereDormantOnDate($value)
     * @method _IH_Share_QB whereDormantByUserId($value)
     * @method _IH_Share_QB whereDormantNotes($value)
     * @method _IH_Share_QB whereClosedOnDate($value)
     * @method _IH_Share_QB whereClosedByUserId($value)
     * @method _IH_Share_QB whereClosedNotes($value)
     * @method _IH_Share_QB whereInactiveOnDate($value)
     * @method _IH_Share_QB whereInactiveByUserId($value)
     * @method _IH_Share_QB whereInactiveNotes($value)
     * @method _IH_Share_QB whereWithdrawnOnDate($value)
     * @method _IH_Share_QB whereWithdrawnByUserId($value)
     * @method _IH_Share_QB whereWithdrawnNotes($value)
     * @method _IH_Share_QB whereStatus($value)
     * @method _IH_Share_QB whereCreatedAt($value)
     * @method _IH_Share_QB whereUpdatedAt($value)
     * @method Share baseSole(array|string $columns = ['*'])
     * @method Share create(array $attributes = [])
     * @method Share createOrFirst(array $attributes = [], array $values = [])
     * @method Share createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Share_C|Share[] cursor()
     * @method Share|null|_IH_Share_C|Share[] find($id, array|string $columns = ['*'])
     * @method _IH_Share_C|Share[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Share|_IH_Share_C|Share[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Share|_IH_Share_C|Share[] findOrFail($id, array|string $columns = ['*'])
     * @method Share|_IH_Share_C|Share[] findOrNew($id, array|string $columns = ['*'])
     * @method Share first(array|string $columns = ['*'])
     * @method Share firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Share firstOrCreate(array $attributes = [], array $values = [])
     * @method Share firstOrFail(array|string $columns = ['*'])
     * @method Share firstOrNew(array $attributes = [], array $values = [])
     * @method Share firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Share forceCreate(array $attributes)
     * @method Share forceCreateQuietly(array $attributes = [])
     * @method _IH_Share_C|Share[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Share_C|Share[] get(array|string $columns = ['*'])
     * @method Share getModel()
     * @method Share[] getModels(array|string $columns = ['*'])
     * @method _IH_Share_C|Share[] hydrate(array $items)
     * @method _IH_Share_C|Share[] lazy(int $chunkSize = 1000)
     * @method _IH_Share_C|Share[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Share_C|Share[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Share make(array $attributes = [])
     * @method Share newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Share[]|_IH_Share_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Share restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Share[]|_IH_Share_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Share sole(array|string $columns = ['*'])
     * @method Share updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Share_QB extends _BaseBuilder {}
}