<?php //da753aeabb5f6a49a91f662c4337580e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Accounting\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Accounting\Entities\ChartOfAccount;
    use Modules\Accounting\Entities\JournalEntry;
    
    /**
     * @method ChartOfAccount|null getOrPut($key, \Closure $value)
     * @method ChartOfAccount|$this shift(int $count = 1)
     * @method ChartOfAccount|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ChartOfAccount|$this pop(int $count = 1)
     * @method ChartOfAccount|null pull($key, \Closure $default = null)
     * @method ChartOfAccount|null last(callable $callback = null, \Closure $default = null)
     * @method ChartOfAccount|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ChartOfAccount|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ChartOfAccount|null get($key, \Closure $default = null)
     * @method ChartOfAccount|null first(callable $callback = null, \Closure $default = null)
     * @method ChartOfAccount|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ChartOfAccount|null find($key, $default = null)
     * @method ChartOfAccount[] all()
     */
    class _IH_ChartOfAccount_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ChartOfAccount[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ChartOfAccount_QB whereId($value)
     * @method _IH_ChartOfAccount_QB whereParentId($value)
     * @method _IH_ChartOfAccount_QB whereName($value)
     * @method _IH_ChartOfAccount_QB whereGlCode($value)
     * @method _IH_ChartOfAccount_QB whereAccountType($value)
     * @method _IH_ChartOfAccount_QB whereAllowManual($value)
     * @method _IH_ChartOfAccount_QB whereActive($value)
     * @method _IH_ChartOfAccount_QB whereNotes($value)
     * @method _IH_ChartOfAccount_QB whereCreatedAt($value)
     * @method _IH_ChartOfAccount_QB whereUpdatedAt($value)
     * @method ChartOfAccount baseSole(array|string $columns = ['*'])
     * @method ChartOfAccount create(array $attributes = [])
     * @method ChartOfAccount createOrFirst(array $attributes = [], array $values = [])
     * @method ChartOfAccount createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ChartOfAccount_C|ChartOfAccount[] cursor()
     * @method ChartOfAccount|null|_IH_ChartOfAccount_C|ChartOfAccount[] find($id, array|string $columns = ['*'])
     * @method _IH_ChartOfAccount_C|ChartOfAccount[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ChartOfAccount|_IH_ChartOfAccount_C|ChartOfAccount[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ChartOfAccount|_IH_ChartOfAccount_C|ChartOfAccount[] findOrFail($id, array|string $columns = ['*'])
     * @method ChartOfAccount|_IH_ChartOfAccount_C|ChartOfAccount[] findOrNew($id, array|string $columns = ['*'])
     * @method ChartOfAccount first(array|string $columns = ['*'])
     * @method ChartOfAccount firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ChartOfAccount firstOrCreate(array $attributes = [], array $values = [])
     * @method ChartOfAccount firstOrFail(array|string $columns = ['*'])
     * @method ChartOfAccount firstOrNew(array $attributes = [], array $values = [])
     * @method ChartOfAccount firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ChartOfAccount forceCreate(array $attributes)
     * @method ChartOfAccount forceCreateQuietly(array $attributes = [])
     * @method _IH_ChartOfAccount_C|ChartOfAccount[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ChartOfAccount_C|ChartOfAccount[] get(array|string $columns = ['*'])
     * @method ChartOfAccount getModel()
     * @method ChartOfAccount[] getModels(array|string $columns = ['*'])
     * @method _IH_ChartOfAccount_C|ChartOfAccount[] hydrate(array $items)
     * @method _IH_ChartOfAccount_C|ChartOfAccount[] lazy(int $chunkSize = 1000)
     * @method _IH_ChartOfAccount_C|ChartOfAccount[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ChartOfAccount_C|ChartOfAccount[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ChartOfAccount make(array $attributes = [])
     * @method ChartOfAccount newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ChartOfAccount[]|_IH_ChartOfAccount_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ChartOfAccount restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ChartOfAccount[]|_IH_ChartOfAccount_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ChartOfAccount sole(array|string $columns = ['*'])
     * @method ChartOfAccount updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ChartOfAccount_QB extends _BaseBuilder {}
    
    /**
     * @method JournalEntry|null getOrPut($key, \Closure $value)
     * @method JournalEntry|$this shift(int $count = 1)
     * @method JournalEntry|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method JournalEntry|$this pop(int $count = 1)
     * @method JournalEntry|null pull($key, \Closure $default = null)
     * @method JournalEntry|null last(callable $callback = null, \Closure $default = null)
     * @method JournalEntry|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method JournalEntry|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method JournalEntry|null get($key, \Closure $default = null)
     * @method JournalEntry|null first(callable $callback = null, \Closure $default = null)
     * @method JournalEntry|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method JournalEntry|null find($key, $default = null)
     * @method JournalEntry[] all()
     */
    class _IH_JournalEntry_C extends _BaseCollection {
        /**
         * @param int $size
         * @return JournalEntry[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_JournalEntry_QB whereId($value)
     * @method _IH_JournalEntry_QB whereCreatedById($value)
     * @method _IH_JournalEntry_QB whereTransactionNumber($value)
     * @method _IH_JournalEntry_QB wherePaymentDetailId($value)
     * @method _IH_JournalEntry_QB whereBranchId($value)
     * @method _IH_JournalEntry_QB whereCurrencyId($value)
     * @method _IH_JournalEntry_QB whereChartOfAccountId($value)
     * @method _IH_JournalEntry_QB whereTransactionType($value)
     * @method _IH_JournalEntry_QB whereTransactionSubType($value)
     * @method _IH_JournalEntry_QB whereName($value)
     * @method _IH_JournalEntry_QB whereReference($value)
     * @method _IH_JournalEntry_QB whereClientId($value)
     * @method _IH_JournalEntry_QB whereDebit($value)
     * @method _IH_JournalEntry_QB whereCredit($value)
     * @method _IH_JournalEntry_QB whereBalance($value)
     * @method _IH_JournalEntry_QB whereActive($value)
     * @method _IH_JournalEntry_QB whereReversed($value)
     * @method _IH_JournalEntry_QB whereReversible($value)
     * @method _IH_JournalEntry_QB whereManualEntry($value)
     * @method _IH_JournalEntry_QB whereReceipt($value)
     * @method _IH_JournalEntry_QB whereNotes($value)
     * @method _IH_JournalEntry_QB whereCreatedAt($value)
     * @method _IH_JournalEntry_QB whereUpdatedAt($value)
     * @method JournalEntry baseSole(array|string $columns = ['*'])
     * @method JournalEntry create(array $attributes = [])
     * @method JournalEntry createOrFirst(array $attributes = [], array $values = [])
     * @method JournalEntry createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_JournalEntry_C|JournalEntry[] cursor()
     * @method JournalEntry|null|_IH_JournalEntry_C|JournalEntry[] find($id, array|string $columns = ['*'])
     * @method _IH_JournalEntry_C|JournalEntry[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method JournalEntry|_IH_JournalEntry_C|JournalEntry[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method JournalEntry|_IH_JournalEntry_C|JournalEntry[] findOrFail($id, array|string $columns = ['*'])
     * @method JournalEntry|_IH_JournalEntry_C|JournalEntry[] findOrNew($id, array|string $columns = ['*'])
     * @method JournalEntry first(array|string $columns = ['*'])
     * @method JournalEntry firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method JournalEntry firstOrCreate(array $attributes = [], array $values = [])
     * @method JournalEntry firstOrFail(array|string $columns = ['*'])
     * @method JournalEntry firstOrNew(array $attributes = [], array $values = [])
     * @method JournalEntry firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method JournalEntry forceCreate(array $attributes)
     * @method JournalEntry forceCreateQuietly(array $attributes = [])
     * @method _IH_JournalEntry_C|JournalEntry[] fromQuery(string $query, array $bindings = [])
     * @method _IH_JournalEntry_C|JournalEntry[] get(array|string $columns = ['*'])
     * @method JournalEntry getModel()
     * @method JournalEntry[] getModels(array|string $columns = ['*'])
     * @method _IH_JournalEntry_C|JournalEntry[] hydrate(array $items)
     * @method _IH_JournalEntry_C|JournalEntry[] lazy(int $chunkSize = 1000)
     * @method _IH_JournalEntry_C|JournalEntry[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_JournalEntry_C|JournalEntry[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method JournalEntry make(array $attributes = [])
     * @method JournalEntry newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|JournalEntry[]|_IH_JournalEntry_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method JournalEntry restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|JournalEntry[]|_IH_JournalEntry_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method JournalEntry sole(array|string $columns = ['*'])
     * @method JournalEntry updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_JournalEntry_QB extends _BaseBuilder {}
}