<?php //9565ccaef62bc61b0304f5f4c4b617fd
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Asset\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Asset\Entities\Asset;
    use Modules\Asset\Entities\AssetDepreciation;
    use Modules\Asset\Entities\AssetFile;
    use Modules\Asset\Entities\AssetMaintenance;
    use Modules\Asset\Entities\AssetMaintenanceType;
    use Modules\Asset\Entities\AssetNote;
    use Modules\Asset\Entities\AssetPicture;
    use Modules\Asset\Entities\AssetType;
    
    /**
     * @method AssetDepreciation|null getOrPut($key, \Closure $value)
     * @method AssetDepreciation|$this shift(int $count = 1)
     * @method AssetDepreciation|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssetDepreciation|$this pop(int $count = 1)
     * @method AssetDepreciation|null pull($key, \Closure $default = null)
     * @method AssetDepreciation|null last(callable $callback = null, \Closure $default = null)
     * @method AssetDepreciation|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssetDepreciation|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssetDepreciation|null get($key, \Closure $default = null)
     * @method AssetDepreciation|null first(callable $callback = null, \Closure $default = null)
     * @method AssetDepreciation|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssetDepreciation|null find($key, $default = null)
     * @method AssetDepreciation[] all()
     */
    class _IH_AssetDepreciation_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssetDepreciation[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssetDepreciation_QB whereId($value)
     * @method _IH_AssetDepreciation_QB whereAssetId($value)
     * @method _IH_AssetDepreciation_QB whereBeginningValue($value)
     * @method _IH_AssetDepreciation_QB whereDepreciationValue($value)
     * @method _IH_AssetDepreciation_QB whereRate($value)
     * @method _IH_AssetDepreciation_QB whereCost($value)
     * @method _IH_AssetDepreciation_QB whereAccumulated($value)
     * @method _IH_AssetDepreciation_QB whereEndingValue($value)
     * @method _IH_AssetDepreciation_QB whereCreatedAt($value)
     * @method _IH_AssetDepreciation_QB whereUpdatedAt($value)
     * @method AssetDepreciation baseSole(array|string $columns = ['*'])
     * @method AssetDepreciation create(array $attributes = [])
     * @method AssetDepreciation createOrFirst(array $attributes = [], array $values = [])
     * @method AssetDepreciation createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_AssetDepreciation_C|AssetDepreciation[] cursor()
     * @method AssetDepreciation|null|_IH_AssetDepreciation_C|AssetDepreciation[] find($id, array|string $columns = ['*'])
     * @method _IH_AssetDepreciation_C|AssetDepreciation[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssetDepreciation|_IH_AssetDepreciation_C|AssetDepreciation[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetDepreciation|_IH_AssetDepreciation_C|AssetDepreciation[] findOrFail($id, array|string $columns = ['*'])
     * @method AssetDepreciation|_IH_AssetDepreciation_C|AssetDepreciation[] findOrNew($id, array|string $columns = ['*'])
     * @method AssetDepreciation first(array|string $columns = ['*'])
     * @method AssetDepreciation firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetDepreciation firstOrCreate(array $attributes = [], array $values = [])
     * @method AssetDepreciation firstOrFail(array|string $columns = ['*'])
     * @method AssetDepreciation firstOrNew(array $attributes = [], array $values = [])
     * @method AssetDepreciation firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssetDepreciation forceCreate(array $attributes)
     * @method AssetDepreciation forceCreateQuietly(array $attributes = [])
     * @method _IH_AssetDepreciation_C|AssetDepreciation[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssetDepreciation_C|AssetDepreciation[] get(array|string $columns = ['*'])
     * @method AssetDepreciation getModel()
     * @method AssetDepreciation[] getModels(array|string $columns = ['*'])
     * @method _IH_AssetDepreciation_C|AssetDepreciation[] hydrate(array $items)
     * @method _IH_AssetDepreciation_C|AssetDepreciation[] lazy(int $chunkSize = 1000)
     * @method _IH_AssetDepreciation_C|AssetDepreciation[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssetDepreciation_C|AssetDepreciation[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssetDepreciation make(array $attributes = [])
     * @method AssetDepreciation newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssetDepreciation[]|_IH_AssetDepreciation_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetDepreciation restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AssetDepreciation[]|_IH_AssetDepreciation_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetDepreciation sole(array|string $columns = ['*'])
     * @method AssetDepreciation updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssetDepreciation_QB extends _BaseBuilder {}
    
    /**
     * @method AssetFile|null getOrPut($key, \Closure $value)
     * @method AssetFile|$this shift(int $count = 1)
     * @method AssetFile|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssetFile|$this pop(int $count = 1)
     * @method AssetFile|null pull($key, \Closure $default = null)
     * @method AssetFile|null last(callable $callback = null, \Closure $default = null)
     * @method AssetFile|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssetFile|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssetFile|null get($key, \Closure $default = null)
     * @method AssetFile|null first(callable $callback = null, \Closure $default = null)
     * @method AssetFile|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssetFile|null find($key, $default = null)
     * @method AssetFile[] all()
     */
    class _IH_AssetFile_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssetFile[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssetFile_QB whereId($value)
     * @method _IH_AssetFile_QB whereAssetId($value)
     * @method _IH_AssetFile_QB whereFile($value)
     * @method _IH_AssetFile_QB whereType($value)
     * @method _IH_AssetFile_QB whereSize($value)
     * @method _IH_AssetFile_QB whereNotes($value)
     * @method _IH_AssetFile_QB whereCreatedAt($value)
     * @method _IH_AssetFile_QB whereUpdatedAt($value)
     * @method AssetFile baseSole(array|string $columns = ['*'])
     * @method AssetFile create(array $attributes = [])
     * @method AssetFile createOrFirst(array $attributes = [], array $values = [])
     * @method AssetFile createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_AssetFile_C|AssetFile[] cursor()
     * @method AssetFile|null|_IH_AssetFile_C|AssetFile[] find($id, array|string $columns = ['*'])
     * @method _IH_AssetFile_C|AssetFile[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssetFile|_IH_AssetFile_C|AssetFile[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetFile|_IH_AssetFile_C|AssetFile[] findOrFail($id, array|string $columns = ['*'])
     * @method AssetFile|_IH_AssetFile_C|AssetFile[] findOrNew($id, array|string $columns = ['*'])
     * @method AssetFile first(array|string $columns = ['*'])
     * @method AssetFile firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetFile firstOrCreate(array $attributes = [], array $values = [])
     * @method AssetFile firstOrFail(array|string $columns = ['*'])
     * @method AssetFile firstOrNew(array $attributes = [], array $values = [])
     * @method AssetFile firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssetFile forceCreate(array $attributes)
     * @method AssetFile forceCreateQuietly(array $attributes = [])
     * @method _IH_AssetFile_C|AssetFile[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssetFile_C|AssetFile[] get(array|string $columns = ['*'])
     * @method AssetFile getModel()
     * @method AssetFile[] getModels(array|string $columns = ['*'])
     * @method _IH_AssetFile_C|AssetFile[] hydrate(array $items)
     * @method _IH_AssetFile_C|AssetFile[] lazy(int $chunkSize = 1000)
     * @method _IH_AssetFile_C|AssetFile[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssetFile_C|AssetFile[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssetFile make(array $attributes = [])
     * @method AssetFile newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssetFile[]|_IH_AssetFile_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetFile restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AssetFile[]|_IH_AssetFile_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetFile sole(array|string $columns = ['*'])
     * @method AssetFile updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssetFile_QB extends _BaseBuilder {}
    
    /**
     * @method AssetMaintenanceType|null getOrPut($key, \Closure $value)
     * @method AssetMaintenanceType|$this shift(int $count = 1)
     * @method AssetMaintenanceType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssetMaintenanceType|$this pop(int $count = 1)
     * @method AssetMaintenanceType|null pull($key, \Closure $default = null)
     * @method AssetMaintenanceType|null last(callable $callback = null, \Closure $default = null)
     * @method AssetMaintenanceType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssetMaintenanceType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssetMaintenanceType|null get($key, \Closure $default = null)
     * @method AssetMaintenanceType|null first(callable $callback = null, \Closure $default = null)
     * @method AssetMaintenanceType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssetMaintenanceType|null find($key, $default = null)
     * @method AssetMaintenanceType[] all()
     */
    class _IH_AssetMaintenanceType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssetMaintenanceType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssetMaintenanceType_QB whereId($value)
     * @method _IH_AssetMaintenanceType_QB whereName($value)
     * @method _IH_AssetMaintenanceType_QB whereNotes($value)
     * @method AssetMaintenanceType baseSole(array|string $columns = ['*'])
     * @method AssetMaintenanceType create(array $attributes = [])
     * @method AssetMaintenanceType createOrFirst(array $attributes = [], array $values = [])
     * @method AssetMaintenanceType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_AssetMaintenanceType_C|AssetMaintenanceType[] cursor()
     * @method AssetMaintenanceType|null|_IH_AssetMaintenanceType_C|AssetMaintenanceType[] find($id, array|string $columns = ['*'])
     * @method _IH_AssetMaintenanceType_C|AssetMaintenanceType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssetMaintenanceType|_IH_AssetMaintenanceType_C|AssetMaintenanceType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetMaintenanceType|_IH_AssetMaintenanceType_C|AssetMaintenanceType[] findOrFail($id, array|string $columns = ['*'])
     * @method AssetMaintenanceType|_IH_AssetMaintenanceType_C|AssetMaintenanceType[] findOrNew($id, array|string $columns = ['*'])
     * @method AssetMaintenanceType first(array|string $columns = ['*'])
     * @method AssetMaintenanceType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetMaintenanceType firstOrCreate(array $attributes = [], array $values = [])
     * @method AssetMaintenanceType firstOrFail(array|string $columns = ['*'])
     * @method AssetMaintenanceType firstOrNew(array $attributes = [], array $values = [])
     * @method AssetMaintenanceType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssetMaintenanceType forceCreate(array $attributes)
     * @method AssetMaintenanceType forceCreateQuietly(array $attributes = [])
     * @method _IH_AssetMaintenanceType_C|AssetMaintenanceType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssetMaintenanceType_C|AssetMaintenanceType[] get(array|string $columns = ['*'])
     * @method AssetMaintenanceType getModel()
     * @method AssetMaintenanceType[] getModels(array|string $columns = ['*'])
     * @method _IH_AssetMaintenanceType_C|AssetMaintenanceType[] hydrate(array $items)
     * @method _IH_AssetMaintenanceType_C|AssetMaintenanceType[] lazy(int $chunkSize = 1000)
     * @method _IH_AssetMaintenanceType_C|AssetMaintenanceType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssetMaintenanceType_C|AssetMaintenanceType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssetMaintenanceType make(array $attributes = [])
     * @method AssetMaintenanceType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssetMaintenanceType[]|_IH_AssetMaintenanceType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetMaintenanceType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AssetMaintenanceType[]|_IH_AssetMaintenanceType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetMaintenanceType sole(array|string $columns = ['*'])
     * @method AssetMaintenanceType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssetMaintenanceType_QB extends _BaseBuilder {}
    
    /**
     * @method AssetMaintenance|null getOrPut($key, \Closure $value)
     * @method AssetMaintenance|$this shift(int $count = 1)
     * @method AssetMaintenance|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssetMaintenance|$this pop(int $count = 1)
     * @method AssetMaintenance|null pull($key, \Closure $default = null)
     * @method AssetMaintenance|null last(callable $callback = null, \Closure $default = null)
     * @method AssetMaintenance|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssetMaintenance|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssetMaintenance|null get($key, \Closure $default = null)
     * @method AssetMaintenance|null first(callable $callback = null, \Closure $default = null)
     * @method AssetMaintenance|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssetMaintenance|null find($key, $default = null)
     * @method AssetMaintenance[] all()
     */
    class _IH_AssetMaintenance_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssetMaintenance[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssetMaintenance_QB whereId($value)
     * @method _IH_AssetMaintenance_QB whereCreatedById($value)
     * @method _IH_AssetMaintenance_QB whereAssetMaintenanceTypeId($value)
     * @method _IH_AssetMaintenance_QB whereAssetId($value)
     * @method _IH_AssetMaintenance_QB wherePerformedBy($value)
     * @method _IH_AssetMaintenance_QB whereAmount($value)
     * @method _IH_AssetMaintenance_QB whereMileage($value)
     * @method _IH_AssetMaintenance_QB whereRecordExpense($value)
     * @method _IH_AssetMaintenance_QB whereNotes($value)
     * @method _IH_AssetMaintenance_QB whereCreatedAt($value)
     * @method _IH_AssetMaintenance_QB whereUpdatedAt($value)
     * @method AssetMaintenance baseSole(array|string $columns = ['*'])
     * @method AssetMaintenance create(array $attributes = [])
     * @method AssetMaintenance createOrFirst(array $attributes = [], array $values = [])
     * @method AssetMaintenance createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_AssetMaintenance_C|AssetMaintenance[] cursor()
     * @method AssetMaintenance|null|_IH_AssetMaintenance_C|AssetMaintenance[] find($id, array|string $columns = ['*'])
     * @method _IH_AssetMaintenance_C|AssetMaintenance[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssetMaintenance|_IH_AssetMaintenance_C|AssetMaintenance[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetMaintenance|_IH_AssetMaintenance_C|AssetMaintenance[] findOrFail($id, array|string $columns = ['*'])
     * @method AssetMaintenance|_IH_AssetMaintenance_C|AssetMaintenance[] findOrNew($id, array|string $columns = ['*'])
     * @method AssetMaintenance first(array|string $columns = ['*'])
     * @method AssetMaintenance firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetMaintenance firstOrCreate(array $attributes = [], array $values = [])
     * @method AssetMaintenance firstOrFail(array|string $columns = ['*'])
     * @method AssetMaintenance firstOrNew(array $attributes = [], array $values = [])
     * @method AssetMaintenance firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssetMaintenance forceCreate(array $attributes)
     * @method AssetMaintenance forceCreateQuietly(array $attributes = [])
     * @method _IH_AssetMaintenance_C|AssetMaintenance[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssetMaintenance_C|AssetMaintenance[] get(array|string $columns = ['*'])
     * @method AssetMaintenance getModel()
     * @method AssetMaintenance[] getModels(array|string $columns = ['*'])
     * @method _IH_AssetMaintenance_C|AssetMaintenance[] hydrate(array $items)
     * @method _IH_AssetMaintenance_C|AssetMaintenance[] lazy(int $chunkSize = 1000)
     * @method _IH_AssetMaintenance_C|AssetMaintenance[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssetMaintenance_C|AssetMaintenance[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssetMaintenance make(array $attributes = [])
     * @method AssetMaintenance newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssetMaintenance[]|_IH_AssetMaintenance_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetMaintenance restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AssetMaintenance[]|_IH_AssetMaintenance_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetMaintenance sole(array|string $columns = ['*'])
     * @method AssetMaintenance updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssetMaintenance_QB extends _BaseBuilder {}
    
    /**
     * @method AssetNote|null getOrPut($key, \Closure $value)
     * @method AssetNote|$this shift(int $count = 1)
     * @method AssetNote|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssetNote|$this pop(int $count = 1)
     * @method AssetNote|null pull($key, \Closure $default = null)
     * @method AssetNote|null last(callable $callback = null, \Closure $default = null)
     * @method AssetNote|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssetNote|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssetNote|null get($key, \Closure $default = null)
     * @method AssetNote|null first(callable $callback = null, \Closure $default = null)
     * @method AssetNote|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssetNote|null find($key, $default = null)
     * @method AssetNote[] all()
     */
    class _IH_AssetNote_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssetNote[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssetNote_QB whereId($value)
     * @method _IH_AssetNote_QB whereCreatedById($value)
     * @method _IH_AssetNote_QB whereAssetId($value)
     * @method _IH_AssetNote_QB whereAttachment($value)
     * @method _IH_AssetNote_QB whereNotes($value)
     * @method _IH_AssetNote_QB whereCreatedAt($value)
     * @method _IH_AssetNote_QB whereUpdatedAt($value)
     * @method AssetNote baseSole(array|string $columns = ['*'])
     * @method AssetNote create(array $attributes = [])
     * @method AssetNote createOrFirst(array $attributes = [], array $values = [])
     * @method AssetNote createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_AssetNote_C|AssetNote[] cursor()
     * @method AssetNote|null|_IH_AssetNote_C|AssetNote[] find($id, array|string $columns = ['*'])
     * @method _IH_AssetNote_C|AssetNote[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssetNote|_IH_AssetNote_C|AssetNote[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetNote|_IH_AssetNote_C|AssetNote[] findOrFail($id, array|string $columns = ['*'])
     * @method AssetNote|_IH_AssetNote_C|AssetNote[] findOrNew($id, array|string $columns = ['*'])
     * @method AssetNote first(array|string $columns = ['*'])
     * @method AssetNote firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetNote firstOrCreate(array $attributes = [], array $values = [])
     * @method AssetNote firstOrFail(array|string $columns = ['*'])
     * @method AssetNote firstOrNew(array $attributes = [], array $values = [])
     * @method AssetNote firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssetNote forceCreate(array $attributes)
     * @method AssetNote forceCreateQuietly(array $attributes = [])
     * @method _IH_AssetNote_C|AssetNote[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssetNote_C|AssetNote[] get(array|string $columns = ['*'])
     * @method AssetNote getModel()
     * @method AssetNote[] getModels(array|string $columns = ['*'])
     * @method _IH_AssetNote_C|AssetNote[] hydrate(array $items)
     * @method _IH_AssetNote_C|AssetNote[] lazy(int $chunkSize = 1000)
     * @method _IH_AssetNote_C|AssetNote[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssetNote_C|AssetNote[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssetNote make(array $attributes = [])
     * @method AssetNote newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssetNote[]|_IH_AssetNote_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetNote restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AssetNote[]|_IH_AssetNote_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetNote sole(array|string $columns = ['*'])
     * @method AssetNote updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssetNote_QB extends _BaseBuilder {}
    
    /**
     * @method AssetPicture|null getOrPut($key, \Closure $value)
     * @method AssetPicture|$this shift(int $count = 1)
     * @method AssetPicture|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssetPicture|$this pop(int $count = 1)
     * @method AssetPicture|null pull($key, \Closure $default = null)
     * @method AssetPicture|null last(callable $callback = null, \Closure $default = null)
     * @method AssetPicture|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssetPicture|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssetPicture|null get($key, \Closure $default = null)
     * @method AssetPicture|null first(callable $callback = null, \Closure $default = null)
     * @method AssetPicture|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssetPicture|null find($key, $default = null)
     * @method AssetPicture[] all()
     */
    class _IH_AssetPicture_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssetPicture[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssetPicture_QB whereId($value)
     * @method _IH_AssetPicture_QB whereAssetId($value)
     * @method _IH_AssetPicture_QB whereCreatedById($value)
     * @method _IH_AssetPicture_QB wherePrimaryPicture($value)
     * @method _IH_AssetPicture_QB wherePicture($value)
     * @method _IH_AssetPicture_QB whereDateTaken($value)
     * @method _IH_AssetPicture_QB whereNotes($value)
     * @method _IH_AssetPicture_QB whereCreatedAt($value)
     * @method _IH_AssetPicture_QB whereUpdatedAt($value)
     * @method AssetPicture baseSole(array|string $columns = ['*'])
     * @method AssetPicture create(array $attributes = [])
     * @method AssetPicture createOrFirst(array $attributes = [], array $values = [])
     * @method AssetPicture createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_AssetPicture_C|AssetPicture[] cursor()
     * @method AssetPicture|null|_IH_AssetPicture_C|AssetPicture[] find($id, array|string $columns = ['*'])
     * @method _IH_AssetPicture_C|AssetPicture[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssetPicture|_IH_AssetPicture_C|AssetPicture[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetPicture|_IH_AssetPicture_C|AssetPicture[] findOrFail($id, array|string $columns = ['*'])
     * @method AssetPicture|_IH_AssetPicture_C|AssetPicture[] findOrNew($id, array|string $columns = ['*'])
     * @method AssetPicture first(array|string $columns = ['*'])
     * @method AssetPicture firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetPicture firstOrCreate(array $attributes = [], array $values = [])
     * @method AssetPicture firstOrFail(array|string $columns = ['*'])
     * @method AssetPicture firstOrNew(array $attributes = [], array $values = [])
     * @method AssetPicture firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssetPicture forceCreate(array $attributes)
     * @method AssetPicture forceCreateQuietly(array $attributes = [])
     * @method _IH_AssetPicture_C|AssetPicture[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssetPicture_C|AssetPicture[] get(array|string $columns = ['*'])
     * @method AssetPicture getModel()
     * @method AssetPicture[] getModels(array|string $columns = ['*'])
     * @method _IH_AssetPicture_C|AssetPicture[] hydrate(array $items)
     * @method _IH_AssetPicture_C|AssetPicture[] lazy(int $chunkSize = 1000)
     * @method _IH_AssetPicture_C|AssetPicture[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssetPicture_C|AssetPicture[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssetPicture make(array $attributes = [])
     * @method AssetPicture newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssetPicture[]|_IH_AssetPicture_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetPicture restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AssetPicture[]|_IH_AssetPicture_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetPicture sole(array|string $columns = ['*'])
     * @method AssetPicture updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssetPicture_QB extends _BaseBuilder {}
    
    /**
     * @method AssetType|null getOrPut($key, \Closure $value)
     * @method AssetType|$this shift(int $count = 1)
     * @method AssetType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AssetType|$this pop(int $count = 1)
     * @method AssetType|null pull($key, \Closure $default = null)
     * @method AssetType|null last(callable $callback = null, \Closure $default = null)
     * @method AssetType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method AssetType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AssetType|null get($key, \Closure $default = null)
     * @method AssetType|null first(callable $callback = null, \Closure $default = null)
     * @method AssetType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AssetType|null find($key, $default = null)
     * @method AssetType[] all()
     */
    class _IH_AssetType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AssetType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AssetType_QB whereId($value)
     * @method _IH_AssetType_QB whereName($value)
     * @method _IH_AssetType_QB whereType($value)
     * @method _IH_AssetType_QB whereChartOfAccountFixedAssetId($value)
     * @method _IH_AssetType_QB whereChartOfAccountAssetId($value)
     * @method _IH_AssetType_QB whereChartOfAccountContraAssetId($value)
     * @method _IH_AssetType_QB whereChartOfAccountExpenseId($value)
     * @method _IH_AssetType_QB whereChartOfAccountLiabilityId($value)
     * @method _IH_AssetType_QB whereChartOfAccountIncomeId($value)
     * @method _IH_AssetType_QB whereNotes($value)
     * @method AssetType baseSole(array|string $columns = ['*'])
     * @method AssetType create(array $attributes = [])
     * @method AssetType createOrFirst(array $attributes = [], array $values = [])
     * @method AssetType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_AssetType_C|AssetType[] cursor()
     * @method AssetType|null|_IH_AssetType_C|AssetType[] find($id, array|string $columns = ['*'])
     * @method _IH_AssetType_C|AssetType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AssetType|_IH_AssetType_C|AssetType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetType|_IH_AssetType_C|AssetType[] findOrFail($id, array|string $columns = ['*'])
     * @method AssetType|_IH_AssetType_C|AssetType[] findOrNew($id, array|string $columns = ['*'])
     * @method AssetType first(array|string $columns = ['*'])
     * @method AssetType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AssetType firstOrCreate(array $attributes = [], array $values = [])
     * @method AssetType firstOrFail(array|string $columns = ['*'])
     * @method AssetType firstOrNew(array $attributes = [], array $values = [])
     * @method AssetType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AssetType forceCreate(array $attributes)
     * @method AssetType forceCreateQuietly(array $attributes = [])
     * @method _IH_AssetType_C|AssetType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AssetType_C|AssetType[] get(array|string $columns = ['*'])
     * @method AssetType getModel()
     * @method AssetType[] getModels(array|string $columns = ['*'])
     * @method _IH_AssetType_C|AssetType[] hydrate(array $items)
     * @method _IH_AssetType_C|AssetType[] lazy(int $chunkSize = 1000)
     * @method _IH_AssetType_C|AssetType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AssetType_C|AssetType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AssetType make(array $attributes = [])
     * @method AssetType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AssetType[]|_IH_AssetType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AssetType[]|_IH_AssetType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AssetType sole(array|string $columns = ['*'])
     * @method AssetType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AssetType_QB extends _BaseBuilder {}
    
    /**
     * @method Asset|null getOrPut($key, \Closure $value)
     * @method Asset|$this shift(int $count = 1)
     * @method Asset|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Asset|$this pop(int $count = 1)
     * @method Asset|null pull($key, \Closure $default = null)
     * @method Asset|null last(callable $callback = null, \Closure $default = null)
     * @method Asset|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Asset|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Asset|null get($key, \Closure $default = null)
     * @method Asset|null first(callable $callback = null, \Closure $default = null)
     * @method Asset|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Asset|null find($key, $default = null)
     * @method Asset[] all()
     */
    class _IH_Asset_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Asset[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Asset_QB whereId($value)
     * @method _IH_Asset_QB whereCreatedById($value)
     * @method _IH_Asset_QB whereAssetTypeId($value)
     * @method _IH_Asset_QB whereBranchId($value)
     * @method _IH_Asset_QB whereName($value)
     * @method _IH_Asset_QB wherePurchaseDate($value)
     * @method _IH_Asset_QB wherePurchasePrice($value)
     * @method _IH_Asset_QB whereReplacementValue($value)
     * @method _IH_Asset_QB whereValue($value)
     * @method _IH_Asset_QB whereLifeSpan($value)
     * @method _IH_Asset_QB whereSalvageValue($value)
     * @method _IH_Asset_QB whereSerialNumber($value)
     * @method _IH_Asset_QB whereBoughtFrom($value)
     * @method _IH_Asset_QB wherePurchaseYear($value)
     * @method _IH_Asset_QB whereNotes($value)
     * @method _IH_Asset_QB whereStatus($value)
     * @method _IH_Asset_QB whereActive($value)
     * @method _IH_Asset_QB whereCreatedAt($value)
     * @method _IH_Asset_QB whereUpdatedAt($value)
     * @method Asset baseSole(array|string $columns = ['*'])
     * @method Asset create(array $attributes = [])
     * @method Asset createOrFirst(array $attributes = [], array $values = [])
     * @method Asset createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Asset_C|Asset[] cursor()
     * @method Asset|null|_IH_Asset_C|Asset[] find($id, array|string $columns = ['*'])
     * @method _IH_Asset_C|Asset[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Asset|_IH_Asset_C|Asset[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Asset|_IH_Asset_C|Asset[] findOrFail($id, array|string $columns = ['*'])
     * @method Asset|_IH_Asset_C|Asset[] findOrNew($id, array|string $columns = ['*'])
     * @method Asset first(array|string $columns = ['*'])
     * @method Asset firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Asset firstOrCreate(array $attributes = [], array $values = [])
     * @method Asset firstOrFail(array|string $columns = ['*'])
     * @method Asset firstOrNew(array $attributes = [], array $values = [])
     * @method Asset firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Asset forceCreate(array $attributes)
     * @method Asset forceCreateQuietly(array $attributes = [])
     * @method _IH_Asset_C|Asset[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Asset_C|Asset[] get(array|string $columns = ['*'])
     * @method Asset getModel()
     * @method Asset[] getModels(array|string $columns = ['*'])
     * @method _IH_Asset_C|Asset[] hydrate(array $items)
     * @method _IH_Asset_C|Asset[] lazy(int $chunkSize = 1000)
     * @method _IH_Asset_C|Asset[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Asset_C|Asset[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Asset make(array $attributes = [])
     * @method Asset newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Asset[]|_IH_Asset_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Asset restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Asset[]|_IH_Asset_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Asset sole(array|string $columns = ['*'])
     * @method Asset updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Asset_QB extends _BaseBuilder {}
}