<?php //ca7d1da52cc33c257ba26b531356d1f4
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Expense\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Expense\Entities\Expense;
    use Modules\Expense\Entities\ExpenseType;
    
    /**
     * @method ExpenseType|null getOrPut($key, \Closure $value)
     * @method ExpenseType|$this shift(int $count = 1)
     * @method ExpenseType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ExpenseType|$this pop(int $count = 1)
     * @method ExpenseType|null pull($key, \Closure $default = null)
     * @method ExpenseType|null last(callable $callback = null, \Closure $default = null)
     * @method ExpenseType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ExpenseType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ExpenseType|null get($key, \Closure $default = null)
     * @method ExpenseType|null first(callable $callback = null, \Closure $default = null)
     * @method ExpenseType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ExpenseType|null find($key, $default = null)
     * @method ExpenseType[] all()
     */
    class _IH_ExpenseType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ExpenseType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ExpenseType_QB whereId($value)
     * @method _IH_ExpenseType_QB whereName($value)
     * @method _IH_ExpenseType_QB whereExpenseChartOfAccountId($value)
     * @method _IH_ExpenseType_QB whereAssetChartOfAccountId($value)
     * @method _IH_ExpenseType_QB whereCreatedAt($value)
     * @method _IH_ExpenseType_QB whereUpdatedAt($value)
     * @method ExpenseType baseSole(array|string $columns = ['*'])
     * @method ExpenseType create(array $attributes = [])
     * @method ExpenseType createOrFirst(array $attributes = [], array $values = [])
     * @method ExpenseType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ExpenseType_C|ExpenseType[] cursor()
     * @method ExpenseType|null|_IH_ExpenseType_C|ExpenseType[] find($id, array|string $columns = ['*'])
     * @method _IH_ExpenseType_C|ExpenseType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ExpenseType|_IH_ExpenseType_C|ExpenseType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ExpenseType|_IH_ExpenseType_C|ExpenseType[] findOrFail($id, array|string $columns = ['*'])
     * @method ExpenseType|_IH_ExpenseType_C|ExpenseType[] findOrNew($id, array|string $columns = ['*'])
     * @method ExpenseType first(array|string $columns = ['*'])
     * @method ExpenseType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ExpenseType firstOrCreate(array $attributes = [], array $values = [])
     * @method ExpenseType firstOrFail(array|string $columns = ['*'])
     * @method ExpenseType firstOrNew(array $attributes = [], array $values = [])
     * @method ExpenseType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ExpenseType forceCreate(array $attributes)
     * @method ExpenseType forceCreateQuietly(array $attributes = [])
     * @method _IH_ExpenseType_C|ExpenseType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ExpenseType_C|ExpenseType[] get(array|string $columns = ['*'])
     * @method ExpenseType getModel()
     * @method ExpenseType[] getModels(array|string $columns = ['*'])
     * @method _IH_ExpenseType_C|ExpenseType[] hydrate(array $items)
     * @method _IH_ExpenseType_C|ExpenseType[] lazy(int $chunkSize = 1000)
     * @method _IH_ExpenseType_C|ExpenseType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ExpenseType_C|ExpenseType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ExpenseType make(array $attributes = [])
     * @method ExpenseType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ExpenseType[]|_IH_ExpenseType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ExpenseType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ExpenseType[]|_IH_ExpenseType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ExpenseType sole(array|string $columns = ['*'])
     * @method ExpenseType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ExpenseType_QB extends _BaseBuilder {}
    
    /**
     * @method Expense|null getOrPut($key, \Closure $value)
     * @method Expense|$this shift(int $count = 1)
     * @method Expense|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Expense|$this pop(int $count = 1)
     * @method Expense|null pull($key, \Closure $default = null)
     * @method Expense|null last(callable $callback = null, \Closure $default = null)
     * @method Expense|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Expense|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Expense|null get($key, \Closure $default = null)
     * @method Expense|null first(callable $callback = null, \Closure $default = null)
     * @method Expense|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Expense|null find($key, $default = null)
     * @method Expense[] all()
     */
    class _IH_Expense_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Expense[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Expense_QB whereId($value)
     * @method _IH_Expense_QB whereCreatedById($value)
     * @method _IH_Expense_QB whereExpenseTypeId($value)
     * @method _IH_Expense_QB whereExpenseChartOfAccountId($value)
     * @method _IH_Expense_QB whereCurrencyId($value)
     * @method _IH_Expense_QB whereBranchId($value)
     * @method _IH_Expense_QB whereAssetChartOfAccountId($value)
     * @method _IH_Expense_QB whereAmount($value)
     * @method _IH_Expense_QB whereRecurring($value)
     * @method _IH_Expense_QB whereRecurFrequency($value)
     * @method _IH_Expense_QB whereRecurStartDate($value)
     * @method _IH_Expense_QB whereRecurEndDate($value)
     * @method _IH_Expense_QB whereRecurNextDate($value)
     * @method _IH_Expense_QB whereRecurType($value)
     * @method _IH_Expense_QB whereNotes($value)
     * @method _IH_Expense_QB whereDescription($value)
     * @method _IH_Expense_QB whereFiles($value)
     * @method _IH_Expense_QB whereCreatedAt($value)
     * @method _IH_Expense_QB whereUpdatedAt($value)
     * @method Expense baseSole(array|string $columns = ['*'])
     * @method Expense create(array $attributes = [])
     * @method Expense createOrFirst(array $attributes = [], array $values = [])
     * @method Expense createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Expense_C|Expense[] cursor()
     * @method Expense|null|_IH_Expense_C|Expense[] find($id, array|string $columns = ['*'])
     * @method _IH_Expense_C|Expense[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Expense|_IH_Expense_C|Expense[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Expense|_IH_Expense_C|Expense[] findOrFail($id, array|string $columns = ['*'])
     * @method Expense|_IH_Expense_C|Expense[] findOrNew($id, array|string $columns = ['*'])
     * @method Expense first(array|string $columns = ['*'])
     * @method Expense firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Expense firstOrCreate(array $attributes = [], array $values = [])
     * @method Expense firstOrFail(array|string $columns = ['*'])
     * @method Expense firstOrNew(array $attributes = [], array $values = [])
     * @method Expense firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Expense forceCreate(array $attributes)
     * @method Expense forceCreateQuietly(array $attributes = [])
     * @method _IH_Expense_C|Expense[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Expense_C|Expense[] get(array|string $columns = ['*'])
     * @method Expense getModel()
     * @method Expense[] getModels(array|string $columns = ['*'])
     * @method _IH_Expense_C|Expense[] hydrate(array $items)
     * @method _IH_Expense_C|Expense[] lazy(int $chunkSize = 1000)
     * @method _IH_Expense_C|Expense[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Expense_C|Expense[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Expense make(array $attributes = [])
     * @method Expense newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Expense[]|_IH_Expense_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Expense restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Expense[]|_IH_Expense_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Expense sole(array|string $columns = ['*'])
     * @method Expense updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Expense_QB extends _BaseBuilder {}
}