<?php //8838957eedc95b27a9f73098ca84492e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Wallet\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Wallet\Entities\Wallet;
    use Modules\Wallet\Entities\WalletTransaction;
    
    /**
     * @method WalletTransaction|null getOrPut($key, \Closure $value)
     * @method WalletTransaction|$this shift(int $count = 1)
     * @method WalletTransaction|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WalletTransaction|$this pop(int $count = 1)
     * @method WalletTransaction|null pull($key, \Closure $default = null)
     * @method WalletTransaction|null last(callable $callback = null, \Closure $default = null)
     * @method WalletTransaction|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method WalletTransaction|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WalletTransaction|null get($key, \Closure $default = null)
     * @method WalletTransaction|null first(callable $callback = null, \Closure $default = null)
     * @method WalletTransaction|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WalletTransaction|null find($key, $default = null)
     * @method WalletTransaction[] all()
     */
    class _IH_WalletTransaction_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WalletTransaction[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WalletTransaction_QB whereId($value)
     * @method _IH_WalletTransaction_QB whereWalletId($value)
     * @method _IH_WalletTransaction_QB whereCreatedById($value)
     * @method _IH_WalletTransaction_QB whereBranchId($value)
     * @method _IH_WalletTransaction_QB wherePaymentDetailId($value)
     * @method _IH_WalletTransaction_QB whereTransactionType($value)
     * @method _IH_WalletTransaction_QB whereName($value)
     * @method _IH_WalletTransaction_QB whereAmount($value)
     * @method _IH_WalletTransaction_QB whereCredit($value)
     * @method _IH_WalletTransaction_QB whereDebit($value)
     * @method _IH_WalletTransaction_QB whereBalance($value)
     * @method _IH_WalletTransaction_QB whereReversed($value)
     * @method _IH_WalletTransaction_QB whereReversible($value)
     * @method _IH_WalletTransaction_QB whereSubmittedOn($value)
     * @method _IH_WalletTransaction_QB whereCreatedOn($value)
     * @method _IH_WalletTransaction_QB whereDescription($value)
     * @method _IH_WalletTransaction_QB whereReference($value)
     * @method _IH_WalletTransaction_QB whereGatewayId($value)
     * @method _IH_WalletTransaction_QB wherePaymentGatewayData($value)
     * @method _IH_WalletTransaction_QB whereOnlineTransaction($value)
     * @method _IH_WalletTransaction_QB whereStatus($value)
     * @method _IH_WalletTransaction_QB whereCreatedAt($value)
     * @method _IH_WalletTransaction_QB whereUpdatedAt($value)
     * @method WalletTransaction baseSole(array|string $columns = ['*'])
     * @method WalletTransaction create(array $attributes = [])
     * @method WalletTransaction createOrFirst(array $attributes = [], array $values = [])
     * @method WalletTransaction createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_WalletTransaction_C|WalletTransaction[] cursor()
     * @method WalletTransaction|null|_IH_WalletTransaction_C|WalletTransaction[] find($id, array|string $columns = ['*'])
     * @method _IH_WalletTransaction_C|WalletTransaction[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WalletTransaction|_IH_WalletTransaction_C|WalletTransaction[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletTransaction|_IH_WalletTransaction_C|WalletTransaction[] findOrFail($id, array|string $columns = ['*'])
     * @method WalletTransaction|_IH_WalletTransaction_C|WalletTransaction[] findOrNew($id, array|string $columns = ['*'])
     * @method WalletTransaction first(array|string $columns = ['*'])
     * @method WalletTransaction firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletTransaction firstOrCreate(array $attributes = [], array $values = [])
     * @method WalletTransaction firstOrFail(array|string $columns = ['*'])
     * @method WalletTransaction firstOrNew(array $attributes = [], array $values = [])
     * @method WalletTransaction firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WalletTransaction forceCreate(array $attributes)
     * @method WalletTransaction forceCreateQuietly(array $attributes = [])
     * @method _IH_WalletTransaction_C|WalletTransaction[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WalletTransaction_C|WalletTransaction[] get(array|string $columns = ['*'])
     * @method WalletTransaction getModel()
     * @method WalletTransaction[] getModels(array|string $columns = ['*'])
     * @method _IH_WalletTransaction_C|WalletTransaction[] hydrate(array $items)
     * @method _IH_WalletTransaction_C|WalletTransaction[] lazy(int $chunkSize = 1000)
     * @method _IH_WalletTransaction_C|WalletTransaction[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WalletTransaction_C|WalletTransaction[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WalletTransaction make(array $attributes = [])
     * @method WalletTransaction newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WalletTransaction[]|_IH_WalletTransaction_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletTransaction restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|WalletTransaction[]|_IH_WalletTransaction_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletTransaction sole(array|string $columns = ['*'])
     * @method WalletTransaction updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WalletTransaction_QB extends _BaseBuilder {}
    
    /**
     * @method Wallet|null getOrPut($key, \Closure $value)
     * @method Wallet|$this shift(int $count = 1)
     * @method Wallet|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Wallet|$this pop(int $count = 1)
     * @method Wallet|null pull($key, \Closure $default = null)
     * @method Wallet|null last(callable $callback = null, \Closure $default = null)
     * @method Wallet|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Wallet|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Wallet|null get($key, \Closure $default = null)
     * @method Wallet|null first(callable $callback = null, \Closure $default = null)
     * @method Wallet|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Wallet|null find($key, $default = null)
     * @method Wallet[] all()
     */
    class _IH_Wallet_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Wallet[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Wallet_QB whereId($value)
     * @method _IH_Wallet_QB whereCurrencyId($value)
     * @method _IH_Wallet_QB whereCreatedById($value)
     * @method _IH_Wallet_QB whereClientType($value)
     * @method _IH_Wallet_QB whereClientId($value)
     * @method _IH_Wallet_QB whereGroupId($value)
     * @method _IH_Wallet_QB whereBranchId($value)
     * @method _IH_Wallet_QB whereStatus($value)
     * @method _IH_Wallet_QB whereBalance($value)
     * @method _IH_Wallet_QB whereDecimals($value)
     * @method _IH_Wallet_QB whereDescription($value)
     * @method _IH_Wallet_QB whereSubmittedOnDate($value)
     * @method _IH_Wallet_QB whereSubmittedByUserId($value)
     * @method _IH_Wallet_QB whereApprovedOnDate($value)
     * @method _IH_Wallet_QB whereApprovedByUserId($value)
     * @method _IH_Wallet_QB whereApprovedNotes($value)
     * @method _IH_Wallet_QB whereRejectedOnDate($value)
     * @method _IH_Wallet_QB whereRejectedByUserId($value)
     * @method _IH_Wallet_QB whereRejectedNotes($value)
     * @method _IH_Wallet_QB whereClosedOnDate($value)
     * @method _IH_Wallet_QB whereClosedByUserId($value)
     * @method _IH_Wallet_QB whereClosedNotes($value)
     * @method _IH_Wallet_QB whereActivatedOnDate($value)
     * @method _IH_Wallet_QB whereActivatedByUserId($value)
     * @method _IH_Wallet_QB whereActivatedNotes($value)
     * @method _IH_Wallet_QB whereSuspendedOnDate($value)
     * @method _IH_Wallet_QB whereSuspendedByUserId($value)
     * @method _IH_Wallet_QB whereSuspendedNotes($value)
     * @method _IH_Wallet_QB whereInactiveOnDate($value)
     * @method _IH_Wallet_QB whereInactiveByUserId($value)
     * @method _IH_Wallet_QB whereInactiveNotes($value)
     * @method _IH_Wallet_QB whereCreatedAt($value)
     * @method _IH_Wallet_QB whereUpdatedAt($value)
     * @method Wallet baseSole(array|string $columns = ['*'])
     * @method Wallet create(array $attributes = [])
     * @method Wallet createOrFirst(array $attributes = [], array $values = [])
     * @method Wallet createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Wallet_C|Wallet[] cursor()
     * @method Wallet|null|_IH_Wallet_C|Wallet[] find($id, array|string $columns = ['*'])
     * @method _IH_Wallet_C|Wallet[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Wallet|_IH_Wallet_C|Wallet[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wallet|_IH_Wallet_C|Wallet[] findOrFail($id, array|string $columns = ['*'])
     * @method Wallet|_IH_Wallet_C|Wallet[] findOrNew($id, array|string $columns = ['*'])
     * @method Wallet first(array|string $columns = ['*'])
     * @method Wallet firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wallet firstOrCreate(array $attributes = [], array $values = [])
     * @method Wallet firstOrFail(array|string $columns = ['*'])
     * @method Wallet firstOrNew(array $attributes = [], array $values = [])
     * @method Wallet firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Wallet forceCreate(array $attributes)
     * @method Wallet forceCreateQuietly(array $attributes = [])
     * @method _IH_Wallet_C|Wallet[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Wallet_C|Wallet[] get(array|string $columns = ['*'])
     * @method Wallet getModel()
     * @method Wallet[] getModels(array|string $columns = ['*'])
     * @method _IH_Wallet_C|Wallet[] hydrate(array $items)
     * @method _IH_Wallet_C|Wallet[] lazy(int $chunkSize = 1000)
     * @method _IH_Wallet_C|Wallet[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Wallet_C|Wallet[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Wallet make(array $attributes = [])
     * @method Wallet newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Wallet[]|_IH_Wallet_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Wallet restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Wallet[]|_IH_Wallet_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Wallet sole(array|string $columns = ['*'])
     * @method Wallet updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Wallet_QB extends _BaseBuilder {}
}