<?php //dd9c938bcf0c346a1853bc5a242b0e55
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Income\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Income\Entities\Income;
    use Modules\Income\Entities\IncomeType;
    
    /**
     * @method IncomeType|null getOrPut($key, \Closure $value)
     * @method IncomeType|$this shift(int $count = 1)
     * @method IncomeType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method IncomeType|$this pop(int $count = 1)
     * @method IncomeType|null pull($key, \Closure $default = null)
     * @method IncomeType|null last(callable $callback = null, \Closure $default = null)
     * @method IncomeType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method IncomeType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method IncomeType|null get($key, \Closure $default = null)
     * @method IncomeType|null first(callable $callback = null, \Closure $default = null)
     * @method IncomeType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method IncomeType|null find($key, $default = null)
     * @method IncomeType[] all()
     */
    class _IH_IncomeType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return IncomeType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_IncomeType_QB whereId($value)
     * @method _IH_IncomeType_QB whereName($value)
     * @method _IH_IncomeType_QB whereIncomeChartOfAccountId($value)
     * @method _IH_IncomeType_QB whereAssetChartOfAccountId($value)
     * @method _IH_IncomeType_QB whereCreatedAt($value)
     * @method _IH_IncomeType_QB whereUpdatedAt($value)
     * @method IncomeType baseSole(array|string $columns = ['*'])
     * @method IncomeType create(array $attributes = [])
     * @method IncomeType createOrFirst(array $attributes = [], array $values = [])
     * @method IncomeType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_IncomeType_C|IncomeType[] cursor()
     * @method IncomeType|null|_IH_IncomeType_C|IncomeType[] find($id, array|string $columns = ['*'])
     * @method _IH_IncomeType_C|IncomeType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method IncomeType|_IH_IncomeType_C|IncomeType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method IncomeType|_IH_IncomeType_C|IncomeType[] findOrFail($id, array|string $columns = ['*'])
     * @method IncomeType|_IH_IncomeType_C|IncomeType[] findOrNew($id, array|string $columns = ['*'])
     * @method IncomeType first(array|string $columns = ['*'])
     * @method IncomeType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method IncomeType firstOrCreate(array $attributes = [], array $values = [])
     * @method IncomeType firstOrFail(array|string $columns = ['*'])
     * @method IncomeType firstOrNew(array $attributes = [], array $values = [])
     * @method IncomeType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method IncomeType forceCreate(array $attributes)
     * @method IncomeType forceCreateQuietly(array $attributes = [])
     * @method _IH_IncomeType_C|IncomeType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_IncomeType_C|IncomeType[] get(array|string $columns = ['*'])
     * @method IncomeType getModel()
     * @method IncomeType[] getModels(array|string $columns = ['*'])
     * @method _IH_IncomeType_C|IncomeType[] hydrate(array $items)
     * @method _IH_IncomeType_C|IncomeType[] lazy(int $chunkSize = 1000)
     * @method _IH_IncomeType_C|IncomeType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_IncomeType_C|IncomeType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method IncomeType make(array $attributes = [])
     * @method IncomeType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|IncomeType[]|_IH_IncomeType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method IncomeType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|IncomeType[]|_IH_IncomeType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method IncomeType sole(array|string $columns = ['*'])
     * @method IncomeType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_IncomeType_QB extends _BaseBuilder {}
    
    /**
     * @method Income|null getOrPut($key, \Closure $value)
     * @method Income|$this shift(int $count = 1)
     * @method Income|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Income|$this pop(int $count = 1)
     * @method Income|null pull($key, \Closure $default = null)
     * @method Income|null last(callable $callback = null, \Closure $default = null)
     * @method Income|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Income|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Income|null get($key, \Closure $default = null)
     * @method Income|null first(callable $callback = null, \Closure $default = null)
     * @method Income|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Income|null find($key, $default = null)
     * @method Income[] all()
     */
    class _IH_Income_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Income[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Income_QB whereId($value)
     * @method _IH_Income_QB whereCreatedById($value)
     * @method _IH_Income_QB whereIncomeTypeId($value)
     * @method _IH_Income_QB whereCurrencyId($value)
     * @method _IH_Income_QB whereBranchId($value)
     * @method _IH_Income_QB whereIncomeChartOfAccountId($value)
     * @method _IH_Income_QB whereAssetChartOfAccountId($value)
     * @method _IH_Income_QB whereAmount($value)
     * @method _IH_Income_QB whereRecurring($value)
     * @method _IH_Income_QB whereRecurFrequency($value)
     * @method _IH_Income_QB whereRecurStartDate($value)
     * @method _IH_Income_QB whereRecurEndDate($value)
     * @method _IH_Income_QB whereRecurNextDate($value)
     * @method _IH_Income_QB whereRecurType($value)
     * @method _IH_Income_QB whereNotes($value)
     * @method _IH_Income_QB whereDescription($value)
     * @method _IH_Income_QB whereFiles($value)
     * @method _IH_Income_QB whereCreatedAt($value)
     * @method _IH_Income_QB whereUpdatedAt($value)
     * @method Income baseSole(array|string $columns = ['*'])
     * @method Income create(array $attributes = [])
     * @method Income createOrFirst(array $attributes = [], array $values = [])
     * @method Income createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Income_C|Income[] cursor()
     * @method Income|null|_IH_Income_C|Income[] find($id, array|string $columns = ['*'])
     * @method _IH_Income_C|Income[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Income|_IH_Income_C|Income[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Income|_IH_Income_C|Income[] findOrFail($id, array|string $columns = ['*'])
     * @method Income|_IH_Income_C|Income[] findOrNew($id, array|string $columns = ['*'])
     * @method Income first(array|string $columns = ['*'])
     * @method Income firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Income firstOrCreate(array $attributes = [], array $values = [])
     * @method Income firstOrFail(array|string $columns = ['*'])
     * @method Income firstOrNew(array $attributes = [], array $values = [])
     * @method Income firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Income forceCreate(array $attributes)
     * @method Income forceCreateQuietly(array $attributes = [])
     * @method _IH_Income_C|Income[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Income_C|Income[] get(array|string $columns = ['*'])
     * @method Income getModel()
     * @method Income[] getModels(array|string $columns = ['*'])
     * @method _IH_Income_C|Income[] hydrate(array $items)
     * @method _IH_Income_C|Income[] lazy(int $chunkSize = 1000)
     * @method _IH_Income_C|Income[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Income_C|Income[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Income make(array $attributes = [])
     * @method Income newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Income[]|_IH_Income_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Income restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Income[]|_IH_Income_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Income sole(array|string $columns = ['*'])
     * @method Income updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Income_QB extends _BaseBuilder {}
}