<?php //8e6943376b0f7bce0bdac59643829465
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Client\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Client\Entities\Client;
    use Modules\Client\Entities\ClientFile;
    use Modules\Client\Entities\ClientFileType;
    use Modules\Client\Entities\ClientIdentification;
    use Modules\Client\Entities\ClientIdentificationType;
    use Modules\Client\Entities\ClientNextOfKin;
    use Modules\Client\Entities\ClientRelationship;
    use Modules\Client\Entities\ClientType;
    use Modules\Client\Entities\ClientUser;
    use Modules\Client\Entities\Profession;
    use Modules\Client\Entities\Title;
    
    /**
     * @method ClientFileType|null getOrPut($key, \Closure $value)
     * @method ClientFileType|$this shift(int $count = 1)
     * @method ClientFileType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientFileType|$this pop(int $count = 1)
     * @method ClientFileType|null pull($key, \Closure $default = null)
     * @method ClientFileType|null last(callable $callback = null, \Closure $default = null)
     * @method ClientFileType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientFileType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientFileType|null get($key, \Closure $default = null)
     * @method ClientFileType|null first(callable $callback = null, \Closure $default = null)
     * @method ClientFileType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientFileType|null find($key, $default = null)
     * @method ClientFileType[] all()
     */
    class _IH_ClientFileType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientFileType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientFileType_QB whereId($value)
     * @method _IH_ClientFileType_QB whereName($value)
     * @method _IH_ClientFileType_QB whereCreatedAt($value)
     * @method _IH_ClientFileType_QB whereUpdatedAt($value)
     * @method ClientFileType baseSole(array|string $columns = ['*'])
     * @method ClientFileType create(array $attributes = [])
     * @method ClientFileType createOrFirst(array $attributes = [], array $values = [])
     * @method ClientFileType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ClientFileType_C|ClientFileType[] cursor()
     * @method ClientFileType|null|_IH_ClientFileType_C|ClientFileType[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientFileType_C|ClientFileType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientFileType|_IH_ClientFileType_C|ClientFileType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientFileType|_IH_ClientFileType_C|ClientFileType[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientFileType|_IH_ClientFileType_C|ClientFileType[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientFileType first(array|string $columns = ['*'])
     * @method ClientFileType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientFileType firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientFileType firstOrFail(array|string $columns = ['*'])
     * @method ClientFileType firstOrNew(array $attributes = [], array $values = [])
     * @method ClientFileType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientFileType forceCreate(array $attributes)
     * @method ClientFileType forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientFileType_C|ClientFileType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientFileType_C|ClientFileType[] get(array|string $columns = ['*'])
     * @method ClientFileType getModel()
     * @method ClientFileType[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientFileType_C|ClientFileType[] hydrate(array $items)
     * @method _IH_ClientFileType_C|ClientFileType[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientFileType_C|ClientFileType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientFileType_C|ClientFileType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientFileType make(array $attributes = [])
     * @method ClientFileType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientFileType[]|_IH_ClientFileType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientFileType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientFileType[]|_IH_ClientFileType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientFileType sole(array|string $columns = ['*'])
     * @method ClientFileType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientFileType_QB extends _BaseBuilder {}
    
    /**
     * @method ClientFile|null getOrPut($key, \Closure $value)
     * @method ClientFile|$this shift(int $count = 1)
     * @method ClientFile|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientFile|$this pop(int $count = 1)
     * @method ClientFile|null pull($key, \Closure $default = null)
     * @method ClientFile|null last(callable $callback = null, \Closure $default = null)
     * @method ClientFile|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientFile|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientFile|null get($key, \Closure $default = null)
     * @method ClientFile|null first(callable $callback = null, \Closure $default = null)
     * @method ClientFile|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientFile|null find($key, $default = null)
     * @method ClientFile[] all()
     */
    class _IH_ClientFile_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientFile[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientFile_QB whereId($value)
     * @method _IH_ClientFile_QB whereCreatedById($value)
     * @method _IH_ClientFile_QB whereClientId($value)
     * @method _IH_ClientFile_QB whereName($value)
     * @method _IH_ClientFile_QB whereDescription($value)
     * @method _IH_ClientFile_QB whereSize($value)
     * @method _IH_ClientFile_QB whereLink($value)
     * @method _IH_ClientFile_QB whereCreatedAt($value)
     * @method _IH_ClientFile_QB whereUpdatedAt($value)
     * @method _IH_ClientFile_QB whereClientFileTypeId($value)
     * @method _IH_ClientFile_QB whereStatus($value)
     * @method ClientFile baseSole(array|string $columns = ['*'])
     * @method ClientFile create(array $attributes = [])
     * @method ClientFile createOrFirst(array $attributes = [], array $values = [])
     * @method ClientFile createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ClientFile_C|ClientFile[] cursor()
     * @method ClientFile|null|_IH_ClientFile_C|ClientFile[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientFile_C|ClientFile[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientFile|_IH_ClientFile_C|ClientFile[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientFile|_IH_ClientFile_C|ClientFile[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientFile|_IH_ClientFile_C|ClientFile[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientFile first(array|string $columns = ['*'])
     * @method ClientFile firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientFile firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientFile firstOrFail(array|string $columns = ['*'])
     * @method ClientFile firstOrNew(array $attributes = [], array $values = [])
     * @method ClientFile firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientFile forceCreate(array $attributes)
     * @method ClientFile forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientFile_C|ClientFile[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientFile_C|ClientFile[] get(array|string $columns = ['*'])
     * @method ClientFile getModel()
     * @method ClientFile[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientFile_C|ClientFile[] hydrate(array $items)
     * @method _IH_ClientFile_C|ClientFile[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientFile_C|ClientFile[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientFile_C|ClientFile[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientFile make(array $attributes = [])
     * @method ClientFile newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientFile[]|_IH_ClientFile_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientFile restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientFile[]|_IH_ClientFile_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientFile sole(array|string $columns = ['*'])
     * @method ClientFile updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientFile_QB extends _BaseBuilder {}
    
    /**
     * @method ClientIdentificationType|null getOrPut($key, \Closure $value)
     * @method ClientIdentificationType|$this shift(int $count = 1)
     * @method ClientIdentificationType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientIdentificationType|$this pop(int $count = 1)
     * @method ClientIdentificationType|null pull($key, \Closure $default = null)
     * @method ClientIdentificationType|null last(callable $callback = null, \Closure $default = null)
     * @method ClientIdentificationType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientIdentificationType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientIdentificationType|null get($key, \Closure $default = null)
     * @method ClientIdentificationType|null first(callable $callback = null, \Closure $default = null)
     * @method ClientIdentificationType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientIdentificationType|null find($key, $default = null)
     * @method ClientIdentificationType[] all()
     */
    class _IH_ClientIdentificationType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientIdentificationType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientIdentificationType_QB whereId($value)
     * @method _IH_ClientIdentificationType_QB whereName($value)
     * @method ClientIdentificationType baseSole(array|string $columns = ['*'])
     * @method ClientIdentificationType create(array $attributes = [])
     * @method ClientIdentificationType createOrFirst(array $attributes = [], array $values = [])
     * @method ClientIdentificationType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ClientIdentificationType_C|ClientIdentificationType[] cursor()
     * @method ClientIdentificationType|null|_IH_ClientIdentificationType_C|ClientIdentificationType[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientIdentificationType_C|ClientIdentificationType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientIdentificationType|_IH_ClientIdentificationType_C|ClientIdentificationType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientIdentificationType|_IH_ClientIdentificationType_C|ClientIdentificationType[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientIdentificationType|_IH_ClientIdentificationType_C|ClientIdentificationType[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientIdentificationType first(array|string $columns = ['*'])
     * @method ClientIdentificationType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientIdentificationType firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientIdentificationType firstOrFail(array|string $columns = ['*'])
     * @method ClientIdentificationType firstOrNew(array $attributes = [], array $values = [])
     * @method ClientIdentificationType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientIdentificationType forceCreate(array $attributes)
     * @method ClientIdentificationType forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientIdentificationType_C|ClientIdentificationType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientIdentificationType_C|ClientIdentificationType[] get(array|string $columns = ['*'])
     * @method ClientIdentificationType getModel()
     * @method ClientIdentificationType[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientIdentificationType_C|ClientIdentificationType[] hydrate(array $items)
     * @method _IH_ClientIdentificationType_C|ClientIdentificationType[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientIdentificationType_C|ClientIdentificationType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientIdentificationType_C|ClientIdentificationType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientIdentificationType make(array $attributes = [])
     * @method ClientIdentificationType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientIdentificationType[]|_IH_ClientIdentificationType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientIdentificationType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientIdentificationType[]|_IH_ClientIdentificationType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientIdentificationType sole(array|string $columns = ['*'])
     * @method ClientIdentificationType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientIdentificationType_QB extends _BaseBuilder {}
    
    /**
     * @method ClientIdentification|null getOrPut($key, \Closure $value)
     * @method ClientIdentification|$this shift(int $count = 1)
     * @method ClientIdentification|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientIdentification|$this pop(int $count = 1)
     * @method ClientIdentification|null pull($key, \Closure $default = null)
     * @method ClientIdentification|null last(callable $callback = null, \Closure $default = null)
     * @method ClientIdentification|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientIdentification|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientIdentification|null get($key, \Closure $default = null)
     * @method ClientIdentification|null first(callable $callback = null, \Closure $default = null)
     * @method ClientIdentification|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientIdentification|null find($key, $default = null)
     * @method ClientIdentification[] all()
     */
    class _IH_ClientIdentification_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientIdentification[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientIdentification_QB whereId($value)
     * @method _IH_ClientIdentification_QB whereCreatedById($value)
     * @method _IH_ClientIdentification_QB whereClientId($value)
     * @method _IH_ClientIdentification_QB whereClientIdentificationTypeId($value)
     * @method _IH_ClientIdentification_QB whereIdentificationValue($value)
     * @method _IH_ClientIdentification_QB whereDescription($value)
     * @method _IH_ClientIdentification_QB whereSize($value)
     * @method _IH_ClientIdentification_QB whereLink($value)
     * @method _IH_ClientIdentification_QB whereCreatedAt($value)
     * @method _IH_ClientIdentification_QB whereUpdatedAt($value)
     * @method _IH_ClientIdentification_QB whereStatus($value)
     * @method ClientIdentification baseSole(array|string $columns = ['*'])
     * @method ClientIdentification create(array $attributes = [])
     * @method ClientIdentification createOrFirst(array $attributes = [], array $values = [])
     * @method ClientIdentification createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ClientIdentification_C|ClientIdentification[] cursor()
     * @method ClientIdentification|null|_IH_ClientIdentification_C|ClientIdentification[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientIdentification_C|ClientIdentification[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientIdentification|_IH_ClientIdentification_C|ClientIdentification[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientIdentification|_IH_ClientIdentification_C|ClientIdentification[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientIdentification|_IH_ClientIdentification_C|ClientIdentification[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientIdentification first(array|string $columns = ['*'])
     * @method ClientIdentification firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientIdentification firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientIdentification firstOrFail(array|string $columns = ['*'])
     * @method ClientIdentification firstOrNew(array $attributes = [], array $values = [])
     * @method ClientIdentification firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientIdentification forceCreate(array $attributes)
     * @method ClientIdentification forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientIdentification_C|ClientIdentification[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientIdentification_C|ClientIdentification[] get(array|string $columns = ['*'])
     * @method ClientIdentification getModel()
     * @method ClientIdentification[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientIdentification_C|ClientIdentification[] hydrate(array $items)
     * @method _IH_ClientIdentification_C|ClientIdentification[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientIdentification_C|ClientIdentification[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientIdentification_C|ClientIdentification[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientIdentification make(array $attributes = [])
     * @method ClientIdentification newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientIdentification[]|_IH_ClientIdentification_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientIdentification restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientIdentification[]|_IH_ClientIdentification_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientIdentification sole(array|string $columns = ['*'])
     * @method ClientIdentification updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientIdentification_QB extends _BaseBuilder {}
    
    /**
     * @method ClientNextOfKin|null getOrPut($key, \Closure $value)
     * @method ClientNextOfKin|$this shift(int $count = 1)
     * @method ClientNextOfKin|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientNextOfKin|$this pop(int $count = 1)
     * @method ClientNextOfKin|null pull($key, \Closure $default = null)
     * @method ClientNextOfKin|null last(callable $callback = null, \Closure $default = null)
     * @method ClientNextOfKin|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientNextOfKin|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientNextOfKin|null get($key, \Closure $default = null)
     * @method ClientNextOfKin|null first(callable $callback = null, \Closure $default = null)
     * @method ClientNextOfKin|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientNextOfKin|null find($key, $default = null)
     * @method ClientNextOfKin[] all()
     */
    class _IH_ClientNextOfKin_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientNextOfKin[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientNextOfKin_QB whereId($value)
     * @method _IH_ClientNextOfKin_QB whereCreatedById($value)
     * @method _IH_ClientNextOfKin_QB whereClientId($value)
     * @method _IH_ClientNextOfKin_QB whereClientRelationshipId($value)
     * @method _IH_ClientNextOfKin_QB whereFirstName($value)
     * @method _IH_ClientNextOfKin_QB whereMiddleName($value)
     * @method _IH_ClientNextOfKin_QB whereLastName($value)
     * @method _IH_ClientNextOfKin_QB whereGender($value)
     * @method _IH_ClientNextOfKin_QB whereMaritalStatus($value)
     * @method _IH_ClientNextOfKin_QB whereCountryId($value)
     * @method _IH_ClientNextOfKin_QB whereTitleId($value)
     * @method _IH_ClientNextOfKin_QB whereProfessionId($value)
     * @method _IH_ClientNextOfKin_QB whereMobile($value)
     * @method _IH_ClientNextOfKin_QB wherePhone($value)
     * @method _IH_ClientNextOfKin_QB whereEmail($value)
     * @method _IH_ClientNextOfKin_QB whereDob($value)
     * @method _IH_ClientNextOfKin_QB whereAddress($value)
     * @method _IH_ClientNextOfKin_QB whereCity($value)
     * @method _IH_ClientNextOfKin_QB whereState($value)
     * @method _IH_ClientNextOfKin_QB whereZip($value)
     * @method _IH_ClientNextOfKin_QB whereEmployer($value)
     * @method _IH_ClientNextOfKin_QB wherePhoto($value)
     * @method _IH_ClientNextOfKin_QB whereNotes($value)
     * @method _IH_ClientNextOfKin_QB whereCreatedAt($value)
     * @method _IH_ClientNextOfKin_QB whereUpdatedAt($value)
     * @method ClientNextOfKin baseSole(array|string $columns = ['*'])
     * @method ClientNextOfKin create(array $attributes = [])
     * @method ClientNextOfKin createOrFirst(array $attributes = [], array $values = [])
     * @method ClientNextOfKin createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ClientNextOfKin_C|ClientNextOfKin[] cursor()
     * @method ClientNextOfKin|null|_IH_ClientNextOfKin_C|ClientNextOfKin[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientNextOfKin_C|ClientNextOfKin[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientNextOfKin|_IH_ClientNextOfKin_C|ClientNextOfKin[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientNextOfKin|_IH_ClientNextOfKin_C|ClientNextOfKin[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientNextOfKin|_IH_ClientNextOfKin_C|ClientNextOfKin[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientNextOfKin first(array|string $columns = ['*'])
     * @method ClientNextOfKin firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientNextOfKin firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientNextOfKin firstOrFail(array|string $columns = ['*'])
     * @method ClientNextOfKin firstOrNew(array $attributes = [], array $values = [])
     * @method ClientNextOfKin firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientNextOfKin forceCreate(array $attributes)
     * @method ClientNextOfKin forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientNextOfKin_C|ClientNextOfKin[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientNextOfKin_C|ClientNextOfKin[] get(array|string $columns = ['*'])
     * @method ClientNextOfKin getModel()
     * @method ClientNextOfKin[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientNextOfKin_C|ClientNextOfKin[] hydrate(array $items)
     * @method _IH_ClientNextOfKin_C|ClientNextOfKin[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientNextOfKin_C|ClientNextOfKin[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientNextOfKin_C|ClientNextOfKin[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientNextOfKin make(array $attributes = [])
     * @method ClientNextOfKin newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientNextOfKin[]|_IH_ClientNextOfKin_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientNextOfKin restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientNextOfKin[]|_IH_ClientNextOfKin_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientNextOfKin sole(array|string $columns = ['*'])
     * @method ClientNextOfKin updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientNextOfKin_QB extends _BaseBuilder {}
    
    /**
     * @method ClientRelationship|null getOrPut($key, \Closure $value)
     * @method ClientRelationship|$this shift(int $count = 1)
     * @method ClientRelationship|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientRelationship|$this pop(int $count = 1)
     * @method ClientRelationship|null pull($key, \Closure $default = null)
     * @method ClientRelationship|null last(callable $callback = null, \Closure $default = null)
     * @method ClientRelationship|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientRelationship|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientRelationship|null get($key, \Closure $default = null)
     * @method ClientRelationship|null first(callable $callback = null, \Closure $default = null)
     * @method ClientRelationship|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientRelationship|null find($key, $default = null)
     * @method ClientRelationship[] all()
     */
    class _IH_ClientRelationship_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientRelationship[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientRelationship_QB whereId($value)
     * @method _IH_ClientRelationship_QB whereName($value)
     * @method ClientRelationship baseSole(array|string $columns = ['*'])
     * @method ClientRelationship create(array $attributes = [])
     * @method ClientRelationship createOrFirst(array $attributes = [], array $values = [])
     * @method ClientRelationship createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ClientRelationship_C|ClientRelationship[] cursor()
     * @method ClientRelationship|null|_IH_ClientRelationship_C|ClientRelationship[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientRelationship_C|ClientRelationship[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientRelationship|_IH_ClientRelationship_C|ClientRelationship[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientRelationship|_IH_ClientRelationship_C|ClientRelationship[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientRelationship|_IH_ClientRelationship_C|ClientRelationship[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientRelationship first(array|string $columns = ['*'])
     * @method ClientRelationship firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientRelationship firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientRelationship firstOrFail(array|string $columns = ['*'])
     * @method ClientRelationship firstOrNew(array $attributes = [], array $values = [])
     * @method ClientRelationship firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientRelationship forceCreate(array $attributes)
     * @method ClientRelationship forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientRelationship_C|ClientRelationship[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientRelationship_C|ClientRelationship[] get(array|string $columns = ['*'])
     * @method ClientRelationship getModel()
     * @method ClientRelationship[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientRelationship_C|ClientRelationship[] hydrate(array $items)
     * @method _IH_ClientRelationship_C|ClientRelationship[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientRelationship_C|ClientRelationship[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientRelationship_C|ClientRelationship[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientRelationship make(array $attributes = [])
     * @method ClientRelationship newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientRelationship[]|_IH_ClientRelationship_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientRelationship restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientRelationship[]|_IH_ClientRelationship_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientRelationship sole(array|string $columns = ['*'])
     * @method ClientRelationship updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientRelationship_QB extends _BaseBuilder {}
    
    /**
     * @method ClientType|null getOrPut($key, \Closure $value)
     * @method ClientType|$this shift(int $count = 1)
     * @method ClientType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientType|$this pop(int $count = 1)
     * @method ClientType|null pull($key, \Closure $default = null)
     * @method ClientType|null last(callable $callback = null, \Closure $default = null)
     * @method ClientType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientType|null get($key, \Closure $default = null)
     * @method ClientType|null first(callable $callback = null, \Closure $default = null)
     * @method ClientType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientType|null find($key, $default = null)
     * @method ClientType[] all()
     */
    class _IH_ClientType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientType_QB whereId($value)
     * @method _IH_ClientType_QB whereName($value)
     * @method ClientType baseSole(array|string $columns = ['*'])
     * @method ClientType create(array $attributes = [])
     * @method ClientType createOrFirst(array $attributes = [], array $values = [])
     * @method ClientType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ClientType_C|ClientType[] cursor()
     * @method ClientType|null|_IH_ClientType_C|ClientType[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientType_C|ClientType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientType|_IH_ClientType_C|ClientType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientType|_IH_ClientType_C|ClientType[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientType|_IH_ClientType_C|ClientType[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientType first(array|string $columns = ['*'])
     * @method ClientType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientType firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientType firstOrFail(array|string $columns = ['*'])
     * @method ClientType firstOrNew(array $attributes = [], array $values = [])
     * @method ClientType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientType forceCreate(array $attributes)
     * @method ClientType forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientType_C|ClientType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientType_C|ClientType[] get(array|string $columns = ['*'])
     * @method ClientType getModel()
     * @method ClientType[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientType_C|ClientType[] hydrate(array $items)
     * @method _IH_ClientType_C|ClientType[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientType_C|ClientType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientType_C|ClientType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientType make(array $attributes = [])
     * @method ClientType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientType[]|_IH_ClientType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientType[]|_IH_ClientType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientType sole(array|string $columns = ['*'])
     * @method ClientType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientType_QB extends _BaseBuilder {}
    
    /**
     * @method ClientUser|null getOrPut($key, \Closure $value)
     * @method ClientUser|$this shift(int $count = 1)
     * @method ClientUser|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ClientUser|$this pop(int $count = 1)
     * @method ClientUser|null pull($key, \Closure $default = null)
     * @method ClientUser|null last(callable $callback = null, \Closure $default = null)
     * @method ClientUser|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ClientUser|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ClientUser|null get($key, \Closure $default = null)
     * @method ClientUser|null first(callable $callback = null, \Closure $default = null)
     * @method ClientUser|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ClientUser|null find($key, $default = null)
     * @method ClientUser[] all()
     */
    class _IH_ClientUser_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ClientUser[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ClientUser_QB whereId($value)
     * @method _IH_ClientUser_QB whereCreatedById($value)
     * @method _IH_ClientUser_QB whereClientId($value)
     * @method _IH_ClientUser_QB whereUserId($value)
     * @method _IH_ClientUser_QB whereCreatedAt($value)
     * @method _IH_ClientUser_QB whereUpdatedAt($value)
     * @method ClientUser baseSole(array|string $columns = ['*'])
     * @method ClientUser create(array $attributes = [])
     * @method ClientUser createOrFirst(array $attributes = [], array $values = [])
     * @method ClientUser createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_ClientUser_C|ClientUser[] cursor()
     * @method ClientUser|null|_IH_ClientUser_C|ClientUser[] find($id, array|string $columns = ['*'])
     * @method _IH_ClientUser_C|ClientUser[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ClientUser|_IH_ClientUser_C|ClientUser[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientUser|_IH_ClientUser_C|ClientUser[] findOrFail($id, array|string $columns = ['*'])
     * @method ClientUser|_IH_ClientUser_C|ClientUser[] findOrNew($id, array|string $columns = ['*'])
     * @method ClientUser first(array|string $columns = ['*'])
     * @method ClientUser firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ClientUser firstOrCreate(array $attributes = [], array $values = [])
     * @method ClientUser firstOrFail(array|string $columns = ['*'])
     * @method ClientUser firstOrNew(array $attributes = [], array $values = [])
     * @method ClientUser firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ClientUser forceCreate(array $attributes)
     * @method ClientUser forceCreateQuietly(array $attributes = [])
     * @method _IH_ClientUser_C|ClientUser[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ClientUser_C|ClientUser[] get(array|string $columns = ['*'])
     * @method ClientUser getModel()
     * @method ClientUser[] getModels(array|string $columns = ['*'])
     * @method _IH_ClientUser_C|ClientUser[] hydrate(array $items)
     * @method _IH_ClientUser_C|ClientUser[] lazy(int $chunkSize = 1000)
     * @method _IH_ClientUser_C|ClientUser[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ClientUser_C|ClientUser[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ClientUser make(array $attributes = [])
     * @method ClientUser newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ClientUser[]|_IH_ClientUser_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientUser restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ClientUser[]|_IH_ClientUser_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ClientUser sole(array|string $columns = ['*'])
     * @method ClientUser updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ClientUser_QB extends _BaseBuilder {}
    
    /**
     * @method Client|null getOrPut($key, \Closure $value)
     * @method Client|$this shift(int $count = 1)
     * @method Client|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Client|$this pop(int $count = 1)
     * @method Client|null pull($key, \Closure $default = null)
     * @method Client|null last(callable $callback = null, \Closure $default = null)
     * @method Client|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Client|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Client|null get($key, \Closure $default = null)
     * @method Client|null first(callable $callback = null, \Closure $default = null)
     * @method Client|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Client|null find($key, $default = null)
     * @method Client[] all()
     */
    class _IH_Client_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Client[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Client_QB whereId($value)
     * @method _IH_Client_QB whereCreatedById($value)
     * @method _IH_Client_QB whereBranchId($value)
     * @method _IH_Client_QB whereLoanOfficerId($value)
     * @method _IH_Client_QB whereReference($value)
     * @method _IH_Client_QB whereAccountNumber($value)
     * @method _IH_Client_QB whereFirstName($value)
     * @method _IH_Client_QB whereMiddleName($value)
     * @method _IH_Client_QB whereLastName($value)
     * @method _IH_Client_QB whereGender($value)
     * @method _IH_Client_QB whereStatus($value)
     * @method _IH_Client_QB whereMaritalStatus($value)
     * @method _IH_Client_QB whereCountryId($value)
     * @method _IH_Client_QB whereTitleId($value)
     * @method _IH_Client_QB whereProfessionId($value)
     * @method _IH_Client_QB whereClientTypeId($value)
     * @method _IH_Client_QB whereMobile($value)
     * @method _IH_Client_QB wherePhone($value)
     * @method _IH_Client_QB whereEmail($value)
     * @method _IH_Client_QB whereExternalId($value)
     * @method _IH_Client_QB whereDob($value)
     * @method _IH_Client_QB whereAddress($value)
     * @method _IH_Client_QB whereCity($value)
     * @method _IH_Client_QB whereState($value)
     * @method _IH_Client_QB whereZip($value)
     * @method _IH_Client_QB whereEmployer($value)
     * @method _IH_Client_QB wherePhoto($value)
     * @method _IH_Client_QB whereNotes($value)
     * @method _IH_Client_QB whereSignature($value)
     * @method _IH_Client_QB whereCreatedDate($value)
     * @method _IH_Client_QB whereJoinedDate($value)
     * @method _IH_Client_QB whereActivationDate($value)
     * @method _IH_Client_QB whereCreatedAt($value)
     * @method _IH_Client_QB whereUpdatedAt($value)
     * @method Client baseSole(array|string $columns = ['*'])
     * @method Client create(array $attributes = [])
     * @method Client createOrFirst(array $attributes = [], array $values = [])
     * @method Client createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Client_C|Client[] cursor()
     * @method Client|null|_IH_Client_C|Client[] find($id, array|string $columns = ['*'])
     * @method _IH_Client_C|Client[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Client|_IH_Client_C|Client[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Client|_IH_Client_C|Client[] findOrFail($id, array|string $columns = ['*'])
     * @method Client|_IH_Client_C|Client[] findOrNew($id, array|string $columns = ['*'])
     * @method Client first(array|string $columns = ['*'])
     * @method Client firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Client firstOrCreate(array $attributes = [], array $values = [])
     * @method Client firstOrFail(array|string $columns = ['*'])
     * @method Client firstOrNew(array $attributes = [], array $values = [])
     * @method Client firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Client forceCreate(array $attributes)
     * @method Client forceCreateQuietly(array $attributes = [])
     * @method _IH_Client_C|Client[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Client_C|Client[] get(array|string $columns = ['*'])
     * @method Client getModel()
     * @method Client[] getModels(array|string $columns = ['*'])
     * @method _IH_Client_C|Client[] hydrate(array $items)
     * @method _IH_Client_C|Client[] lazy(int $chunkSize = 1000)
     * @method _IH_Client_C|Client[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Client_C|Client[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Client make(array $attributes = [])
     * @method Client newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Client[]|_IH_Client_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Client restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Client[]|_IH_Client_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Client sole(array|string $columns = ['*'])
     * @method Client updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Client_QB extends _BaseBuilder {}
    
    /**
     * @method Profession|null getOrPut($key, \Closure $value)
     * @method Profession|$this shift(int $count = 1)
     * @method Profession|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Profession|$this pop(int $count = 1)
     * @method Profession|null pull($key, \Closure $default = null)
     * @method Profession|null last(callable $callback = null, \Closure $default = null)
     * @method Profession|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Profession|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Profession|null get($key, \Closure $default = null)
     * @method Profession|null first(callable $callback = null, \Closure $default = null)
     * @method Profession|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Profession|null find($key, $default = null)
     * @method Profession[] all()
     */
    class _IH_Profession_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Profession[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Profession_QB whereId($value)
     * @method _IH_Profession_QB whereName($value)
     * @method Profession baseSole(array|string $columns = ['*'])
     * @method Profession create(array $attributes = [])
     * @method Profession createOrFirst(array $attributes = [], array $values = [])
     * @method Profession createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Profession_C|Profession[] cursor()
     * @method Profession|null|_IH_Profession_C|Profession[] find($id, array|string $columns = ['*'])
     * @method _IH_Profession_C|Profession[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Profession|_IH_Profession_C|Profession[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Profession|_IH_Profession_C|Profession[] findOrFail($id, array|string $columns = ['*'])
     * @method Profession|_IH_Profession_C|Profession[] findOrNew($id, array|string $columns = ['*'])
     * @method Profession first(array|string $columns = ['*'])
     * @method Profession firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Profession firstOrCreate(array $attributes = [], array $values = [])
     * @method Profession firstOrFail(array|string $columns = ['*'])
     * @method Profession firstOrNew(array $attributes = [], array $values = [])
     * @method Profession firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Profession forceCreate(array $attributes)
     * @method Profession forceCreateQuietly(array $attributes = [])
     * @method _IH_Profession_C|Profession[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Profession_C|Profession[] get(array|string $columns = ['*'])
     * @method Profession getModel()
     * @method Profession[] getModels(array|string $columns = ['*'])
     * @method _IH_Profession_C|Profession[] hydrate(array $items)
     * @method _IH_Profession_C|Profession[] lazy(int $chunkSize = 1000)
     * @method _IH_Profession_C|Profession[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Profession_C|Profession[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Profession make(array $attributes = [])
     * @method Profession newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Profession[]|_IH_Profession_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Profession restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Profession[]|_IH_Profession_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Profession sole(array|string $columns = ['*'])
     * @method Profession updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Profession_QB extends _BaseBuilder {}
    
    /**
     * @method Title|null getOrPut($key, \Closure $value)
     * @method Title|$this shift(int $count = 1)
     * @method Title|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Title|$this pop(int $count = 1)
     * @method Title|null pull($key, \Closure $default = null)
     * @method Title|null last(callable $callback = null, \Closure $default = null)
     * @method Title|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Title|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Title|null get($key, \Closure $default = null)
     * @method Title|null first(callable $callback = null, \Closure $default = null)
     * @method Title|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Title|null find($key, $default = null)
     * @method Title[] all()
     */
    class _IH_Title_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Title[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Title_QB whereId($value)
     * @method _IH_Title_QB whereName($value)
     * @method Title baseSole(array|string $columns = ['*'])
     * @method Title create(array $attributes = [])
     * @method Title createOrFirst(array $attributes = [], array $values = [])
     * @method Title createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Title_C|Title[] cursor()
     * @method Title|null|_IH_Title_C|Title[] find($id, array|string $columns = ['*'])
     * @method _IH_Title_C|Title[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Title|_IH_Title_C|Title[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Title|_IH_Title_C|Title[] findOrFail($id, array|string $columns = ['*'])
     * @method Title|_IH_Title_C|Title[] findOrNew($id, array|string $columns = ['*'])
     * @method Title first(array|string $columns = ['*'])
     * @method Title firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Title firstOrCreate(array $attributes = [], array $values = [])
     * @method Title firstOrFail(array|string $columns = ['*'])
     * @method Title firstOrNew(array $attributes = [], array $values = [])
     * @method Title firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Title forceCreate(array $attributes)
     * @method Title forceCreateQuietly(array $attributes = [])
     * @method _IH_Title_C|Title[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Title_C|Title[] get(array|string $columns = ['*'])
     * @method Title getModel()
     * @method Title[] getModels(array|string $columns = ['*'])
     * @method _IH_Title_C|Title[] hydrate(array $items)
     * @method _IH_Title_C|Title[] lazy(int $chunkSize = 1000)
     * @method _IH_Title_C|Title[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Title_C|Title[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Title make(array $attributes = [])
     * @method Title newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Title[]|_IH_Title_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Title restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Title[]|_IH_Title_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Title sole(array|string $columns = ['*'])
     * @method Title updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Title_QB extends _BaseBuilder {}
}