<?php //ea1f745217430fd8686562d260264055
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\CustomField\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\CustomField\Entities\CustomField;
    use Modules\CustomField\Entities\CustomFieldMeta;
    
    /**
     * @method CustomFieldMeta|null getOrPut($key, \Closure $value)
     * @method CustomFieldMeta|$this shift(int $count = 1)
     * @method CustomFieldMeta|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomFieldMeta|$this pop(int $count = 1)
     * @method CustomFieldMeta|null pull($key, \Closure $default = null)
     * @method CustomFieldMeta|null last(callable $callback = null, \Closure $default = null)
     * @method CustomFieldMeta|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomFieldMeta|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomFieldMeta|null get($key, \Closure $default = null)
     * @method CustomFieldMeta|null first(callable $callback = null, \Closure $default = null)
     * @method CustomFieldMeta|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomFieldMeta|null find($key, $default = null)
     * @method CustomFieldMeta[] all()
     */
    class _IH_CustomFieldMeta_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomFieldMeta[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CustomFieldMeta_QB whereId($value)
     * @method _IH_CustomFieldMeta_QB whereCategory($value)
     * @method _IH_CustomFieldMeta_QB whereParentId($value)
     * @method _IH_CustomFieldMeta_QB whereCustomFieldId($value)
     * @method _IH_CustomFieldMeta_QB whereValue($value)
     * @method _IH_CustomFieldMeta_QB whereCreatedAt($value)
     * @method _IH_CustomFieldMeta_QB whereUpdatedAt($value)
     * @method CustomFieldMeta baseSole(array|string $columns = ['*'])
     * @method CustomFieldMeta create(array $attributes = [])
     * @method CustomFieldMeta createOrFirst(array $attributes = [], array $values = [])
     * @method CustomFieldMeta createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_CustomFieldMeta_C|CustomFieldMeta[] cursor()
     * @method CustomFieldMeta|null|_IH_CustomFieldMeta_C|CustomFieldMeta[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomFieldMeta_C|CustomFieldMeta[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomFieldMeta|_IH_CustomFieldMeta_C|CustomFieldMeta[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomFieldMeta|_IH_CustomFieldMeta_C|CustomFieldMeta[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomFieldMeta|_IH_CustomFieldMeta_C|CustomFieldMeta[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomFieldMeta first(array|string $columns = ['*'])
     * @method CustomFieldMeta firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomFieldMeta firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomFieldMeta firstOrFail(array|string $columns = ['*'])
     * @method CustomFieldMeta firstOrNew(array $attributes = [], array $values = [])
     * @method CustomFieldMeta firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomFieldMeta forceCreate(array $attributes)
     * @method CustomFieldMeta forceCreateQuietly(array $attributes = [])
     * @method _IH_CustomFieldMeta_C|CustomFieldMeta[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomFieldMeta_C|CustomFieldMeta[] get(array|string $columns = ['*'])
     * @method CustomFieldMeta getModel()
     * @method CustomFieldMeta[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomFieldMeta_C|CustomFieldMeta[] hydrate(array $items)
     * @method _IH_CustomFieldMeta_C|CustomFieldMeta[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomFieldMeta_C|CustomFieldMeta[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomFieldMeta_C|CustomFieldMeta[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomFieldMeta make(array $attributes = [])
     * @method CustomFieldMeta newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomFieldMeta[]|_IH_CustomFieldMeta_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomFieldMeta restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|CustomFieldMeta[]|_IH_CustomFieldMeta_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomFieldMeta sole(array|string $columns = ['*'])
     * @method CustomFieldMeta updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomFieldMeta_QB extends _BaseBuilder {}
    
    /**
     * @method CustomField|null getOrPut($key, \Closure $value)
     * @method CustomField|$this shift(int $count = 1)
     * @method CustomField|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CustomField|$this pop(int $count = 1)
     * @method CustomField|null pull($key, \Closure $default = null)
     * @method CustomField|null last(callable $callback = null, \Closure $default = null)
     * @method CustomField|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method CustomField|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CustomField|null get($key, \Closure $default = null)
     * @method CustomField|null first(callable $callback = null, \Closure $default = null)
     * @method CustomField|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CustomField|null find($key, $default = null)
     * @method CustomField[] all()
     */
    class _IH_CustomField_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CustomField[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CustomField_QB whereId($value)
     * @method _IH_CustomField_QB whereCreatedById($value)
     * @method _IH_CustomField_QB whereCategory($value)
     * @method _IH_CustomField_QB whereType($value)
     * @method _IH_CustomField_QB whereName($value)
     * @method _IH_CustomField_QB whereLabel($value)
     * @method _IH_CustomField_QB whereOptions($value)
     * @method _IH_CustomField_QB whereClass($value)
     * @method _IH_CustomField_QB whereDbColumns($value)
     * @method _IH_CustomField_QB whereRules($value)
     * @method _IH_CustomField_QB whereDefaultValues($value)
     * @method _IH_CustomField_QB whereRequired($value)
     * @method _IH_CustomField_QB whereActive($value)
     * @method _IH_CustomField_QB whereCreatedAt($value)
     * @method _IH_CustomField_QB whereUpdatedAt($value)
     * @method _IH_CustomField_QB whereIncludeInReport($value)
     * @method CustomField baseSole(array|string $columns = ['*'])
     * @method CustomField create(array $attributes = [])
     * @method CustomField createOrFirst(array $attributes = [], array $values = [])
     * @method CustomField createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_CustomField_C|CustomField[] cursor()
     * @method CustomField|null|_IH_CustomField_C|CustomField[] find($id, array|string $columns = ['*'])
     * @method _IH_CustomField_C|CustomField[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CustomField|_IH_CustomField_C|CustomField[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomField|_IH_CustomField_C|CustomField[] findOrFail($id, array|string $columns = ['*'])
     * @method CustomField|_IH_CustomField_C|CustomField[] findOrNew($id, array|string $columns = ['*'])
     * @method CustomField first(array|string $columns = ['*'])
     * @method CustomField firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CustomField firstOrCreate(array $attributes = [], array $values = [])
     * @method CustomField firstOrFail(array|string $columns = ['*'])
     * @method CustomField firstOrNew(array $attributes = [], array $values = [])
     * @method CustomField firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CustomField forceCreate(array $attributes)
     * @method CustomField forceCreateQuietly(array $attributes = [])
     * @method _IH_CustomField_C|CustomField[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CustomField_C|CustomField[] get(array|string $columns = ['*'])
     * @method CustomField getModel()
     * @method CustomField[] getModels(array|string $columns = ['*'])
     * @method _IH_CustomField_C|CustomField[] hydrate(array $items)
     * @method _IH_CustomField_C|CustomField[] lazy(int $chunkSize = 1000)
     * @method _IH_CustomField_C|CustomField[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CustomField_C|CustomField[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CustomField make(array $attributes = [])
     * @method CustomField newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CustomField[]|_IH_CustomField_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomField restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|CustomField[]|_IH_CustomField_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CustomField sole(array|string $columns = ['*'])
     * @method CustomField updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CustomField_QB extends _BaseBuilder {}
}