<?php //caf2551f6b8936bc196703b783f96ba4
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Savings\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Savings\Entities\Savings;
    use Modules\Savings\Entities\SavingsCharge;
    use Modules\Savings\Entities\SavingsChargeOption;
    use Modules\Savings\Entities\SavingsChargeType;
    use Modules\Savings\Entities\SavingsFile;
    use Modules\Savings\Entities\SavingsFileType;
    use Modules\Savings\Entities\SavingsLinkedCharge;
    use Modules\Savings\Entities\SavingsProduct;
    use Modules\Savings\Entities\SavingsProductLinkedCharge;
    use Modules\Savings\Entities\SavingsTransaction;
    
    /**
     * @method SavingsChargeOption|null getOrPut($key, \Closure $value)
     * @method SavingsChargeOption|$this shift(int $count = 1)
     * @method SavingsChargeOption|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsChargeOption|$this pop(int $count = 1)
     * @method SavingsChargeOption|null pull($key, \Closure $default = null)
     * @method SavingsChargeOption|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsChargeOption|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsChargeOption|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsChargeOption|null get($key, \Closure $default = null)
     * @method SavingsChargeOption|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsChargeOption|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsChargeOption|null find($key, $default = null)
     * @method SavingsChargeOption[] all()
     */
    class _IH_SavingsChargeOption_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsChargeOption[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsChargeOption_QB whereId($value)
     * @method _IH_SavingsChargeOption_QB whereName($value)
     * @method _IH_SavingsChargeOption_QB whereTranslatedName($value)
     * @method _IH_SavingsChargeOption_QB whereActive($value)
     * @method SavingsChargeOption baseSole(array|string $columns = ['*'])
     * @method SavingsChargeOption create(array $attributes = [])
     * @method SavingsChargeOption createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsChargeOption createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsChargeOption_C|SavingsChargeOption[] cursor()
     * @method SavingsChargeOption|null|_IH_SavingsChargeOption_C|SavingsChargeOption[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsChargeOption_C|SavingsChargeOption[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsChargeOption|_IH_SavingsChargeOption_C|SavingsChargeOption[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsChargeOption|_IH_SavingsChargeOption_C|SavingsChargeOption[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsChargeOption|_IH_SavingsChargeOption_C|SavingsChargeOption[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsChargeOption first(array|string $columns = ['*'])
     * @method SavingsChargeOption firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsChargeOption firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsChargeOption firstOrFail(array|string $columns = ['*'])
     * @method SavingsChargeOption firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsChargeOption firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsChargeOption forceCreate(array $attributes)
     * @method SavingsChargeOption forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsChargeOption_C|SavingsChargeOption[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsChargeOption_C|SavingsChargeOption[] get(array|string $columns = ['*'])
     * @method SavingsChargeOption getModel()
     * @method SavingsChargeOption[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsChargeOption_C|SavingsChargeOption[] hydrate(array $items)
     * @method _IH_SavingsChargeOption_C|SavingsChargeOption[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsChargeOption_C|SavingsChargeOption[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsChargeOption_C|SavingsChargeOption[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsChargeOption make(array $attributes = [])
     * @method SavingsChargeOption newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsChargeOption[]|_IH_SavingsChargeOption_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsChargeOption restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsChargeOption[]|_IH_SavingsChargeOption_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsChargeOption sole(array|string $columns = ['*'])
     * @method SavingsChargeOption updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsChargeOption_QB extends _BaseBuilder {}
    
    /**
     * @method SavingsChargeType|null getOrPut($key, \Closure $value)
     * @method SavingsChargeType|$this shift(int $count = 1)
     * @method SavingsChargeType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsChargeType|$this pop(int $count = 1)
     * @method SavingsChargeType|null pull($key, \Closure $default = null)
     * @method SavingsChargeType|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsChargeType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsChargeType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsChargeType|null get($key, \Closure $default = null)
     * @method SavingsChargeType|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsChargeType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsChargeType|null find($key, $default = null)
     * @method SavingsChargeType[] all()
     */
    class _IH_SavingsChargeType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsChargeType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsChargeType_QB whereId($value)
     * @method _IH_SavingsChargeType_QB whereName($value)
     * @method _IH_SavingsChargeType_QB whereTranslatedName($value)
     * @method _IH_SavingsChargeType_QB whereActive($value)
     * @method SavingsChargeType baseSole(array|string $columns = ['*'])
     * @method SavingsChargeType create(array $attributes = [])
     * @method SavingsChargeType createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsChargeType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsChargeType_C|SavingsChargeType[] cursor()
     * @method SavingsChargeType|null|_IH_SavingsChargeType_C|SavingsChargeType[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsChargeType_C|SavingsChargeType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsChargeType|_IH_SavingsChargeType_C|SavingsChargeType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsChargeType|_IH_SavingsChargeType_C|SavingsChargeType[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsChargeType|_IH_SavingsChargeType_C|SavingsChargeType[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsChargeType first(array|string $columns = ['*'])
     * @method SavingsChargeType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsChargeType firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsChargeType firstOrFail(array|string $columns = ['*'])
     * @method SavingsChargeType firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsChargeType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsChargeType forceCreate(array $attributes)
     * @method SavingsChargeType forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsChargeType_C|SavingsChargeType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsChargeType_C|SavingsChargeType[] get(array|string $columns = ['*'])
     * @method SavingsChargeType getModel()
     * @method SavingsChargeType[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsChargeType_C|SavingsChargeType[] hydrate(array $items)
     * @method _IH_SavingsChargeType_C|SavingsChargeType[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsChargeType_C|SavingsChargeType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsChargeType_C|SavingsChargeType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsChargeType make(array $attributes = [])
     * @method SavingsChargeType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsChargeType[]|_IH_SavingsChargeType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsChargeType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsChargeType[]|_IH_SavingsChargeType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsChargeType sole(array|string $columns = ['*'])
     * @method SavingsChargeType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsChargeType_QB extends _BaseBuilder {}
    
    /**
     * @method SavingsCharge|null getOrPut($key, \Closure $value)
     * @method SavingsCharge|$this shift(int $count = 1)
     * @method SavingsCharge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsCharge|$this pop(int $count = 1)
     * @method SavingsCharge|null pull($key, \Closure $default = null)
     * @method SavingsCharge|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsCharge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsCharge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsCharge|null get($key, \Closure $default = null)
     * @method SavingsCharge|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsCharge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsCharge|null find($key, $default = null)
     * @method SavingsCharge[] all()
     */
    class _IH_SavingsCharge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsCharge[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsCharge_QB whereId($value)
     * @method _IH_SavingsCharge_QB whereCreatedById($value)
     * @method _IH_SavingsCharge_QB whereCurrencyId($value)
     * @method _IH_SavingsCharge_QB whereSavingsChargeTypeId($value)
     * @method _IH_SavingsCharge_QB whereSavingsChargeOptionId($value)
     * @method _IH_SavingsCharge_QB whereName($value)
     * @method _IH_SavingsCharge_QB whereAmount($value)
     * @method _IH_SavingsCharge_QB whereMinAmount($value)
     * @method _IH_SavingsCharge_QB whereMaxAmount($value)
     * @method _IH_SavingsCharge_QB wherePaymentMode($value)
     * @method _IH_SavingsCharge_QB whereSchedule($value)
     * @method _IH_SavingsCharge_QB whereScheduleFrequency($value)
     * @method _IH_SavingsCharge_QB whereScheduleFrequencyType($value)
     * @method _IH_SavingsCharge_QB whereActive($value)
     * @method _IH_SavingsCharge_QB whereAllowOverride($value)
     * @method _IH_SavingsCharge_QB whereCreatedAt($value)
     * @method _IH_SavingsCharge_QB whereUpdatedAt($value)
     * @method SavingsCharge baseSole(array|string $columns = ['*'])
     * @method SavingsCharge create(array $attributes = [])
     * @method SavingsCharge createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsCharge createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsCharge_C|SavingsCharge[] cursor()
     * @method SavingsCharge|null|_IH_SavingsCharge_C|SavingsCharge[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsCharge_C|SavingsCharge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsCharge|_IH_SavingsCharge_C|SavingsCharge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsCharge|_IH_SavingsCharge_C|SavingsCharge[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsCharge|_IH_SavingsCharge_C|SavingsCharge[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsCharge first(array|string $columns = ['*'])
     * @method SavingsCharge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsCharge firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsCharge firstOrFail(array|string $columns = ['*'])
     * @method SavingsCharge firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsCharge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsCharge forceCreate(array $attributes)
     * @method SavingsCharge forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsCharge_C|SavingsCharge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsCharge_C|SavingsCharge[] get(array|string $columns = ['*'])
     * @method SavingsCharge getModel()
     * @method SavingsCharge[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsCharge_C|SavingsCharge[] hydrate(array $items)
     * @method _IH_SavingsCharge_C|SavingsCharge[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsCharge_C|SavingsCharge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsCharge_C|SavingsCharge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsCharge make(array $attributes = [])
     * @method SavingsCharge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsCharge[]|_IH_SavingsCharge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsCharge restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsCharge[]|_IH_SavingsCharge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsCharge sole(array|string $columns = ['*'])
     * @method SavingsCharge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsCharge_QB extends _BaseBuilder {}
    
    /**
     * @method SavingsFileType|null getOrPut($key, \Closure $value)
     * @method SavingsFileType|$this shift(int $count = 1)
     * @method SavingsFileType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsFileType|$this pop(int $count = 1)
     * @method SavingsFileType|null pull($key, \Closure $default = null)
     * @method SavingsFileType|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsFileType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsFileType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsFileType|null get($key, \Closure $default = null)
     * @method SavingsFileType|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsFileType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsFileType|null find($key, $default = null)
     * @method SavingsFileType[] all()
     */
    class _IH_SavingsFileType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsFileType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsFileType_QB whereId($value)
     * @method _IH_SavingsFileType_QB whereName($value)
     * @method _IH_SavingsFileType_QB whereCreatedAt($value)
     * @method _IH_SavingsFileType_QB whereUpdatedAt($value)
     * @method SavingsFileType baseSole(array|string $columns = ['*'])
     * @method SavingsFileType create(array $attributes = [])
     * @method SavingsFileType createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsFileType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsFileType_C|SavingsFileType[] cursor()
     * @method SavingsFileType|null|_IH_SavingsFileType_C|SavingsFileType[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsFileType_C|SavingsFileType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsFileType|_IH_SavingsFileType_C|SavingsFileType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsFileType|_IH_SavingsFileType_C|SavingsFileType[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsFileType|_IH_SavingsFileType_C|SavingsFileType[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsFileType first(array|string $columns = ['*'])
     * @method SavingsFileType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsFileType firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsFileType firstOrFail(array|string $columns = ['*'])
     * @method SavingsFileType firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsFileType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsFileType forceCreate(array $attributes)
     * @method SavingsFileType forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsFileType_C|SavingsFileType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsFileType_C|SavingsFileType[] get(array|string $columns = ['*'])
     * @method SavingsFileType getModel()
     * @method SavingsFileType[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsFileType_C|SavingsFileType[] hydrate(array $items)
     * @method _IH_SavingsFileType_C|SavingsFileType[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsFileType_C|SavingsFileType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsFileType_C|SavingsFileType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsFileType make(array $attributes = [])
     * @method SavingsFileType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsFileType[]|_IH_SavingsFileType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsFileType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsFileType[]|_IH_SavingsFileType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsFileType sole(array|string $columns = ['*'])
     * @method SavingsFileType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsFileType_QB extends _BaseBuilder {}
    
    /**
     * @method SavingsFile|null getOrPut($key, \Closure $value)
     * @method SavingsFile|$this shift(int $count = 1)
     * @method SavingsFile|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsFile|$this pop(int $count = 1)
     * @method SavingsFile|null pull($key, \Closure $default = null)
     * @method SavingsFile|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsFile|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsFile|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsFile|null get($key, \Closure $default = null)
     * @method SavingsFile|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsFile|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsFile|null find($key, $default = null)
     * @method SavingsFile[] all()
     */
    class _IH_SavingsFile_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsFile[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsFile_QB whereId($value)
     * @method _IH_SavingsFile_QB whereCreatedById($value)
     * @method _IH_SavingsFile_QB whereSavingsFileTypeId($value)
     * @method _IH_SavingsFile_QB whereSavingsId($value)
     * @method _IH_SavingsFile_QB whereName($value)
     * @method _IH_SavingsFile_QB whereDescription($value)
     * @method _IH_SavingsFile_QB whereSize($value)
     * @method _IH_SavingsFile_QB whereLink($value)
     * @method _IH_SavingsFile_QB whereStatus($value)
     * @method _IH_SavingsFile_QB whereCreatedAt($value)
     * @method _IH_SavingsFile_QB whereUpdatedAt($value)
     * @method SavingsFile baseSole(array|string $columns = ['*'])
     * @method SavingsFile create(array $attributes = [])
     * @method SavingsFile createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsFile createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsFile_C|SavingsFile[] cursor()
     * @method SavingsFile|null|_IH_SavingsFile_C|SavingsFile[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsFile_C|SavingsFile[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsFile|_IH_SavingsFile_C|SavingsFile[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsFile|_IH_SavingsFile_C|SavingsFile[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsFile|_IH_SavingsFile_C|SavingsFile[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsFile first(array|string $columns = ['*'])
     * @method SavingsFile firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsFile firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsFile firstOrFail(array|string $columns = ['*'])
     * @method SavingsFile firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsFile firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsFile forceCreate(array $attributes)
     * @method SavingsFile forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsFile_C|SavingsFile[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsFile_C|SavingsFile[] get(array|string $columns = ['*'])
     * @method SavingsFile getModel()
     * @method SavingsFile[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsFile_C|SavingsFile[] hydrate(array $items)
     * @method _IH_SavingsFile_C|SavingsFile[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsFile_C|SavingsFile[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsFile_C|SavingsFile[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsFile make(array $attributes = [])
     * @method SavingsFile newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsFile[]|_IH_SavingsFile_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsFile restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsFile[]|_IH_SavingsFile_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsFile sole(array|string $columns = ['*'])
     * @method SavingsFile updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsFile_QB extends _BaseBuilder {}
    
    /**
     * @method SavingsLinkedCharge|null getOrPut($key, \Closure $value)
     * @method SavingsLinkedCharge|$this shift(int $count = 1)
     * @method SavingsLinkedCharge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsLinkedCharge|$this pop(int $count = 1)
     * @method SavingsLinkedCharge|null pull($key, \Closure $default = null)
     * @method SavingsLinkedCharge|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsLinkedCharge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsLinkedCharge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsLinkedCharge|null get($key, \Closure $default = null)
     * @method SavingsLinkedCharge|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsLinkedCharge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsLinkedCharge|null find($key, $default = null)
     * @method SavingsLinkedCharge[] all()
     */
    class _IH_SavingsLinkedCharge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsLinkedCharge[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsLinkedCharge_QB whereId($value)
     * @method _IH_SavingsLinkedCharge_QB whereCreatedById($value)
     * @method _IH_SavingsLinkedCharge_QB whereCurrencyId($value)
     * @method _IH_SavingsLinkedCharge_QB whereSavingsId($value)
     * @method _IH_SavingsLinkedCharge_QB whereSavingsChargeId($value)
     * @method _IH_SavingsLinkedCharge_QB whereSavingsChargeTypeId($value)
     * @method _IH_SavingsLinkedCharge_QB whereSavingsChargeOptionId($value)
     * @method _IH_SavingsLinkedCharge_QB whereSavingsTransactionId($value)
     * @method _IH_SavingsLinkedCharge_QB whereName($value)
     * @method _IH_SavingsLinkedCharge_QB whereAmount($value)
     * @method _IH_SavingsLinkedCharge_QB whereCalculatedAmount($value)
     * @method _IH_SavingsLinkedCharge_QB wherePaidAmount($value)
     * @method _IH_SavingsLinkedCharge_QB whereActive($value)
     * @method _IH_SavingsLinkedCharge_QB whereWaived($value)
     * @method _IH_SavingsLinkedCharge_QB whereIsPaid($value)
     * @method _IH_SavingsLinkedCharge_QB whereSubmittedOn($value)
     * @method _IH_SavingsLinkedCharge_QB whereCreatedAt($value)
     * @method _IH_SavingsLinkedCharge_QB whereUpdatedAt($value)
     * @method SavingsLinkedCharge baseSole(array|string $columns = ['*'])
     * @method SavingsLinkedCharge create(array $attributes = [])
     * @method SavingsLinkedCharge createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsLinkedCharge createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] cursor()
     * @method SavingsLinkedCharge|null|_IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsLinkedCharge|_IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsLinkedCharge|_IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsLinkedCharge|_IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsLinkedCharge first(array|string $columns = ['*'])
     * @method SavingsLinkedCharge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsLinkedCharge firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsLinkedCharge firstOrFail(array|string $columns = ['*'])
     * @method SavingsLinkedCharge firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsLinkedCharge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsLinkedCharge forceCreate(array $attributes)
     * @method SavingsLinkedCharge forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] get(array|string $columns = ['*'])
     * @method SavingsLinkedCharge getModel()
     * @method SavingsLinkedCharge[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] hydrate(array $items)
     * @method _IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsLinkedCharge_C|SavingsLinkedCharge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsLinkedCharge make(array $attributes = [])
     * @method SavingsLinkedCharge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsLinkedCharge[]|_IH_SavingsLinkedCharge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsLinkedCharge restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsLinkedCharge[]|_IH_SavingsLinkedCharge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsLinkedCharge sole(array|string $columns = ['*'])
     * @method SavingsLinkedCharge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsLinkedCharge_QB extends _BaseBuilder {}
    
    /**
     * @method SavingsProductLinkedCharge|null getOrPut($key, \Closure $value)
     * @method SavingsProductLinkedCharge|$this shift(int $count = 1)
     * @method SavingsProductLinkedCharge|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsProductLinkedCharge|$this pop(int $count = 1)
     * @method SavingsProductLinkedCharge|null pull($key, \Closure $default = null)
     * @method SavingsProductLinkedCharge|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsProductLinkedCharge|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsProductLinkedCharge|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsProductLinkedCharge|null get($key, \Closure $default = null)
     * @method SavingsProductLinkedCharge|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsProductLinkedCharge|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsProductLinkedCharge|null find($key, $default = null)
     * @method SavingsProductLinkedCharge[] all()
     */
    class _IH_SavingsProductLinkedCharge_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsProductLinkedCharge[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsProductLinkedCharge_QB whereId($value)
     * @method _IH_SavingsProductLinkedCharge_QB whereSavingsProductId($value)
     * @method _IH_SavingsProductLinkedCharge_QB whereSavingsChargeId($value)
     * @method _IH_SavingsProductLinkedCharge_QB whereCreatedAt($value)
     * @method _IH_SavingsProductLinkedCharge_QB whereUpdatedAt($value)
     * @method SavingsProductLinkedCharge baseSole(array|string $columns = ['*'])
     * @method SavingsProductLinkedCharge create(array $attributes = [])
     * @method SavingsProductLinkedCharge createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsProductLinkedCharge createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] cursor()
     * @method SavingsProductLinkedCharge|null|_IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsProductLinkedCharge|_IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsProductLinkedCharge|_IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsProductLinkedCharge|_IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsProductLinkedCharge first(array|string $columns = ['*'])
     * @method SavingsProductLinkedCharge firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsProductLinkedCharge firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsProductLinkedCharge firstOrFail(array|string $columns = ['*'])
     * @method SavingsProductLinkedCharge firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsProductLinkedCharge firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsProductLinkedCharge forceCreate(array $attributes)
     * @method SavingsProductLinkedCharge forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] get(array|string $columns = ['*'])
     * @method SavingsProductLinkedCharge getModel()
     * @method SavingsProductLinkedCharge[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] hydrate(array $items)
     * @method _IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsProductLinkedCharge_C|SavingsProductLinkedCharge[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsProductLinkedCharge make(array $attributes = [])
     * @method SavingsProductLinkedCharge newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsProductLinkedCharge[]|_IH_SavingsProductLinkedCharge_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsProductLinkedCharge restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsProductLinkedCharge[]|_IH_SavingsProductLinkedCharge_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsProductLinkedCharge sole(array|string $columns = ['*'])
     * @method SavingsProductLinkedCharge updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsProductLinkedCharge_QB extends _BaseBuilder {}
    
    /**
     * @method SavingsProduct|null getOrPut($key, \Closure $value)
     * @method SavingsProduct|$this shift(int $count = 1)
     * @method SavingsProduct|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsProduct|$this pop(int $count = 1)
     * @method SavingsProduct|null pull($key, \Closure $default = null)
     * @method SavingsProduct|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsProduct|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsProduct|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsProduct|null get($key, \Closure $default = null)
     * @method SavingsProduct|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsProduct|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsProduct|null find($key, $default = null)
     * @method SavingsProduct[] all()
     */
    class _IH_SavingsProduct_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsProduct[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsProduct_QB whereId($value)
     * @method _IH_SavingsProduct_QB whereCreatedById($value)
     * @method _IH_SavingsProduct_QB whereCurrencyId($value)
     * @method _IH_SavingsProduct_QB whereSavingsReferenceChartOfAccountId($value)
     * @method _IH_SavingsProduct_QB whereOverdraftPortfolioChartOfAccountId($value)
     * @method _IH_SavingsProduct_QB whereSavingsControlChartOfAccountId($value)
     * @method _IH_SavingsProduct_QB whereInterestOnSavingsChartOfAccountId($value)
     * @method _IH_SavingsProduct_QB whereWriteOffSavingsChartOfAccountId($value)
     * @method _IH_SavingsProduct_QB whereIncomeFromFeesChartOfAccountId($value)
     * @method _IH_SavingsProduct_QB whereIncomeFromPenaltiesChartOfAccountId($value)
     * @method _IH_SavingsProduct_QB whereIncomeFromInterestOverdraftChartOfAccountId($value)
     * @method _IH_SavingsProduct_QB whereName($value)
     * @method _IH_SavingsProduct_QB whereShortName($value)
     * @method _IH_SavingsProduct_QB whereDescription($value)
     * @method _IH_SavingsProduct_QB whereDecimals($value)
     * @method _IH_SavingsProduct_QB whereSavingsCategory($value)
     * @method _IH_SavingsProduct_QB whereAutoCreate($value)
     * @method _IH_SavingsProduct_QB whereMinimumInterestRate($value)
     * @method _IH_SavingsProduct_QB whereDefaultInterestRate($value)
     * @method _IH_SavingsProduct_QB whereMaximumInterestRate($value)
     * @method _IH_SavingsProduct_QB whereInterestRateType($value)
     * @method _IH_SavingsProduct_QB whereCompoundingPeriod($value)
     * @method _IH_SavingsProduct_QB whereInterestPostingPeriodType($value)
     * @method _IH_SavingsProduct_QB whereInterestCalculationType($value)
     * @method _IH_SavingsProduct_QB whereAutomaticOpeningBalance($value)
     * @method _IH_SavingsProduct_QB whereMinimumBalanceForInterestCalculation($value)
     * @method _IH_SavingsProduct_QB whereLockinPeriod($value)
     * @method _IH_SavingsProduct_QB whereLockinType($value)
     * @method _IH_SavingsProduct_QB whereMinimumBalance($value)
     * @method _IH_SavingsProduct_QB whereAllowOverdraft($value)
     * @method _IH_SavingsProduct_QB whereOverdraftLimit($value)
     * @method _IH_SavingsProduct_QB whereOverdraftInterestRate($value)
     * @method _IH_SavingsProduct_QB whereMinimumOverdraftForInterest($value)
     * @method _IH_SavingsProduct_QB whereDaysInYear($value)
     * @method _IH_SavingsProduct_QB whereDaysInMonth($value)
     * @method _IH_SavingsProduct_QB whereAccountingRule($value)
     * @method _IH_SavingsProduct_QB whereActive($value)
     * @method _IH_SavingsProduct_QB whereCreatedAt($value)
     * @method _IH_SavingsProduct_QB whereUpdatedAt($value)
     * @method SavingsProduct baseSole(array|string $columns = ['*'])
     * @method SavingsProduct create(array $attributes = [])
     * @method SavingsProduct createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsProduct createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsProduct_C|SavingsProduct[] cursor()
     * @method SavingsProduct|null|_IH_SavingsProduct_C|SavingsProduct[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsProduct_C|SavingsProduct[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsProduct|_IH_SavingsProduct_C|SavingsProduct[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsProduct|_IH_SavingsProduct_C|SavingsProduct[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsProduct|_IH_SavingsProduct_C|SavingsProduct[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsProduct first(array|string $columns = ['*'])
     * @method SavingsProduct firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsProduct firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsProduct firstOrFail(array|string $columns = ['*'])
     * @method SavingsProduct firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsProduct firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsProduct forceCreate(array $attributes)
     * @method SavingsProduct forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsProduct_C|SavingsProduct[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsProduct_C|SavingsProduct[] get(array|string $columns = ['*'])
     * @method SavingsProduct getModel()
     * @method SavingsProduct[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsProduct_C|SavingsProduct[] hydrate(array $items)
     * @method _IH_SavingsProduct_C|SavingsProduct[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsProduct_C|SavingsProduct[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsProduct_C|SavingsProduct[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsProduct make(array $attributes = [])
     * @method SavingsProduct newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsProduct[]|_IH_SavingsProduct_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsProduct restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsProduct[]|_IH_SavingsProduct_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsProduct sole(array|string $columns = ['*'])
     * @method SavingsProduct updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsProduct_QB extends _BaseBuilder {}
    
    /**
     * @method SavingsTransaction|null getOrPut($key, \Closure $value)
     * @method SavingsTransaction|$this shift(int $count = 1)
     * @method SavingsTransaction|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsTransaction|$this pop(int $count = 1)
     * @method SavingsTransaction|null pull($key, \Closure $default = null)
     * @method SavingsTransaction|null last(callable $callback = null, \Closure $default = null)
     * @method SavingsTransaction|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method SavingsTransaction|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SavingsTransaction|null get($key, \Closure $default = null)
     * @method SavingsTransaction|null first(callable $callback = null, \Closure $default = null)
     * @method SavingsTransaction|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SavingsTransaction|null find($key, $default = null)
     * @method SavingsTransaction[] all()
     */
    class _IH_SavingsTransaction_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SavingsTransaction[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SavingsTransaction_QB whereId($value)
     * @method _IH_SavingsTransaction_QB whereSavingsId($value)
     * @method _IH_SavingsTransaction_QB whereCreatedById($value)
     * @method _IH_SavingsTransaction_QB whereBranchId($value)
     * @method _IH_SavingsTransaction_QB whereSavingsLinkedChargeId($value)
     * @method _IH_SavingsTransaction_QB wherePaymentDetailId($value)
     * @method _IH_SavingsTransaction_QB whereName($value)
     * @method _IH_SavingsTransaction_QB whereAmount($value)
     * @method _IH_SavingsTransaction_QB whereCredit($value)
     * @method _IH_SavingsTransaction_QB whereDebit($value)
     * @method _IH_SavingsTransaction_QB whereBalance($value)
     * @method _IH_SavingsTransaction_QB whereSavingsTransactionTypeId($value)
     * @method _IH_SavingsTransaction_QB whereReversed($value)
     * @method _IH_SavingsTransaction_QB whereReversible($value)
     * @method _IH_SavingsTransaction_QB whereSubmittedOn($value)
     * @method _IH_SavingsTransaction_QB whereCreatedOn($value)
     * @method _IH_SavingsTransaction_QB whereDescription($value)
     * @method _IH_SavingsTransaction_QB whereReference($value)
     * @method _IH_SavingsTransaction_QB whereGatewayId($value)
     * @method _IH_SavingsTransaction_QB wherePaymentGatewayData($value)
     * @method _IH_SavingsTransaction_QB whereOnlineTransaction($value)
     * @method _IH_SavingsTransaction_QB whereStatus($value)
     * @method _IH_SavingsTransaction_QB whereCreatedAt($value)
     * @method _IH_SavingsTransaction_QB whereUpdatedAt($value)
     * @method SavingsTransaction baseSole(array|string $columns = ['*'])
     * @method SavingsTransaction create(array $attributes = [])
     * @method SavingsTransaction createOrFirst(array $attributes = [], array $values = [])
     * @method SavingsTransaction createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_SavingsTransaction_C|SavingsTransaction[] cursor()
     * @method SavingsTransaction|null|_IH_SavingsTransaction_C|SavingsTransaction[] find($id, array|string $columns = ['*'])
     * @method _IH_SavingsTransaction_C|SavingsTransaction[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SavingsTransaction|_IH_SavingsTransaction_C|SavingsTransaction[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsTransaction|_IH_SavingsTransaction_C|SavingsTransaction[] findOrFail($id, array|string $columns = ['*'])
     * @method SavingsTransaction|_IH_SavingsTransaction_C|SavingsTransaction[] findOrNew($id, array|string $columns = ['*'])
     * @method SavingsTransaction first(array|string $columns = ['*'])
     * @method SavingsTransaction firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SavingsTransaction firstOrCreate(array $attributes = [], array $values = [])
     * @method SavingsTransaction firstOrFail(array|string $columns = ['*'])
     * @method SavingsTransaction firstOrNew(array $attributes = [], array $values = [])
     * @method SavingsTransaction firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SavingsTransaction forceCreate(array $attributes)
     * @method SavingsTransaction forceCreateQuietly(array $attributes = [])
     * @method _IH_SavingsTransaction_C|SavingsTransaction[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SavingsTransaction_C|SavingsTransaction[] get(array|string $columns = ['*'])
     * @method SavingsTransaction getModel()
     * @method SavingsTransaction[] getModels(array|string $columns = ['*'])
     * @method _IH_SavingsTransaction_C|SavingsTransaction[] hydrate(array $items)
     * @method _IH_SavingsTransaction_C|SavingsTransaction[] lazy(int $chunkSize = 1000)
     * @method _IH_SavingsTransaction_C|SavingsTransaction[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SavingsTransaction_C|SavingsTransaction[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SavingsTransaction make(array $attributes = [])
     * @method SavingsTransaction newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SavingsTransaction[]|_IH_SavingsTransaction_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsTransaction restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SavingsTransaction[]|_IH_SavingsTransaction_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SavingsTransaction sole(array|string $columns = ['*'])
     * @method SavingsTransaction updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_SavingsTransaction_QB extends _BaseBuilder {}
    
    /**
     * @method Savings|null getOrPut($key, \Closure $value)
     * @method Savings|$this shift(int $count = 1)
     * @method Savings|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Savings|$this pop(int $count = 1)
     * @method Savings|null pull($key, \Closure $default = null)
     * @method Savings|null last(callable $callback = null, \Closure $default = null)
     * @method Savings|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Savings|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Savings|null get($key, \Closure $default = null)
     * @method Savings|null first(callable $callback = null, \Closure $default = null)
     * @method Savings|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Savings|null find($key, $default = null)
     * @method Savings[] all()
     */
    class _IH_Savings_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Savings[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Savings_QB whereId($value)
     * @method _IH_Savings_QB whereCreatedById($value)
     * @method _IH_Savings_QB whereCurrencyId($value)
     * @method _IH_Savings_QB whereSavingsOfficerId($value)
     * @method _IH_Savings_QB whereSavingsProductId($value)
     * @method _IH_Savings_QB whereClientType($value)
     * @method _IH_Savings_QB whereClientId($value)
     * @method _IH_Savings_QB whereGroupId($value)
     * @method _IH_Savings_QB whereBranchId($value)
     * @method _IH_Savings_QB whereAccountNumber($value)
     * @method _IH_Savings_QB whereExternalId($value)
     * @method _IH_Savings_QB whereDecimals($value)
     * @method _IH_Savings_QB whereInterestRate($value)
     * @method _IH_Savings_QB whereInterestRateType($value)
     * @method _IH_Savings_QB whereCompoundingPeriod($value)
     * @method _IH_Savings_QB whereInterestPostingPeriodType($value)
     * @method _IH_Savings_QB whereInterestCalculationType($value)
     * @method _IH_Savings_QB whereBalanceDerived($value)
     * @method _IH_Savings_QB whereTotalDepositsDerived($value)
     * @method _IH_Savings_QB whereTotalWithdrawalsDerived($value)
     * @method _IH_Savings_QB whereTotalInterestPostedDerived($value)
     * @method _IH_Savings_QB whereMinimumBalanceForInterestCalculation($value)
     * @method _IH_Savings_QB whereLockinPeriod($value)
     * @method _IH_Savings_QB whereLockinType($value)
     * @method _IH_Savings_QB whereAutomaticOpeningBalance($value)
     * @method _IH_Savings_QB whereAllowOverdraft($value)
     * @method _IH_Savings_QB whereOverdraftLimit($value)
     * @method _IH_Savings_QB whereOverdraftInterestRate($value)
     * @method _IH_Savings_QB whereMinimumOverdraftForInterest($value)
     * @method _IH_Savings_QB whereSubmittedOnDate($value)
     * @method _IH_Savings_QB whereSubmittedByUserId($value)
     * @method _IH_Savings_QB whereApprovedOnDate($value)
     * @method _IH_Savings_QB whereApprovedByUserId($value)
     * @method _IH_Savings_QB whereApprovedNotes($value)
     * @method _IH_Savings_QB whereActivatedOnDate($value)
     * @method _IH_Savings_QB whereActivatedByUserId($value)
     * @method _IH_Savings_QB whereActivatedNotes($value)
     * @method _IH_Savings_QB whereRejectedOnDate($value)
     * @method _IH_Savings_QB whereRejectedByUserId($value)
     * @method _IH_Savings_QB whereRejectedNotes($value)
     * @method _IH_Savings_QB whereDormantOnDate($value)
     * @method _IH_Savings_QB whereDormantByUserId($value)
     * @method _IH_Savings_QB whereDormantNotes($value)
     * @method _IH_Savings_QB whereClosedOnDate($value)
     * @method _IH_Savings_QB whereClosedByUserId($value)
     * @method _IH_Savings_QB whereClosedNotes($value)
     * @method _IH_Savings_QB whereInactiveOnDate($value)
     * @method _IH_Savings_QB whereInactiveByUserId($value)
     * @method _IH_Savings_QB whereInactiveNotes($value)
     * @method _IH_Savings_QB whereWithdrawnOnDate($value)
     * @method _IH_Savings_QB whereWithdrawnByUserId($value)
     * @method _IH_Savings_QB whereWithdrawnNotes($value)
     * @method _IH_Savings_QB whereStatus($value)
     * @method _IH_Savings_QB whereStartInterestPostingDate($value)
     * @method _IH_Savings_QB whereNextInterestPostingDate($value)
     * @method _IH_Savings_QB whereStartInterestCalculationDate($value)
     * @method _IH_Savings_QB whereNextInterestCalculationDate($value)
     * @method _IH_Savings_QB whereLastInterestCalculationDate($value)
     * @method _IH_Savings_QB whereLastInterestPostingDate($value)
     * @method _IH_Savings_QB whereCalculatedInterest($value)
     * @method _IH_Savings_QB whereCreatedAt($value)
     * @method _IH_Savings_QB whereUpdatedAt($value)
     * @method Savings baseSole(array|string $columns = ['*'])
     * @method Savings create(array $attributes = [])
     * @method Savings createOrFirst(array $attributes = [], array $values = [])
     * @method Savings createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Savings_C|Savings[] cursor()
     * @method Savings|null|_IH_Savings_C|Savings[] find($id, array|string $columns = ['*'])
     * @method _IH_Savings_C|Savings[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Savings|_IH_Savings_C|Savings[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Savings|_IH_Savings_C|Savings[] findOrFail($id, array|string $columns = ['*'])
     * @method Savings|_IH_Savings_C|Savings[] findOrNew($id, array|string $columns = ['*'])
     * @method Savings first(array|string $columns = ['*'])
     * @method Savings firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Savings firstOrCreate(array $attributes = [], array $values = [])
     * @method Savings firstOrFail(array|string $columns = ['*'])
     * @method Savings firstOrNew(array $attributes = [], array $values = [])
     * @method Savings firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Savings forceCreate(array $attributes)
     * @method Savings forceCreateQuietly(array $attributes = [])
     * @method _IH_Savings_C|Savings[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Savings_C|Savings[] get(array|string $columns = ['*'])
     * @method Savings getModel()
     * @method Savings[] getModels(array|string $columns = ['*'])
     * @method _IH_Savings_C|Savings[] hydrate(array $items)
     * @method _IH_Savings_C|Savings[] lazy(int $chunkSize = 1000)
     * @method _IH_Savings_C|Savings[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Savings_C|Savings[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Savings make(array $attributes = [])
     * @method Savings newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Savings[]|_IH_Savings_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Savings restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Savings[]|_IH_Savings_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Savings sole(array|string $columns = ['*'])
     * @method Savings updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Savings_QB extends _BaseBuilder {}
}