<?php //31a8f17525b11998e22c73747b34ffed
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Core\Entities {

    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Core\Entities\Country;
    use Modules\Core\Entities\Currency;
    use Modules\Core\Entities\Menu;
    use Modules\Core\Entities\PaymentDetail;
    use Modules\Core\Entities\PaymentGateway;
    use Modules\Core\Entities\PaymentType;
    use Modules\Core\Entities\TaxRate;
    use Modules\Core\Entities\Timezone;
    
    /**
     * @method Country|null getOrPut($key, \Closure $value)
     * @method Country|$this shift(int $count = 1)
     * @method Country|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Country|$this pop(int $count = 1)
     * @method Country|null pull($key, \Closure $default = null)
     * @method Country|null last(callable $callback = null, \Closure $default = null)
     * @method Country|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Country|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Country|null get($key, \Closure $default = null)
     * @method Country|null first(callable $callback = null, \Closure $default = null)
     * @method Country|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Country|null find($key, $default = null)
     * @method Country[] all()
     */
    class _IH_Country_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Country[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Country_QB whereId($value)
     * @method _IH_Country_QB whereSortname($value)
     * @method _IH_Country_QB whereName($value)
     * @method _IH_Country_QB whereCreatedAt($value)
     * @method _IH_Country_QB whereUpdatedAt($value)
     * @method Country baseSole(array|string $columns = ['*'])
     * @method Country create(array $attributes = [])
     * @method Country createOrFirst(array $attributes = [], array $values = [])
     * @method Country createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Country_C|Country[] cursor()
     * @method Country|null|_IH_Country_C|Country[] find($id, array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country|_IH_Country_C|Country[] findOrFail($id, array|string $columns = ['*'])
     * @method Country|_IH_Country_C|Country[] findOrNew($id, array|string $columns = ['*'])
     * @method Country first(array|string $columns = ['*'])
     * @method Country firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Country firstOrCreate(array $attributes = [], array $values = [])
     * @method Country firstOrFail(array|string $columns = ['*'])
     * @method Country firstOrNew(array $attributes = [], array $values = [])
     * @method Country firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Country forceCreate(array $attributes)
     * @method Country forceCreateQuietly(array $attributes = [])
     * @method _IH_Country_C|Country[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Country_C|Country[] get(array|string $columns = ['*'])
     * @method Country getModel()
     * @method Country[] getModels(array|string $columns = ['*'])
     * @method _IH_Country_C|Country[] hydrate(array $items)
     * @method _IH_Country_C|Country[] lazy(int $chunkSize = 1000)
     * @method _IH_Country_C|Country[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Country_C|Country[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Country make(array $attributes = [])
     * @method Country newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Country[]|_IH_Country_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Country restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Country[]|_IH_Country_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Country sole(array|string $columns = ['*'])
     * @method Country updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Country_QB extends _BaseBuilder {}
    
    /**
     * @method Currency|null getOrPut($key, \Closure $value)
     * @method Currency|$this shift(int $count = 1)
     * @method Currency|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Currency|$this pop(int $count = 1)
     * @method Currency|null pull($key, \Closure $default = null)
     * @method Currency|null last(callable $callback = null, \Closure $default = null)
     * @method Currency|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Currency|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Currency|null get($key, \Closure $default = null)
     * @method Currency|null first(callable $callback = null, \Closure $default = null)
     * @method Currency|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Currency|null find($key, $default = null)
     * @method Currency[] all()
     */
    class _IH_Currency_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Currency[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Currency_QB whereId($value)
     * @method _IH_Currency_QB whereCreatedById($value)
     * @method _IH_Currency_QB whereRate($value)
     * @method _IH_Currency_QB whereCode($value)
     * @method _IH_Currency_QB whereName($value)
     * @method _IH_Currency_QB whereSymbol($value)
     * @method _IH_Currency_QB wherePosition($value)
     * @method _IH_Currency_QB whereCreatedAt($value)
     * @method _IH_Currency_QB whereUpdatedAt($value)
     * @method Currency baseSole(array|string $columns = ['*'])
     * @method Currency create(array $attributes = [])
     * @method Currency createOrFirst(array $attributes = [], array $values = [])
     * @method Currency createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Currency_C|Currency[] cursor()
     * @method Currency|null|_IH_Currency_C|Currency[] find($id, array|string $columns = ['*'])
     * @method _IH_Currency_C|Currency[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Currency|_IH_Currency_C|Currency[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Currency|_IH_Currency_C|Currency[] findOrFail($id, array|string $columns = ['*'])
     * @method Currency|_IH_Currency_C|Currency[] findOrNew($id, array|string $columns = ['*'])
     * @method Currency first(array|string $columns = ['*'])
     * @method Currency firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Currency firstOrCreate(array $attributes = [], array $values = [])
     * @method Currency firstOrFail(array|string $columns = ['*'])
     * @method Currency firstOrNew(array $attributes = [], array $values = [])
     * @method Currency firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Currency forceCreate(array $attributes)
     * @method Currency forceCreateQuietly(array $attributes = [])
     * @method _IH_Currency_C|Currency[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Currency_C|Currency[] get(array|string $columns = ['*'])
     * @method Currency getModel()
     * @method Currency[] getModels(array|string $columns = ['*'])
     * @method _IH_Currency_C|Currency[] hydrate(array $items)
     * @method _IH_Currency_C|Currency[] lazy(int $chunkSize = 1000)
     * @method _IH_Currency_C|Currency[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Currency_C|Currency[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Currency make(array $attributes = [])
     * @method Currency newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Currency[]|_IH_Currency_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Currency restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Currency[]|_IH_Currency_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Currency sole(array|string $columns = ['*'])
     * @method Currency updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Currency_QB extends _BaseBuilder {}
    
    /**
     * @method Menu|null getOrPut($key, \Closure $value)
     * @method Menu|$this shift(int $count = 1)
     * @method Menu|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Menu|$this pop(int $count = 1)
     * @method Menu|null pull($key, \Closure $default = null)
     * @method Menu|null last(callable $callback = null, \Closure $default = null)
     * @method Menu|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Menu|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Menu|null get($key, \Closure $default = null)
     * @method Menu|null first(callable $callback = null, \Closure $default = null)
     * @method Menu|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Menu|null find($key, $default = null)
     * @method Menu[] all()
     */
    class _IH_Menu_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Menu[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Menu_QB whereId($value)
     * @method _IH_Menu_QB whereMenuId($value)
     * @method _IH_Menu_QB whereParentId($value)
     * @method _IH_Menu_QB whereParentSlug($value)
     * @method _IH_Menu_QB whereIsParent($value)
     * @method _IH_Menu_QB whereName($value)
     * @method _IH_Menu_QB whereTitle($value)
     * @method _IH_Menu_QB whereSlug($value)
     * @method _IH_Menu_QB whereDescription($value)
     * @method _IH_Menu_QB whereMenuOrder($value)
     * @method _IH_Menu_QB whereUrl($value)
     * @method _IH_Menu_QB wherePermissions($value)
     * @method _IH_Menu_QB whereIcon($value)
     * @method _IH_Menu_QB whereModule($value)
     * @method _IH_Menu_QB whereCreatedAt($value)
     * @method _IH_Menu_QB whereUpdatedAt($value)
     * @method Menu baseSole(array|string $columns = ['*'])
     * @method Menu create(array $attributes = [])
     * @method Menu createOrFirst(array $attributes = [], array $values = [])
     * @method Menu createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Menu_C|Menu[] cursor()
     * @method Menu|null|_IH_Menu_C|Menu[] find($id, array|string $columns = ['*'])
     * @method _IH_Menu_C|Menu[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Menu|_IH_Menu_C|Menu[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Menu|_IH_Menu_C|Menu[] findOrFail($id, array|string $columns = ['*'])
     * @method Menu|_IH_Menu_C|Menu[] findOrNew($id, array|string $columns = ['*'])
     * @method Menu first(array|string $columns = ['*'])
     * @method Menu firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Menu firstOrCreate(array $attributes = [], array $values = [])
     * @method Menu firstOrFail(array|string $columns = ['*'])
     * @method Menu firstOrNew(array $attributes = [], array $values = [])
     * @method Menu firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Menu forceCreate(array $attributes)
     * @method Menu forceCreateQuietly(array $attributes = [])
     * @method _IH_Menu_C|Menu[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Menu_C|Menu[] get(array|string $columns = ['*'])
     * @method Menu getModel()
     * @method Menu[] getModels(array|string $columns = ['*'])
     * @method _IH_Menu_C|Menu[] hydrate(array $items)
     * @method _IH_Menu_C|Menu[] lazy(int $chunkSize = 1000)
     * @method _IH_Menu_C|Menu[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Menu_C|Menu[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Menu make(array $attributes = [])
     * @method Menu newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Menu[]|_IH_Menu_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Menu restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Menu[]|_IH_Menu_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Menu sole(array|string $columns = ['*'])
     * @method Menu updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Menu_QB extends _BaseBuilder {}
    
    /**
     * @method PaymentDetail|null getOrPut($key, \Closure $value)
     * @method PaymentDetail|$this shift(int $count = 1)
     * @method PaymentDetail|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentDetail|$this pop(int $count = 1)
     * @method PaymentDetail|null pull($key, \Closure $default = null)
     * @method PaymentDetail|null last(callable $callback = null, \Closure $default = null)
     * @method PaymentDetail|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PaymentDetail|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentDetail|null get($key, \Closure $default = null)
     * @method PaymentDetail|null first(callable $callback = null, \Closure $default = null)
     * @method PaymentDetail|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PaymentDetail|null find($key, $default = null)
     * @method PaymentDetail[] all()
     */
    class _IH_PaymentDetail_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PaymentDetail[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PaymentDetail_QB whereId($value)
     * @method _IH_PaymentDetail_QB whereCreatedById($value)
     * @method _IH_PaymentDetail_QB wherePaymentTypeId($value)
     * @method _IH_PaymentDetail_QB whereTransactionType($value)
     * @method _IH_PaymentDetail_QB whereReference($value)
     * @method _IH_PaymentDetail_QB whereChequeNumber($value)
     * @method _IH_PaymentDetail_QB whereReceipt($value)
     * @method _IH_PaymentDetail_QB whereAccountNumber($value)
     * @method _IH_PaymentDetail_QB whereBankName($value)
     * @method _IH_PaymentDetail_QB whereRoutingCode($value)
     * @method _IH_PaymentDetail_QB whereDescription($value)
     * @method _IH_PaymentDetail_QB whereCreatedAt($value)
     * @method _IH_PaymentDetail_QB whereUpdatedAt($value)
     * @method PaymentDetail baseSole(array|string $columns = ['*'])
     * @method PaymentDetail create(array $attributes = [])
     * @method PaymentDetail createOrFirst(array $attributes = [], array $values = [])
     * @method PaymentDetail createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_PaymentDetail_C|PaymentDetail[] cursor()
     * @method PaymentDetail|null|_IH_PaymentDetail_C|PaymentDetail[] find($id, array|string $columns = ['*'])
     * @method _IH_PaymentDetail_C|PaymentDetail[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PaymentDetail|_IH_PaymentDetail_C|PaymentDetail[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentDetail|_IH_PaymentDetail_C|PaymentDetail[] findOrFail($id, array|string $columns = ['*'])
     * @method PaymentDetail|_IH_PaymentDetail_C|PaymentDetail[] findOrNew($id, array|string $columns = ['*'])
     * @method PaymentDetail first(array|string $columns = ['*'])
     * @method PaymentDetail firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentDetail firstOrCreate(array $attributes = [], array $values = [])
     * @method PaymentDetail firstOrFail(array|string $columns = ['*'])
     * @method PaymentDetail firstOrNew(array $attributes = [], array $values = [])
     * @method PaymentDetail firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PaymentDetail forceCreate(array $attributes)
     * @method PaymentDetail forceCreateQuietly(array $attributes = [])
     * @method _IH_PaymentDetail_C|PaymentDetail[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PaymentDetail_C|PaymentDetail[] get(array|string $columns = ['*'])
     * @method PaymentDetail getModel()
     * @method PaymentDetail[] getModels(array|string $columns = ['*'])
     * @method _IH_PaymentDetail_C|PaymentDetail[] hydrate(array $items)
     * @method _IH_PaymentDetail_C|PaymentDetail[] lazy(int $chunkSize = 1000)
     * @method _IH_PaymentDetail_C|PaymentDetail[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PaymentDetail_C|PaymentDetail[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PaymentDetail make(array $attributes = [])
     * @method PaymentDetail newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PaymentDetail[]|_IH_PaymentDetail_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentDetail restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|PaymentDetail[]|_IH_PaymentDetail_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentDetail sole(array|string $columns = ['*'])
     * @method PaymentDetail updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PaymentDetail_QB extends _BaseBuilder {}
    
    /**
     * @method PaymentGateway|null getOrPut($key, \Closure $value)
     * @method PaymentGateway|$this shift(int $count = 1)
     * @method PaymentGateway|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentGateway|$this pop(int $count = 1)
     * @method PaymentGateway|null pull($key, \Closure $default = null)
     * @method PaymentGateway|null last(callable $callback = null, \Closure $default = null)
     * @method PaymentGateway|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PaymentGateway|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentGateway|null get($key, \Closure $default = null)
     * @method PaymentGateway|null first(callable $callback = null, \Closure $default = null)
     * @method PaymentGateway|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PaymentGateway|null find($key, $default = null)
     * @method PaymentGateway[] all()
     */
    class _IH_PaymentGateway_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PaymentGateway[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method PaymentGateway baseSole(array|string $columns = ['*'])
     * @method PaymentGateway create(array $attributes = [])
     * @method PaymentGateway createOrFirst(array $attributes = [], array $values = [])
     * @method PaymentGateway createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_PaymentGateway_C|PaymentGateway[] cursor()
     * @method PaymentGateway|null|_IH_PaymentGateway_C|PaymentGateway[] find($id, array|string $columns = ['*'])
     * @method _IH_PaymentGateway_C|PaymentGateway[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PaymentGateway|_IH_PaymentGateway_C|PaymentGateway[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentGateway|_IH_PaymentGateway_C|PaymentGateway[] findOrFail($id, array|string $columns = ['*'])
     * @method PaymentGateway|_IH_PaymentGateway_C|PaymentGateway[] findOrNew($id, array|string $columns = ['*'])
     * @method PaymentGateway first(array|string $columns = ['*'])
     * @method PaymentGateway firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentGateway firstOrCreate(array $attributes = [], array $values = [])
     * @method PaymentGateway firstOrFail(array|string $columns = ['*'])
     * @method PaymentGateway firstOrNew(array $attributes = [], array $values = [])
     * @method PaymentGateway firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PaymentGateway forceCreate(array $attributes)
     * @method PaymentGateway forceCreateQuietly(array $attributes = [])
     * @method _IH_PaymentGateway_C|PaymentGateway[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PaymentGateway_C|PaymentGateway[] get(array|string $columns = ['*'])
     * @method PaymentGateway getModel()
     * @method PaymentGateway[] getModels(array|string $columns = ['*'])
     * @method _IH_PaymentGateway_C|PaymentGateway[] hydrate(array $items)
     * @method _IH_PaymentGateway_C|PaymentGateway[] lazy(int $chunkSize = 1000)
     * @method _IH_PaymentGateway_C|PaymentGateway[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PaymentGateway_C|PaymentGateway[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PaymentGateway make(array $attributes = [])
     * @method PaymentGateway newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PaymentGateway[]|_IH_PaymentGateway_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentGateway restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|PaymentGateway[]|_IH_PaymentGateway_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentGateway sole(array|string $columns = ['*'])
     * @method PaymentGateway updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PaymentGateway_QB extends _BaseBuilder {}
    
    /**
     * @method PaymentType|null getOrPut($key, \Closure $value)
     * @method PaymentType|$this shift(int $count = 1)
     * @method PaymentType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentType|$this pop(int $count = 1)
     * @method PaymentType|null pull($key, \Closure $default = null)
     * @method PaymentType|null last(callable $callback = null, \Closure $default = null)
     * @method PaymentType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PaymentType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentType|null get($key, \Closure $default = null)
     * @method PaymentType|null first(callable $callback = null, \Closure $default = null)
     * @method PaymentType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PaymentType|null find($key, $default = null)
     * @method PaymentType[] all()
     */
    class _IH_PaymentType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PaymentType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PaymentType_QB whereId($value)
     * @method _IH_PaymentType_QB whereName($value)
     * @method _IH_PaymentType_QB whereSystemName($value)
     * @method _IH_PaymentType_QB whereDescription($value)
     * @method _IH_PaymentType_QB whereIsCash($value)
     * @method _IH_PaymentType_QB whereIsOnline($value)
     * @method _IH_PaymentType_QB whereIsSystem($value)
     * @method _IH_PaymentType_QB whereActive($value)
     * @method _IH_PaymentType_QB wherePosition($value)
     * @method _IH_PaymentType_QB whereOptions($value)
     * @method _IH_PaymentType_QB whereUniqueId($value)
     * @method _IH_PaymentType_QB whereCreatedAt($value)
     * @method _IH_PaymentType_QB whereUpdatedAt($value)
     * @method PaymentType baseSole(array|string $columns = ['*'])
     * @method PaymentType create(array $attributes = [])
     * @method PaymentType createOrFirst(array $attributes = [], array $values = [])
     * @method PaymentType createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_PaymentType_C|PaymentType[] cursor()
     * @method PaymentType|null|_IH_PaymentType_C|PaymentType[] find($id, array|string $columns = ['*'])
     * @method _IH_PaymentType_C|PaymentType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PaymentType|_IH_PaymentType_C|PaymentType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentType|_IH_PaymentType_C|PaymentType[] findOrFail($id, array|string $columns = ['*'])
     * @method PaymentType|_IH_PaymentType_C|PaymentType[] findOrNew($id, array|string $columns = ['*'])
     * @method PaymentType first(array|string $columns = ['*'])
     * @method PaymentType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method PaymentType firstOrCreate(array $attributes = [], array $values = [])
     * @method PaymentType firstOrFail(array|string $columns = ['*'])
     * @method PaymentType firstOrNew(array $attributes = [], array $values = [])
     * @method PaymentType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PaymentType forceCreate(array $attributes)
     * @method PaymentType forceCreateQuietly(array $attributes = [])
     * @method _IH_PaymentType_C|PaymentType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PaymentType_C|PaymentType[] get(array|string $columns = ['*'])
     * @method PaymentType getModel()
     * @method PaymentType[] getModels(array|string $columns = ['*'])
     * @method _IH_PaymentType_C|PaymentType[] hydrate(array $items)
     * @method _IH_PaymentType_C|PaymentType[] lazy(int $chunkSize = 1000)
     * @method _IH_PaymentType_C|PaymentType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PaymentType_C|PaymentType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PaymentType make(array $attributes = [])
     * @method PaymentType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PaymentType[]|_IH_PaymentType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|PaymentType[]|_IH_PaymentType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentType sole(array|string $columns = ['*'])
     * @method PaymentType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PaymentType_QB extends _BaseBuilder {}
    
    /**
     * @method TaxRate|null getOrPut($key, \Closure $value)
     * @method TaxRate|$this shift(int $count = 1)
     * @method TaxRate|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TaxRate|$this pop(int $count = 1)
     * @method TaxRate|null pull($key, \Closure $default = null)
     * @method TaxRate|null last(callable $callback = null, \Closure $default = null)
     * @method TaxRate|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TaxRate|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TaxRate|null get($key, \Closure $default = null)
     * @method TaxRate|null first(callable $callback = null, \Closure $default = null)
     * @method TaxRate|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TaxRate|null find($key, $default = null)
     * @method TaxRate[] all()
     */
    class _IH_TaxRate_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TaxRate[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TaxRate_QB whereId($value)
     * @method _IH_TaxRate_QB whereName($value)
     * @method _IH_TaxRate_QB whereCode($value)
     * @method _IH_TaxRate_QB whereAmount($value)
     * @method _IH_TaxRate_QB whereType($value)
     * @method _IH_TaxRate_QB whereActive($value)
     * @method _IH_TaxRate_QB whereDescription($value)
     * @method _IH_TaxRate_QB whereCreatedAt($value)
     * @method _IH_TaxRate_QB whereUpdatedAt($value)
     * @method TaxRate baseSole(array|string $columns = ['*'])
     * @method TaxRate create(array $attributes = [])
     * @method TaxRate createOrFirst(array $attributes = [], array $values = [])
     * @method TaxRate createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_TaxRate_C|TaxRate[] cursor()
     * @method TaxRate|null|_IH_TaxRate_C|TaxRate[] find($id, array|string $columns = ['*'])
     * @method _IH_TaxRate_C|TaxRate[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TaxRate|_IH_TaxRate_C|TaxRate[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TaxRate|_IH_TaxRate_C|TaxRate[] findOrFail($id, array|string $columns = ['*'])
     * @method TaxRate|_IH_TaxRate_C|TaxRate[] findOrNew($id, array|string $columns = ['*'])
     * @method TaxRate first(array|string $columns = ['*'])
     * @method TaxRate firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TaxRate firstOrCreate(array $attributes = [], array $values = [])
     * @method TaxRate firstOrFail(array|string $columns = ['*'])
     * @method TaxRate firstOrNew(array $attributes = [], array $values = [])
     * @method TaxRate firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TaxRate forceCreate(array $attributes)
     * @method TaxRate forceCreateQuietly(array $attributes = [])
     * @method _IH_TaxRate_C|TaxRate[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TaxRate_C|TaxRate[] get(array|string $columns = ['*'])
     * @method TaxRate getModel()
     * @method TaxRate[] getModels(array|string $columns = ['*'])
     * @method _IH_TaxRate_C|TaxRate[] hydrate(array $items)
     * @method _IH_TaxRate_C|TaxRate[] lazy(int $chunkSize = 1000)
     * @method _IH_TaxRate_C|TaxRate[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TaxRate_C|TaxRate[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TaxRate make(array $attributes = [])
     * @method TaxRate newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TaxRate[]|_IH_TaxRate_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TaxRate restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|TaxRate[]|_IH_TaxRate_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TaxRate sole(array|string $columns = ['*'])
     * @method TaxRate updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TaxRate_QB extends _BaseBuilder {}
    
    /**
     * @method Timezone|null getOrPut($key, \Closure $value)
     * @method Timezone|$this shift(int $count = 1)
     * @method Timezone|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Timezone|$this pop(int $count = 1)
     * @method Timezone|null pull($key, \Closure $default = null)
     * @method Timezone|null last(callable $callback = null, \Closure $default = null)
     * @method Timezone|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Timezone|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Timezone|null get($key, \Closure $default = null)
     * @method Timezone|null first(callable $callback = null, \Closure $default = null)
     * @method Timezone|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Timezone|null find($key, $default = null)
     * @method Timezone[] all()
     */
    class _IH_Timezone_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Timezone[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Timezone_QB whereId($value)
     * @method _IH_Timezone_QB whereZoneId($value)
     * @method _IH_Timezone_QB whereCountryCode($value)
     * @method _IH_Timezone_QB whereZoneName($value)
     * @method Timezone baseSole(array|string $columns = ['*'])
     * @method Timezone create(array $attributes = [])
     * @method Timezone createOrFirst(array $attributes = [], array $values = [])
     * @method Timezone createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Timezone_C|Timezone[] cursor()
     * @method Timezone|null|_IH_Timezone_C|Timezone[] find($id, array|string $columns = ['*'])
     * @method _IH_Timezone_C|Timezone[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Timezone|_IH_Timezone_C|Timezone[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Timezone|_IH_Timezone_C|Timezone[] findOrFail($id, array|string $columns = ['*'])
     * @method Timezone|_IH_Timezone_C|Timezone[] findOrNew($id, array|string $columns = ['*'])
     * @method Timezone first(array|string $columns = ['*'])
     * @method Timezone firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Timezone firstOrCreate(array $attributes = [], array $values = [])
     * @method Timezone firstOrFail(array|string $columns = ['*'])
     * @method Timezone firstOrNew(array $attributes = [], array $values = [])
     * @method Timezone firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Timezone forceCreate(array $attributes)
     * @method Timezone forceCreateQuietly(array $attributes = [])
     * @method _IH_Timezone_C|Timezone[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Timezone_C|Timezone[] get(array|string $columns = ['*'])
     * @method Timezone getModel()
     * @method Timezone[] getModels(array|string $columns = ['*'])
     * @method _IH_Timezone_C|Timezone[] hydrate(array $items)
     * @method _IH_Timezone_C|Timezone[] lazy(int $chunkSize = 1000)
     * @method _IH_Timezone_C|Timezone[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Timezone_C|Timezone[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Timezone make(array $attributes = [])
     * @method Timezone newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Timezone[]|_IH_Timezone_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Timezone restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Timezone[]|_IH_Timezone_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Timezone sole(array|string $columns = ['*'])
     * @method Timezone updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Timezone_QB extends _BaseBuilder {}
}