<?php //7eb126aa782ceab5b490890e33118652
/** @noinspection all */

namespace Modules\Asset\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetDepreciation_C;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetDepreciation_QB;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetFile_C;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetFile_QB;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetMaintenanceType_C;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetMaintenanceType_QB;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetMaintenance_C;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetMaintenance_QB;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetNote_C;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetNote_QB;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetPicture_C;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetPicture_QB;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetType_C;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_AssetType_QB;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_Asset_C;
    use LaravelIdea\Helper\Modules\Asset\Entities\_IH_Asset_QB;
    use LaravelIdea\Helper\Modules\Branch\Entities\_IH_Branch_QB;
    use Modules\Branch\Entities\Branch;
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $asset_type_id
     * @property int|null $branch_id
     * @property string|null $name
     * @property Carbon|null $purchase_date
     * @property float|null $purchase_price
     * @property float|null $replacement_value
     * @property float|null $value
     * @property int|null $life_span
     * @property float|null $salvage_value
     * @property string|null $serial_number
     * @property string|null $bought_from
     * @property string|null $purchase_year
     * @property string|null $notes
     * @property string|null $status
     * @property int|null $active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Branch|null $branch
     * @method HasOne|_IH_Branch_QB branch()
     * @property _IH_AssetDepreciation_C|AssetDepreciation[] $depreciation
     * @property-read int $depreciation_count
     * @method HasMany|_IH_AssetDepreciation_QB depreciation()
     * @property AssetType|null $type
     * @method HasOne|_IH_AssetType_QB type()
     * @method static _IH_Asset_QB onWriteConnection()
     * @method _IH_Asset_QB newQuery()
     * @method static _IH_Asset_QB on(null|string $connection = null)
     * @method static _IH_Asset_QB query()
     * @method static _IH_Asset_QB with(array|string $relations)
     * @method _IH_Asset_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Asset_C|Asset[] all()
     * @ownLinks asset_type_id,\Modules\Asset\Entities\AssetType,id|branch_id,\Modules\Branch\Entities\Branch,id
     * @foreignLinks id,\Modules\Asset\Entities\AssetNote,asset_id|id,\Modules\Asset\Entities\AssetMaintenance,asset_id|id,\Modules\Asset\Entities\AssetFile,asset_id|id,\Modules\Asset\Entities\AssetPicture,asset_id|id,\Modules\Asset\Entities\AssetDepreciation,asset_id
     * @mixin _IH_Asset_QB
     */
    class Asset extends Model {}
    
    /**
     * @property int $id
     * @property int|null $asset_id
     * @property string|null $year
     * @property float|null $beginning_value
     * @property float|null $depreciation_value
     * @property float|null $rate
     * @property float|null $cost
     * @property float|null $accumulated
     * @property float|null $ending_value
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_AssetDepreciation_QB onWriteConnection()
     * @method _IH_AssetDepreciation_QB newQuery()
     * @method static _IH_AssetDepreciation_QB on(null|string $connection = null)
     * @method static _IH_AssetDepreciation_QB query()
     * @method static _IH_AssetDepreciation_QB with(array|string $relations)
     * @method _IH_AssetDepreciation_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_AssetDepreciation_C|AssetDepreciation[] all()
     * @ownLinks asset_id,\Modules\Asset\Entities\Asset,id
     * @mixin _IH_AssetDepreciation_QB
     */
    class AssetDepreciation extends Model {}
    
    /**
     * @property int $id
     * @property int|null $asset_id
     * @property string|null $file
     * @property string|null $type
     * @property string|null $size
     * @property Carbon|null $date
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_AssetFile_QB onWriteConnection()
     * @method _IH_AssetFile_QB newQuery()
     * @method static _IH_AssetFile_QB on(null|string $connection = null)
     * @method static _IH_AssetFile_QB query()
     * @method static _IH_AssetFile_QB with(array|string $relations)
     * @method _IH_AssetFile_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_AssetFile_C|AssetFile[] all()
     * @ownLinks asset_id,\Modules\Asset\Entities\Asset,id
     * @mixin _IH_AssetFile_QB
     */
    class AssetFile extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $asset_maintenance_type_id
     * @property int|null $asset_id
     * @property string|null $performed_by
     * @property Carbon|null $date
     * @property float|null $amount
     * @property float|null $mileage
     * @property int $record_expense
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_AssetMaintenance_QB onWriteConnection()
     * @method _IH_AssetMaintenance_QB newQuery()
     * @method static _IH_AssetMaintenance_QB on(null|string $connection = null)
     * @method static _IH_AssetMaintenance_QB query()
     * @method static _IH_AssetMaintenance_QB with(array|string $relations)
     * @method _IH_AssetMaintenance_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_AssetMaintenance_C|AssetMaintenance[] all()
     * @ownLinks asset_maintenance_type_id,\Modules\Asset\Entities\AssetMaintenanceType,id|asset_id,\Modules\Asset\Entities\Asset,id
     * @mixin _IH_AssetMaintenance_QB
     */
    class AssetMaintenance extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string|null $notes
     * @method static _IH_AssetMaintenanceType_QB onWriteConnection()
     * @method _IH_AssetMaintenanceType_QB newQuery()
     * @method static _IH_AssetMaintenanceType_QB on(null|string $connection = null)
     * @method static _IH_AssetMaintenanceType_QB query()
     * @method static _IH_AssetMaintenanceType_QB with(array|string $relations)
     * @method _IH_AssetMaintenanceType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_AssetMaintenanceType_C|AssetMaintenanceType[] all()
     * @foreignLinks id,\Modules\Asset\Entities\AssetMaintenance,asset_maintenance_type_id
     * @mixin _IH_AssetMaintenanceType_QB
     */
    class AssetMaintenanceType extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $asset_id
     * @property string|null $attachment
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_AssetNote_QB onWriteConnection()
     * @method _IH_AssetNote_QB newQuery()
     * @method static _IH_AssetNote_QB on(null|string $connection = null)
     * @method static _IH_AssetNote_QB query()
     * @method static _IH_AssetNote_QB with(array|string $relations)
     * @method _IH_AssetNote_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_AssetNote_C|AssetNote[] all()
     * @ownLinks asset_id,\Modules\Asset\Entities\Asset,id
     * @mixin _IH_AssetNote_QB
     */
    class AssetNote extends Model {}
    
    /**
     * @property int $id
     * @property int|null $asset_id
     * @property int|null $created_by_id
     * @property int $primary_picture
     * @property string|null $picture
     * @property Carbon|null $date_taken
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_AssetPicture_QB onWriteConnection()
     * @method _IH_AssetPicture_QB newQuery()
     * @method static _IH_AssetPicture_QB on(null|string $connection = null)
     * @method static _IH_AssetPicture_QB query()
     * @method static _IH_AssetPicture_QB with(array|string $relations)
     * @method _IH_AssetPicture_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_AssetPicture_C|AssetPicture[] all()
     * @ownLinks asset_id,\Modules\Asset\Entities\Asset,id
     * @mixin _IH_AssetPicture_QB
     */
    class AssetPicture extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string|null $type
     * @property int|null $chart_of_account_fixed_asset_id
     * @property int|null $chart_of_account_asset_id
     * @property int|null $chart_of_account_contra_asset_id
     * @property int|null $chart_of_account_expense_id
     * @property int|null $chart_of_account_liability_id
     * @property int|null $chart_of_account_income_id
     * @property string|null $notes
     * @method static _IH_AssetType_QB onWriteConnection()
     * @method _IH_AssetType_QB newQuery()
     * @method static _IH_AssetType_QB on(null|string $connection = null)
     * @method static _IH_AssetType_QB query()
     * @method static _IH_AssetType_QB with(array|string $relations)
     * @method _IH_AssetType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_AssetType_C|AssetType[] all()
     * @foreignLinks id,\Modules\Asset\Entities\Asset,asset_type_id
     * @mixin _IH_AssetType_QB
     */
    class AssetType extends Model {}
}