<?php //0ca271f664fcb41efd354e8819e0d340
/** @noinspection all */

namespace Modules\Communication\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_CommunicationCampaignAttachmentType_C;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_CommunicationCampaignAttachmentType_QB;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_CommunicationCampaignBusinessRule_C;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_CommunicationCampaignBusinessRule_QB;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_CommunicationCampaignLog_C;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_CommunicationCampaignLog_QB;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_CommunicationCampaign_C;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_CommunicationCampaign_QB;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_SmsGateway_C;
    use LaravelIdea\Helper\Modules\Communication\Entities\_IH_SmsGateway_QB;
    use LaravelIdea\Helper\Modules\User\Entities\_IH_User_QB;
    use Modules\User\Entities\User;
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $sms_gateway_id
     * @property int|null $communication_campaign_business_rule_id
     * @property int|null $communication_campaign_attachment_type_id
     * @property int|null $branch_id
     * @property int|null $loan_officer_id
     * @property int|null $loan_product_id
     * @property string|null $subject
     * @property string|null $name
     * @property string $campaign_type
     * @property string $trigger_type
     * @property Carbon|null $scheduled_date
     * @property string|null $scheduled_time
     * @property int|null $schedule_frequency
     * @property string $schedule_frequency_type
     * @property Carbon|null $scheduled_next_run_date
     * @property Carbon|null $scheduled_last_run_date
     * @property int|null $from_x
     * @property int|null $to_y
     * @property int|null $cycle_x
     * @property int|null $cycle_y
     * @property int|null $overdue_x
     * @property int|null $overdue_y
     * @property int $active
     * @property string $status
     * @property string|null $description
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $created_by
     * @method HasOne|_IH_User_QB created_by()
     * @method static _IH_CommunicationCampaign_QB onWriteConnection()
     * @method _IH_CommunicationCampaign_QB newQuery()
     * @method static _IH_CommunicationCampaign_QB on(null|string $connection = null)
     * @method static _IH_CommunicationCampaign_QB query()
     * @method static _IH_CommunicationCampaign_QB with(array|string $relations)
     * @method _IH_CommunicationCampaign_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CommunicationCampaign_C|CommunicationCampaign[] all()
     * @ownLinks sms_gateway_id,\Modules\Communication\Entities\SmsGateway,id|communication_campaign_business_rule_id,\Modules\Communication\Entities\CommunicationCampaignBusinessRule,id|communication_campaign_attachment_type_id,\Modules\Communication\Entities\CommunicationCampaignAttachmentType,id|branch_id,\Modules\Branch\Entities\Branch,id|loan_product_id,\Modules\Loan\Entities\LoanProduct,id
     * @foreignLinks id,\Modules\Communication\Entities\CommunicationCampaignLog,communication_campaign_id
     * @mixin _IH_CommunicationCampaign_QB
     */
    class CommunicationCampaign extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string|null $translated_name
     * @property int $is_trigger
     * @property int $active
     * @method static _IH_CommunicationCampaignAttachmentType_QB onWriteConnection()
     * @method _IH_CommunicationCampaignAttachmentType_QB newQuery()
     * @method static _IH_CommunicationCampaignAttachmentType_QB on(null|string $connection = null)
     * @method static _IH_CommunicationCampaignAttachmentType_QB query()
     * @method static _IH_CommunicationCampaignAttachmentType_QB with(array|string $relations)
     * @method _IH_CommunicationCampaignAttachmentType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CommunicationCampaignAttachmentType_C|CommunicationCampaignAttachmentType[] all()
     * @foreignLinks id,\Modules\Communication\Entities\CommunicationCampaign,communication_campaign_attachment_type_id
     * @mixin _IH_CommunicationCampaignAttachmentType_QB
     */
    class CommunicationCampaignAttachmentType extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string|null $translated_name
     * @property string|null $description
     * @property int $active
     * @property int $is_trigger
     * @method static _IH_CommunicationCampaignBusinessRule_QB onWriteConnection()
     * @method _IH_CommunicationCampaignBusinessRule_QB newQuery()
     * @method static _IH_CommunicationCampaignBusinessRule_QB on(null|string $connection = null)
     * @method static _IH_CommunicationCampaignBusinessRule_QB query()
     * @method static _IH_CommunicationCampaignBusinessRule_QB with(array|string $relations)
     * @method _IH_CommunicationCampaignBusinessRule_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CommunicationCampaignBusinessRule_C|CommunicationCampaignBusinessRule[] all()
     * @foreignLinks id,\Modules\Communication\Entities\CommunicationCampaign,communication_campaign_business_rule_id
     * @mixin _IH_CommunicationCampaignBusinessRule_QB
     */
    class CommunicationCampaignBusinessRule extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $client_id
     * @property int|null $sms_gateway_id
     * @property int|null $communication_campaign_id
     * @property string $campaign_type
     * @property string|null $description
     * @property string|null $send_to
     * @property string|null $campaign_name
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property CommunicationCampaign|null $campaign
     * @method HasOne|_IH_CommunicationCampaign_QB campaign()
     * @property User|null $created_by
     * @method HasOne|_IH_User_QB created_by()
     * @method static _IH_CommunicationCampaignLog_QB onWriteConnection()
     * @method _IH_CommunicationCampaignLog_QB newQuery()
     * @method static _IH_CommunicationCampaignLog_QB on(null|string $connection = null)
     * @method static _IH_CommunicationCampaignLog_QB query()
     * @method static _IH_CommunicationCampaignLog_QB with(array|string $relations)
     * @method _IH_CommunicationCampaignLog_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CommunicationCampaignLog_C|CommunicationCampaignLog[] all()
     * @ownLinks client_id,\Modules\Client\Entities\Client,id|sms_gateway_id,\Modules\Communication\Entities\SmsGateway,id|communication_campaign_id,\Modules\Communication\Entities\CommunicationCampaign,id
     * @mixin _IH_CommunicationCampaignLog_QB
     */
    class CommunicationCampaignLog extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property string|null $name
     * @property string|null $to_name
     * @property string|null $url
     * @property string|null $msg_name
     * @property int $active
     * @property int $is_current
     * @property int $http_api
     * @property string|null $class_name
     * @property string|null $key_one
     * @property string|null $key_one_description
     * @property string|null $key_two
     * @property string|null $key_two_description
     * @property string|null $key_three
     * @property string|null $key_three_description
     * @property string|null $key_four
     * @property string|null $key_four_description
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_SmsGateway_QB onWriteConnection()
     * @method _IH_SmsGateway_QB newQuery()
     * @method static _IH_SmsGateway_QB on(null|string $connection = null)
     * @method static _IH_SmsGateway_QB query()
     * @method static _IH_SmsGateway_QB with(array|string $relations)
     * @method _IH_SmsGateway_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SmsGateway_C|SmsGateway[] all()
     * @ownLinks created_by_id,\Workbench\App\Models\User,id
     * @foreignLinks id,\Modules\Communication\Entities\CommunicationCampaign,sms_gateway_id|id,\Modules\Communication\Entities\CommunicationCampaignLog,sms_gateway_id
     * @mixin _IH_SmsGateway_QB
     */
    class SmsGateway extends Model {}
}