<?php //ed50a0e66ec6142aa1c5edd9bda98c65
/** @noinspection all */

namespace Modules\User\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use Laravel\Passport\Client;
    use Laravel\Passport\Token;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Laravel\Passport\_IH_Client_C;
    use LaravelIdea\Helper\Laravel\Passport\_IH_Client_QB;
    use LaravelIdea\Helper\Laravel\Passport\_IH_Token_C;
    use LaravelIdea\Helper\Laravel\Passport\_IH_Token_QB;
    use LaravelIdea\Helper\Modules\Dashboard\Entities\_IH_Widget_QB;
    use LaravelIdea\Helper\Modules\User\Entities\_IH_User_C;
    use LaravelIdea\Helper\Modules\User\Entities\_IH_User_QB;
    use LaravelIdea\Helper\Spatie\Permission\Models\_IH_Permission_C;
    use LaravelIdea\Helper\Spatie\Permission\Models\_IH_Permission_QB;
    use LaravelIdea\Helper\Spatie\Permission\Models\_IH_Role_C;
    use LaravelIdea\Helper\Spatie\Permission\Models\_IH_Role_QB;
    use Modules\Dashboard\Entities\Widget;
    use Spatie\Permission\Models\Permission;
    use Spatie\Permission\Models\Role;
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $branch_id
     * @property string $name
     * @property string|null $username
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property string $password
     * @property string|null $api_token
     * @property Carbon|null $last_login
     * @property string|null $first_name
     * @property string|null $last_name
     * @property string|null $phone
     * @property string|null $address
     * @property string|null $city
     * @property string|null $gender
     * @property int $enable_google2fa
     * @property string|null $google2fa_secret
     * @property string|null $otp
     * @property Carbon|null $otp_expiry_date
     * @property string|null $notes
     * @property string|null $photo
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read string $full_name attribute
     * @property _IH_Client_C|Client[] $clients
     * @property-read int $clients_count
     * @method HasMany|_IH_Client_QB clients()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property _IH_Permission_C|Permission[] $permissions
     * @property-read int $permissions_count
     * @method MorphToMany|_IH_Permission_QB permissions()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_Role_C|Role[] $roles
     * @property-read int $roles_count
     * @method MorphToMany|_IH_Role_QB roles()
     * @property _IH_Token_C|Token[] $tokens
     * @property-read int $tokens_count
     * @method HasMany|_IH_Token_QB tokens()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @property Widget $widget
     * @method HasOne|_IH_Widget_QB widget()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @ownLinks branch_id,\Modules\Branch\Entities\Branch,id
     * @foreignLinks id,\Modules\Loan\Entities\LoanCreditCheck,created_by_id|id,\Modules\Communication\Entities\SmsGateway,created_by_id|id,\Modules\Dashboard\Entities\Widget,user_id|id,\Modules\Savings\Entities\SavingsCharge,created_by_id|id,\Laravel\Passport\AuthCode,user_id|id,\Laravel\Passport\Token,user_id|id,\Laravel\Passport\Client,user_id|id,\Modules\Branch\Entities\BranchUser,user_id|id,\Modules\Client\Entities\ClientUser,user_id|id,\Modules\Payroll\Entities\Payroll,user_id
     * @mixin _IH_User_QB
     */
    class User extends Model {}
}