<?php //e30be1a82317e8706aa90592735a4110
/** @noinspection all */

namespace Modules\Wallet\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Client\Entities\_IH_Client_QB;
    use LaravelIdea\Helper\Modules\Core\Entities\_IH_Currency_QB;
    use LaravelIdea\Helper\Modules\Core\Entities\_IH_PaymentDetail_QB;
    use LaravelIdea\Helper\Modules\User\Entities\_IH_User_QB;
    use LaravelIdea\Helper\Modules\Wallet\Entities\_IH_WalletTransaction_C;
    use LaravelIdea\Helper\Modules\Wallet\Entities\_IH_WalletTransaction_QB;
    use LaravelIdea\Helper\Modules\Wallet\Entities\_IH_Wallet_C;
    use LaravelIdea\Helper\Modules\Wallet\Entities\_IH_Wallet_QB;
    use Modules\Client\Entities\Client;
    use Modules\Core\Entities\Currency;
    use Modules\Core\Entities\PaymentDetail;
    use Modules\User\Entities\User;
    
    /**
     * @property int $id
     * @property int $currency_id
     * @property int|null $created_by_id
     * @property string|null $client_type
     * @property int|null $client_id
     * @property int|null $group_id
     * @property int|null $branch_id
     * @property string|null $status
     * @property float|null $balance
     * @property int $decimals
     * @property string|null $description
     * @property Carbon|null $submitted_on_date
     * @property int|null $submitted_by_user_id
     * @property Carbon|null $approved_on_date
     * @property int|null $approved_by_user_id
     * @property string|null $approved_notes
     * @property Carbon|null $rejected_on_date
     * @property int|null $rejected_by_user_id
     * @property string|null $rejected_notes
     * @property Carbon|null $closed_on_date
     * @property int|null $closed_by_user_id
     * @property string|null $closed_notes
     * @property Carbon|null $activated_on_date
     * @property int|null $activated_by_user_id
     * @property string|null $activated_notes
     * @property Carbon|null $suspended_on_date
     * @property int|null $suspended_by_user_id
     * @property string|null $suspended_notes
     * @property Carbon|null $inactive_on_date
     * @property int|null $inactive_by_user_id
     * @property string|null $inactive_notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $activated_by
     * @method HasOne|_IH_User_QB activated_by()
     * @property User|null $approved_by
     * @method HasOne|_IH_User_QB approved_by()
     * @property Client|null $client
     * @method HasOne|_IH_Client_QB client()
     * @property Currency $currency
     * @method HasOne|_IH_Currency_QB currency()
     * @property User|null $submitted_by
     * @method HasOne|_IH_User_QB submitted_by()
     * @property _IH_WalletTransaction_C|WalletTransaction[] $transactions
     * @property-read int $transactions_count
     * @method HasMany|_IH_WalletTransaction_QB transactions()
     * @method static _IH_Wallet_QB onWriteConnection()
     * @method _IH_Wallet_QB newQuery()
     * @method static _IH_Wallet_QB on(null|string $connection = null)
     * @method static _IH_Wallet_QB query()
     * @method static _IH_Wallet_QB with(array|string $relations)
     * @method _IH_Wallet_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Wallet_C|Wallet[] all()
     * @ownLinks currency_id,\Modules\Core\Entities\Currency,id|client_id,\Modules\Client\Entities\Client,id|branch_id,\Modules\Branch\Entities\Branch,id
     * @foreignLinks id,\Modules\Wallet\Entities\WalletTransaction,wallet_id
     * @mixin _IH_Wallet_QB
     */
    class Wallet extends Model {}
    
    /**
     * @property int $id
     * @property int $wallet_id
     * @property int|null $created_by_id
     * @property int|null $branch_id
     * @property int|null $payment_detail_id
     * @property string $transaction_type
     * @property string|null $name
     * @property float $amount
     * @property float|null $credit
     * @property float|null $debit
     * @property float|null $balance
     * @property int $reversed
     * @property int $reversible
     * @property Carbon|null $submitted_on
     * @property Carbon|null $created_on
     * @property string|null $description
     * @property string|null $reference
     * @property string|null $gateway_id
     * @property string|null $payment_gateway_data
     * @property int $online_transaction
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $created_by
     * @method HasOne|_IH_User_QB created_by()
     * @property PaymentDetail|null $payment_detail
     * @method HasOne|_IH_PaymentDetail_QB payment_detail()
     * @property Wallet $wallet
     * @method HasOne|_IH_Wallet_QB wallet()
     * @method static _IH_WalletTransaction_QB onWriteConnection()
     * @method _IH_WalletTransaction_QB newQuery()
     * @method static _IH_WalletTransaction_QB on(null|string $connection = null)
     * @method static _IH_WalletTransaction_QB query()
     * @method static _IH_WalletTransaction_QB with(array|string $relations)
     * @method _IH_WalletTransaction_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_WalletTransaction_C|WalletTransaction[] all()
     * @ownLinks wallet_id,\Modules\Wallet\Entities\Wallet,id|branch_id,\Modules\Branch\Entities\Branch,id|payment_detail_id,\Modules\Core\Entities\PaymentDetail,id
     * @mixin _IH_WalletTransaction_QB
     */
    class WalletTransaction extends Model {}
}