<?php //f5a71681f0aeccad8f5f0609602c46f3
/** @noinspection all */

namespace Modules\CustomField\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\CustomField\Entities\_IH_CustomFieldMeta_C;
    use LaravelIdea\Helper\Modules\CustomField\Entities\_IH_CustomFieldMeta_QB;
    use LaravelIdea\Helper\Modules\CustomField\Entities\_IH_CustomField_C;
    use LaravelIdea\Helper\Modules\CustomField\Entities\_IH_CustomField_QB;
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property string|null $category
     * @property string $type
     * @property string|null $name
     * @property string|null $label
     * @property string|null $options
     * @property string|null $class
     * @property string|null $db_columns
     * @property string|null $rules
     * @property string|null $default_values
     * @property int $required
     * @property int $active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int $include_in_report
     * @method static _IH_CustomField_QB onWriteConnection()
     * @method _IH_CustomField_QB newQuery()
     * @method static _IH_CustomField_QB on(null|string $connection = null)
     * @method static _IH_CustomField_QB query()
     * @method static _IH_CustomField_QB with(array|string $relations)
     * @method _IH_CustomField_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomField_C|CustomField[] all()
     * @foreignLinks id,\Modules\CustomField\Entities\CustomFieldMeta,custom_field_id
     * @mixin _IH_CustomField_QB
     */
    class CustomField extends Model {}
    
    /**
     * @property int $id
     * @property string|null $category
     * @property int $parent_id
     * @property int $custom_field_id
     * @property string|null $value
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_CustomFieldMeta_QB onWriteConnection()
     * @method _IH_CustomFieldMeta_QB newQuery()
     * @method static _IH_CustomFieldMeta_QB on(null|string $connection = null)
     * @method static _IH_CustomFieldMeta_QB query()
     * @method static _IH_CustomFieldMeta_QB with(array|string $relations)
     * @method _IH_CustomFieldMeta_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_CustomFieldMeta_C|CustomFieldMeta[] all()
     * @ownLinks custom_field_id,\Modules\CustomField\Entities\CustomField,id
     * @mixin _IH_CustomFieldMeta_QB
     */
    class CustomFieldMeta extends Model {}
}