<?php //1f5c837877badd1881f0fa02c3d455a2
/** @noinspection all */

namespace Modules\Share\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Branch\Entities\_IH_Branch_QB;
    use LaravelIdea\Helper\Modules\Client\Entities\_IH_Client_QB;
    use LaravelIdea\Helper\Modules\Core\Entities\_IH_Currency_QB;
    use LaravelIdea\Helper\Modules\Core\Entities\_IH_PaymentDetail_QB;
    use LaravelIdea\Helper\Modules\Savings\Entities\_IH_Savings_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareChargeOption_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareChargeOption_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareChargeType_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareChargeType_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareCharge_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareCharge_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareLinkedCharge_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareLinkedCharge_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareMarketPeriod_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareMarketPeriod_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareProductLinkedCharge_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareProductLinkedCharge_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareProduct_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareProduct_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareTransactionType_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareTransactionType_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareTransaction_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_ShareTransaction_QB;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_Share_C;
    use LaravelIdea\Helper\Modules\Share\Entities\_IH_Share_QB;
    use LaravelIdea\Helper\Modules\User\Entities\_IH_User_QB;
    use Modules\Branch\Entities\Branch;
    use Modules\Client\Entities\Client;
    use Modules\Core\Entities\Currency;
    use Modules\Core\Entities\PaymentDetail;
    use Modules\Savings\Entities\Savings;
    use Modules\User\Entities\User;
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int $currency_id
     * @property int|null $share_officer_id
     * @property int|null $share_product_id
     * @property int|null $savings_id
     * @property string|null $client_type
     * @property int|null $client_id
     * @property int|null $group_id
     * @property int|null $branch_id
     * @property string|null $account_number
     * @property string|null $external_id
     * @property int|null $decimals
     * @property int|null $total_shares
     * @property float|null $nominal_price
     * @property int|null $minimum_active_period
     * @property string|null $minimum_active_period_type
     * @property int $lockin_period
     * @property string $lockin_type
     * @property int $allow_dividends_for_inactive_clients
     * @property Carbon|null $submitted_on_date
     * @property Carbon|null $application_date
     * @property int|null $submitted_by_user_id
     * @property Carbon|null $approved_on_date
     * @property int|null $approved_by_user_id
     * @property string|null $approved_notes
     * @property Carbon|null $activated_on_date
     * @property int|null $activated_by_user_id
     * @property string|null $activated_notes
     * @property Carbon|null $rejected_on_date
     * @property int|null $rejected_by_user_id
     * @property string|null $rejected_notes
     * @property Carbon|null $dormant_on_date
     * @property int|null $dormant_by_user_id
     * @property string|null $dormant_notes
     * @property Carbon|null $closed_on_date
     * @property int|null $closed_by_user_id
     * @property string|null $closed_notes
     * @property Carbon|null $inactive_on_date
     * @property int|null $inactive_by_user_id
     * @property string|null $inactive_notes
     * @property Carbon|null $withdrawn_on_date
     * @property int|null $withdrawn_by_user_id
     * @property string|null $withdrawn_notes
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property User|null $activated_by
     * @method HasOne|_IH_User_QB activated_by()
     * @property User|null $approved_by
     * @method HasOne|_IH_User_QB approved_by()
     * @property Branch|null $branch
     * @method HasOne|_IH_Branch_QB branch()
     * @property _IH_ShareLinkedCharge_C|ShareLinkedCharge[] $charges
     * @property-read int $charges_count
     * @method HasMany|_IH_ShareLinkedCharge_QB charges()
     * @property Client|null $client
     * @method HasOne|_IH_Client_QB client()
     * @property User|null $closed_by
     * @method HasOne|_IH_User_QB closed_by()
     * @property Currency $currency
     * @method HasOne|_IH_Currency_QB currency()
     * @property User|null $dormant_by
     * @method HasOne|_IH_User_QB dormant_by()
     * @property User|null $inactive_by
     * @method HasOne|_IH_User_QB inactive_by()
     * @property User|null $rejected_by
     * @method HasOne|_IH_User_QB rejected_by()
     * @property Savings|null $savings
     * @method HasOne|_IH_Savings_QB savings()
     * @property User|null $share_officer
     * @method HasOne|_IH_User_QB share_officer()
     * @property ShareProduct|null $share_product
     * @method BelongsTo|_IH_ShareProduct_QB share_product()
     * @property User|null $submitted_by
     * @method HasOne|_IH_User_QB submitted_by()
     * @property _IH_ShareTransaction_C|ShareTransaction[] $transactions
     * @property-read int $transactions_count
     * @method HasMany|_IH_ShareTransaction_QB transactions()
     * @property User|null $withdrawn_by
     * @method HasOne|_IH_User_QB withdrawn_by()
     * @property User $written_off_by
     * @method HasOne|_IH_User_QB written_off_by()
     * @method static _IH_Share_QB onWriteConnection()
     * @method _IH_Share_QB newQuery()
     * @method static _IH_Share_QB on(null|string $connection = null)
     * @method static _IH_Share_QB query()
     * @method static _IH_Share_QB with(array|string $relations)
     * @method _IH_Share_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Share_C|Share[] all()
     * @ownLinks currency_id,\Modules\Core\Entities\Currency,id|share_product_id,\Modules\Share\Entities\ShareProduct,id|savings_id,\Modules\Savings\Entities\Savings,id|client_id,\Modules\Client\Entities\Client,id|branch_id,\Modules\Branch\Entities\Branch,id
     * @foreignLinks id,\Modules\Share\Entities\ShareLinkedCharge,share_id|id,\Modules\Share\Entities\ShareTransaction,share_id
     * @mixin _IH_Share_QB
     */
    class Share extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int $currency_id
     * @property int $share_charge_type_id
     * @property int $share_charge_option_id
     * @property string $name
     * @property float $amount
     * @property float|null $min_amount
     * @property float|null $max_amount
     * @property int $active
     * @property int $allow_override
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property ShareChargeOption $charge_option
     * @method HasOne|_IH_ShareChargeOption_QB charge_option()
     * @property ShareChargeType $charge_type
     * @method HasOne|_IH_ShareChargeType_QB charge_type()
     * @method static _IH_ShareCharge_QB onWriteConnection()
     * @method _IH_ShareCharge_QB newQuery()
     * @method static _IH_ShareCharge_QB on(null|string $connection = null)
     * @method static _IH_ShareCharge_QB query()
     * @method static _IH_ShareCharge_QB with(array|string $relations)
     * @method _IH_ShareCharge_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareCharge_C|ShareCharge[] all()
     * @ownLinks currency_id,\Modules\Core\Entities\Currency,id|share_charge_type_id,\Modules\Share\Entities\ShareChargeType,id|share_charge_option_id,\Modules\Share\Entities\ShareChargeOption,id
     * @foreignLinks id,\Modules\Share\Entities\ShareProductLinkedCharge,share_charge_id|id,\Modules\Share\Entities\ShareLinkedCharge,share_charge_id
     * @mixin _IH_ShareCharge_QB
     */
    class ShareCharge extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string|null $translated_name
     * @property int $active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ShareChargeOption_QB onWriteConnection()
     * @method _IH_ShareChargeOption_QB newQuery()
     * @method static _IH_ShareChargeOption_QB on(null|string $connection = null)
     * @method static _IH_ShareChargeOption_QB query()
     * @method static _IH_ShareChargeOption_QB with(array|string $relations)
     * @method _IH_ShareChargeOption_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareChargeOption_C|ShareChargeOption[] all()
     * @foreignLinks id,\Modules\Share\Entities\ShareCharge,share_charge_option_id|id,\Modules\Share\Entities\ShareLinkedCharge,share_charge_option_id
     * @mixin _IH_ShareChargeOption_QB
     */
    class ShareChargeOption extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string|null $translated_name
     * @property int $active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ShareChargeType_QB onWriteConnection()
     * @method _IH_ShareChargeType_QB newQuery()
     * @method static _IH_ShareChargeType_QB on(null|string $connection = null)
     * @method static _IH_ShareChargeType_QB query()
     * @method static _IH_ShareChargeType_QB with(array|string $relations)
     * @method _IH_ShareChargeType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareChargeType_C|ShareChargeType[] all()
     * @foreignLinks id,\Modules\Share\Entities\ShareCharge,share_charge_type_id|id,\Modules\Share\Entities\ShareLinkedCharge,share_charge_type_id
     * @mixin _IH_ShareChargeType_QB
     */
    class ShareChargeType extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $currency_id
     * @property int|null $share_id
     * @property int|null $share_charge_id
     * @property int|null $share_charge_type_id
     * @property int|null $share_charge_option_id
     * @property int|null $share_transaction_id
     * @property string|null $name
     * @property float $amount
     * @property float|null $calculated_amount
     * @property float|null $paid_amount
     * @property int $active
     * @property int $waived
     * @property int $is_paid
     * @property Carbon|null $submitted_on
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property ShareCharge|null $charge
     * @method HasOne|_IH_ShareCharge_QB charge()
     * @property Share|null $savings
     * @method BelongsTo|_IH_Share_QB savings()
     * @method static _IH_ShareLinkedCharge_QB onWriteConnection()
     * @method _IH_ShareLinkedCharge_QB newQuery()
     * @method static _IH_ShareLinkedCharge_QB on(null|string $connection = null)
     * @method static _IH_ShareLinkedCharge_QB query()
     * @method static _IH_ShareLinkedCharge_QB with(array|string $relations)
     * @method _IH_ShareLinkedCharge_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareLinkedCharge_C|ShareLinkedCharge[] all()
     * @ownLinks currency_id,\Modules\Core\Entities\Currency,id|share_id,\Modules\Share\Entities\Share,id|share_charge_id,\Modules\Share\Entities\ShareCharge,id|share_charge_type_id,\Modules\Share\Entities\ShareChargeType,id|share_charge_option_id,\Modules\Share\Entities\ShareChargeOption,id|share_transaction_id,\Modules\Share\Entities\ShareTransaction,id
     * @foreignLinks id,\Modules\Share\Entities\ShareTransaction,share_linked_charge_id
     * @mixin _IH_ShareLinkedCharge_QB
     */
    class ShareLinkedCharge extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $share_product_id
     * @property Carbon|null $from_date
     * @property Carbon|null $to_date
     * @property float|null $nominal_price
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ShareMarketPeriod_QB onWriteConnection()
     * @method _IH_ShareMarketPeriod_QB newQuery()
     * @method static _IH_ShareMarketPeriod_QB on(null|string $connection = null)
     * @method static _IH_ShareMarketPeriod_QB query()
     * @method static _IH_ShareMarketPeriod_QB with(array|string $relations)
     * @method _IH_ShareMarketPeriod_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareMarketPeriod_C|ShareMarketPeriod[] all()
     * @ownLinks share_product_id,\Modules\Share\Entities\ShareProduct,id
     * @mixin _IH_ShareMarketPeriod_QB
     */
    class ShareMarketPeriod extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int $currency_id
     * @property int|null $share_reference_chart_of_account_id
     * @property int|null $share_suspense_control_chart_of_account_id
     * @property int|null $equity_chart_of_account_id
     * @property int|null $income_from_fees_chart_of_account_id
     * @property string $name
     * @property string|null $short_name
     * @property string|null $description
     * @property int|null $decimals
     * @property int|null $total_shares
     * @property int|null $shares_to_be_issued
     * @property float|null $nominal_price
     * @property float|null $capital_value
     * @property float|null $minimum_shares_per_client
     * @property float|null $default_shares_per_client
     * @property float|null $maximum_shares_per_client
     * @property int|null $minimum_active_period
     * @property string|null $minimum_active_period_type
     * @property int $lockin_period
     * @property string $lockin_type
     * @property int $allow_dividends_for_inactive_clients
     * @property string|null $accounting_rule
     * @property int $active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] $charges
     * @property-read int $charges_count
     * @method HasMany|_IH_ShareProductLinkedCharge_QB charges()
     * @method static _IH_ShareProduct_QB onWriteConnection()
     * @method _IH_ShareProduct_QB newQuery()
     * @method static _IH_ShareProduct_QB on(null|string $connection = null)
     * @method static _IH_ShareProduct_QB query()
     * @method static _IH_ShareProduct_QB with(array|string $relations)
     * @method _IH_ShareProduct_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareProduct_C|ShareProduct[] all()
     * @ownLinks currency_id,\Modules\Core\Entities\Currency,id
     * @foreignLinks id,\Modules\Share\Entities\ShareProductLinkedCharge,share_product_id|id,\Modules\Share\Entities\Share,share_product_id|id,\Modules\Share\Entities\ShareMarketPeriod,share_product_id
     * @mixin _IH_ShareProduct_QB
     */
    class ShareProduct extends Model {}
    
    /**
     * @property int $id
     * @property int $share_product_id
     * @property int $share_charge_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property ShareCharge $charge
     * @method HasOne|_IH_ShareCharge_QB charge()
     * @method static _IH_ShareProductLinkedCharge_QB onWriteConnection()
     * @method _IH_ShareProductLinkedCharge_QB newQuery()
     * @method static _IH_ShareProductLinkedCharge_QB on(null|string $connection = null)
     * @method static _IH_ShareProductLinkedCharge_QB query()
     * @method static _IH_ShareProductLinkedCharge_QB with(array|string $relations)
     * @method _IH_ShareProductLinkedCharge_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareProductLinkedCharge_C|ShareProductLinkedCharge[] all()
     * @ownLinks share_product_id,\Modules\Share\Entities\ShareProduct,id|share_charge_id,\Modules\Share\Entities\ShareCharge,id
     * @mixin _IH_ShareProductLinkedCharge_QB
     */
    class ShareProductLinkedCharge extends Model {}
    
    /**
     * @property int $id
     * @property int $share_id
     * @property int|null $created_by_id
     * @property int|null $branch_id
     * @property int|null $share_linked_charge_id
     * @property int|null $payment_detail_id
     * @property string|null $name
     * @property float $amount
     * @property float|null $total_shares
     * @property float|null $charge_amount
     * @property float|null $credit
     * @property float|null $debit
     * @property float|null $balance
     * @property int $share_transaction_type_id
     * @property int $reversed
     * @property int $reversible
     * @property Carbon|null $submitted_on
     * @property Carbon|null $created_on
     * @property string|null $description
     * @property string|null $reference
     * @property string|null $gateway_id
     * @property string|null $payment_gateway_data
     * @property int $online_transaction
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property PaymentDetail|null $payment_detail
     * @method HasOne|_IH_PaymentDetail_QB payment_detail()
     * @property Share $share
     * @method HasOne|_IH_Share_QB share()
     * @method static _IH_ShareTransaction_QB onWriteConnection()
     * @method _IH_ShareTransaction_QB newQuery()
     * @method static _IH_ShareTransaction_QB on(null|string $connection = null)
     * @method static _IH_ShareTransaction_QB query()
     * @method static _IH_ShareTransaction_QB with(array|string $relations)
     * @method _IH_ShareTransaction_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareTransaction_C|ShareTransaction[] all()
     * @ownLinks share_id,\Modules\Share\Entities\Share,id|branch_id,\Modules\Branch\Entities\Branch,id|share_linked_charge_id,\Modules\Share\Entities\ShareLinkedCharge,id|payment_detail_id,\Modules\Core\Entities\PaymentDetail,id|share_transaction_type_id,\Modules\Share\Entities\ShareTransactionType,id
     * @foreignLinks id,\Modules\Share\Entities\ShareLinkedCharge,share_transaction_id
     * @mixin _IH_ShareTransaction_QB
     */
    class ShareTransaction extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string|null $translated_name
     * @property int $active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ShareTransactionType_QB onWriteConnection()
     * @method _IH_ShareTransactionType_QB newQuery()
     * @method static _IH_ShareTransactionType_QB on(null|string $connection = null)
     * @method static _IH_ShareTransactionType_QB query()
     * @method static _IH_ShareTransactionType_QB with(array|string $relations)
     * @method _IH_ShareTransactionType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ShareTransactionType_C|ShareTransactionType[] all()
     * @foreignLinks id,\Modules\Share\Entities\ShareTransaction,share_transaction_type_id
     * @mixin _IH_ShareTransactionType_QB
     */
    class ShareTransactionType extends Model {}
}