<?php //3a851c838332136111d5980951873857
/** @noinspection all */

namespace Modules\Accounting\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Accounting\Entities\_IH_ChartOfAccount_C;
    use LaravelIdea\Helper\Modules\Accounting\Entities\_IH_ChartOfAccount_QB;
    use LaravelIdea\Helper\Modules\Accounting\Entities\_IH_JournalEntry_C;
    use LaravelIdea\Helper\Modules\Accounting\Entities\_IH_JournalEntry_QB;
    use LaravelIdea\Helper\Modules\Branch\Entities\_IH_Branch_QB;
    use LaravelIdea\Helper\Modules\User\Entities\_IH_User_QB;
    use Modules\Branch\Entities\Branch;
    use Modules\User\Entities\User;
    
    /**
     * @property int $id
     * @property int|null $parent_id
     * @property string|null $name
     * @property int|null $gl_code
     * @property string $account_type
     * @property int $allow_manual
     * @property int $active
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ChartOfAccount_QB onWriteConnection()
     * @method _IH_ChartOfAccount_QB newQuery()
     * @method static _IH_ChartOfAccount_QB on(null|string $connection = null)
     * @method static _IH_ChartOfAccount_QB query()
     * @method static _IH_ChartOfAccount_QB with(array|string $relations)
     * @method _IH_ChartOfAccount_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ChartOfAccount_C|ChartOfAccount[] all()
     * @foreignLinks id,\Modules\Accounting\Entities\JournalEntry,chart_of_account_id
     * @mixin _IH_ChartOfAccount_QB
     */
    class ChartOfAccount extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property string|null $transaction_number
     * @property int|null $payment_detail_id
     * @property int|null $branch_id
     * @property int|null $currency_id
     * @property int|null $chart_of_account_id
     * @property string|null $transaction_type
     * @property string|null $transaction_sub_type
     * @property string|null $name
     * @property Carbon|null $date
     * @property string|null $month
     * @property string|null $year
     * @property string|null $reference
     * @property int|null $client_id
     * @property float|null $debit
     * @property float|null $credit
     * @property float|null $balance
     * @property int $active
     * @property int $reversed
     * @property int $reversible
     * @property int $manual_entry
     * @property string|null $receipt
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Branch|null $branch
     * @method HasOne|_IH_Branch_QB branch()
     * @property ChartOfAccount|null $chart_of_account
     * @method HasOne|_IH_ChartOfAccount_QB chart_of_account()
     * @property User|null $created_by
     * @method HasOne|_IH_User_QB created_by()
     * @method static _IH_JournalEntry_QB onWriteConnection()
     * @method _IH_JournalEntry_QB newQuery()
     * @method static _IH_JournalEntry_QB on(null|string $connection = null)
     * @method static _IH_JournalEntry_QB query()
     * @method static _IH_JournalEntry_QB with(array|string $relations)
     * @method _IH_JournalEntry_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_JournalEntry_C|JournalEntry[] all()
     * @ownLinks payment_detail_id,\Modules\Core\Entities\PaymentDetail,id|branch_id,\Modules\Branch\Entities\Branch,id|currency_id,\Modules\Core\Entities\Currency,id|chart_of_account_id,\Modules\Accounting\Entities\ChartOfAccount,id|client_id,\Modules\Client\Entities\Client,id
     * @mixin _IH_JournalEntry_QB
     */
    class JournalEntry extends Model {}
}