<?php //8fc7186d85da0b3ef07fe75a7bb85e04
/** @noinspection all */

namespace Modules\Expense\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Accounting\Entities\_IH_ChartOfAccount_QB;
    use LaravelIdea\Helper\Modules\Branch\Entities\_IH_Branch_QB;
    use LaravelIdea\Helper\Modules\Expense\Entities\_IH_ExpenseType_C;
    use LaravelIdea\Helper\Modules\Expense\Entities\_IH_ExpenseType_QB;
    use LaravelIdea\Helper\Modules\Expense\Entities\_IH_Expense_C;
    use LaravelIdea\Helper\Modules\Expense\Entities\_IH_Expense_QB;
    use LaravelIdea\Helper\Modules\User\Entities\_IH_User_QB;
    use Modules\Accounting\Entities\ChartOfAccount;
    use Modules\Branch\Entities\Branch;
    use Modules\User\Entities\User;
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $expense_type_id
     * @property int|null $expense_chart_of_account_id
     * @property int|null $currency_id
     * @property int|null $branch_id
     * @property int|null $asset_chart_of_account_id
     * @property float $amount
     * @property Carbon|null $date
     * @property int $recurring
     * @property string $recur_frequency
     * @property Carbon|null $recur_start_date
     * @property Carbon|null $recur_end_date
     * @property Carbon|null $recur_next_date
     * @property string $recur_type
     * @property string|null $notes
     * @property string|null $description
     * @property string|null $files
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property ChartOfAccount|null $asset_chart
     * @method HasOne|_IH_ChartOfAccount_QB asset_chart()
     * @property Branch|null $branch
     * @method HasOne|_IH_Branch_QB branch()
     * @property User|null $created_by
     * @method HasOne|_IH_User_QB created_by()
     * @property ChartOfAccount|null $expense_chart
     * @method HasOne|_IH_ChartOfAccount_QB expense_chart()
     * @property ExpenseType|null $expense_type
     * @method HasOne|_IH_ExpenseType_QB expense_type()
     * @method static _IH_Expense_QB onWriteConnection()
     * @method _IH_Expense_QB newQuery()
     * @method static _IH_Expense_QB on(null|string $connection = null)
     * @method static _IH_Expense_QB query()
     * @method static _IH_Expense_QB with(array|string $relations)
     * @method _IH_Expense_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Expense_C|Expense[] all()
     * @ownLinks expense_type_id,\Modules\Expense\Entities\ExpenseType,id|currency_id,\Modules\Core\Entities\Currency,id|branch_id,\Modules\Branch\Entities\Branch,id
     * @mixin _IH_Expense_QB
     */
    class Expense extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property int|null $expense_chart_of_account_id
     * @property int|null $asset_chart_of_account_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property ChartOfAccount|null $asset_chart
     * @method HasOne|_IH_ChartOfAccount_QB asset_chart()
     * @property ChartOfAccount|null $expense_chart
     * @method HasOne|_IH_ChartOfAccount_QB expense_chart()
     * @method static _IH_ExpenseType_QB onWriteConnection()
     * @method _IH_ExpenseType_QB newQuery()
     * @method static _IH_ExpenseType_QB on(null|string $connection = null)
     * @method static _IH_ExpenseType_QB query()
     * @method static _IH_ExpenseType_QB with(array|string $relations)
     * @method _IH_ExpenseType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ExpenseType_C|ExpenseType[] all()
     * @foreignLinks id,\Modules\Expense\Entities\Expense,expense_type_id
     * @mixin _IH_ExpenseType_QB
     */
    class ExpenseType extends Model {}
}