<?php //d445cef3f7e54903bf5c7ab9a01714b2
/** @noinspection all */

namespace Modules\Payroll\Entities {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\Modules\Core\Entities\_IH_PaymentDetail_QB;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollItemMeta_C;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollItemMeta_QB;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollItem_C;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollItem_QB;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollPayment_C;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollPayment_QB;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollTemplateItem_C;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollTemplateItem_QB;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollTemplate_C;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_PayrollTemplate_QB;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_Payroll_C;
    use LaravelIdea\Helper\Modules\Payroll\Entities\_IH_Payroll_QB;
    use LaravelIdea\Helper\Modules\User\Entities\_IH_User_QB;
    use Modules\Core\Entities\PaymentDetail;
    use Modules\User\Entities\User;
    
    /**
     * @property int $id
     * @property int|null $branch_id
     * @property int|null $currency_id
     * @property int|null $created_by_id
     * @property int|null $payroll_template_id
     * @property int|null $user_id
     * @property string|null $employee_name
     * @property string|null $bank_name
     * @property string|null $account_number
     * @property string|null $description
     * @property string|null $comments
     * @property float $work_duration
     * @property string|null $duration_unit
     * @property float $amount_per_duration
     * @property float $total_duration_amount
     * @property float $gross_amount
     * @property float $total_allowances
     * @property float $total_deductions
     * @property Carbon|null $date
     * @property string|null $year
     * @property string|null $month
     * @property int|null $recurring
     * @property string|null $recur_frequency
     * @property Carbon|null $recur_start_date
     * @property Carbon|null $recur_end_date
     * @property Carbon|null $recur_next_date
     * @property string|null $recur_type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_PayrollItemMeta_C|PayrollItemMeta[] $payroll_items
     * @property-read int $payroll_items_count
     * @method HasMany|_IH_PayrollItemMeta_QB payroll_items()
     * @property _IH_PayrollPayment_C|PayrollPayment[] $payroll_payments
     * @property-read int $payroll_payments_count
     * @method HasMany|_IH_PayrollPayment_QB payroll_payments()
     * @property PayrollTemplate|null $payroll_template
     * @method HasOne|_IH_PayrollTemplate_QB payroll_template()
     * @property User $user
     * @method HasOne|_IH_User_QB user()
     * @method static _IH_Payroll_QB onWriteConnection()
     * @method _IH_Payroll_QB newQuery()
     * @method static _IH_Payroll_QB on(null|string $connection = null)
     * @method static _IH_Payroll_QB query()
     * @method static _IH_Payroll_QB with(array|string $relations)
     * @method _IH_Payroll_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Payroll_C|Payroll[] all()
     * @ownLinks branch_id,\Modules\Branch\Entities\Branch,id|currency_id,\Modules\Core\Entities\Currency,id|payroll_template_id,\Modules\Payroll\Entities\PayrollTemplate,id|user_id,\Workbench\App\Models\User,id
     * @mixin _IH_Payroll_QB
     */
    class Payroll extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property string $type
     * @property string $amount_type
     * @property float $amount
     * @property string|null $description
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_PayrollItem_QB onWriteConnection()
     * @method _IH_PayrollItem_QB newQuery()
     * @method static _IH_PayrollItem_QB on(null|string $connection = null)
     * @method static _IH_PayrollItem_QB query()
     * @method static _IH_PayrollItem_QB with(array|string $relations)
     * @method _IH_PayrollItem_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PayrollItem_C|PayrollItem[] all()
     * @foreignLinks id,\Modules\Payroll\Entities\PayrollTemplateItem,payroll_item_id|id,\Modules\Payroll\Entities\PayrollItemMeta,payroll_item_id
     * @mixin _IH_PayrollItem_QB
     */
    class PayrollItem extends Model {}
    
    /**
     * @property int $id
     * @property int|null $payroll_id
     * @property int|null $payroll_item_id
     * @property float|null $percentage
     * @property string|null $name
     * @property string $type
     * @property string $amount_type
     * @property float $amount
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_PayrollItemMeta_QB onWriteConnection()
     * @method _IH_PayrollItemMeta_QB newQuery()
     * @method static _IH_PayrollItemMeta_QB on(null|string $connection = null)
     * @method static _IH_PayrollItemMeta_QB query()
     * @method static _IH_PayrollItemMeta_QB with(array|string $relations)
     * @method _IH_PayrollItemMeta_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PayrollItemMeta_C|PayrollItemMeta[] all()
     * @ownLinks payroll_item_id,\Modules\Payroll\Entities\PayrollItem,id
     * @mixin _IH_PayrollItemMeta_QB
     */
    class PayrollItemMeta extends Model {}
    
    /**
     * @property int $id
     * @property int|null $created_by_id
     * @property int|null $branch_id
     * @property int|null $payroll_id
     * @property int|null $payment_type_id
     * @property int|null $payment_detail_id
     * @property float $amount
     * @property Carbon|null $submitted_on
     * @property string|null $notes
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property PaymentDetail|null $payment_detail
     * @method HasOne|_IH_PaymentDetail_QB payment_detail()
     * @property Payroll|null $payroll
     * @method HasOne|_IH_Payroll_QB payroll()
     * @property _IH_PayrollItemMeta_C|PayrollItemMeta[] $payroll_items
     * @property-read int $payroll_items_count
     * @method HasMany|_IH_PayrollItemMeta_QB payroll_items()
     * @property User $user
     * @method HasOne|_IH_User_QB user()
     * @method static _IH_PayrollPayment_QB onWriteConnection()
     * @method _IH_PayrollPayment_QB newQuery()
     * @method static _IH_PayrollPayment_QB on(null|string $connection = null)
     * @method static _IH_PayrollPayment_QB query()
     * @method static _IH_PayrollPayment_QB with(array|string $relations)
     * @method _IH_PayrollPayment_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PayrollPayment_C|PayrollPayment[] all()
     * @ownLinks branch_id,\Modules\Branch\Entities\Branch,id|payment_type_id,\Modules\Core\Entities\PaymentType,id|payment_detail_id,\Modules\Core\Entities\PaymentDetail,id
     * @mixin _IH_PayrollPayment_QB
     */
    class PayrollPayment extends Model {}
    
    /**
     * @property int $id
     * @property string|null $name
     * @property float $work_duration
     * @property string|null $duration_unit
     * @property float $amount_per_duration
     * @property float $total_duration_amount
     * @property string|null $picture
     * @property string|null $description
     * @property string|null $items
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_PayrollTemplateItem_C|PayrollTemplateItem[] $payroll_items
     * @property-read int $payroll_items_count
     * @method HasMany|_IH_PayrollTemplateItem_QB payroll_items()
     * @method static _IH_PayrollTemplate_QB onWriteConnection()
     * @method _IH_PayrollTemplate_QB newQuery()
     * @method static _IH_PayrollTemplate_QB on(null|string $connection = null)
     * @method static _IH_PayrollTemplate_QB query()
     * @method static _IH_PayrollTemplate_QB with(array|string $relations)
     * @method _IH_PayrollTemplate_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PayrollTemplate_C|PayrollTemplate[] all()
     * @foreignLinks id,\Modules\Payroll\Entities\PayrollTemplateItem,payroll_template_id|id,\Modules\Payroll\Entities\Payroll,payroll_template_id
     * @mixin _IH_PayrollTemplate_QB
     */
    class PayrollTemplate extends Model {}
    
    /**
     * @property int $id
     * @property int|null $payroll_template_id
     * @property int|null $payroll_item_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property PayrollItem|null $payroll_item
     * @method HasOne|_IH_PayrollItem_QB payroll_item()
     * @method static _IH_PayrollTemplateItem_QB onWriteConnection()
     * @method _IH_PayrollTemplateItem_QB newQuery()
     * @method static _IH_PayrollTemplateItem_QB on(null|string $connection = null)
     * @method static _IH_PayrollTemplateItem_QB query()
     * @method static _IH_PayrollTemplateItem_QB with(array|string $relations)
     * @method _IH_PayrollTemplateItem_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PayrollTemplateItem_C|PayrollTemplateItem[] all()
     * @ownLinks payroll_template_id,\Modules\Payroll\Entities\PayrollTemplate,id|payroll_item_id,\Modules\Payroll\Entities\PayrollItem,id
     * @mixin _IH_PayrollTemplateItem_QB
     */
    class PayrollTemplateItem extends Model {}
}