<h6 align="center">
    <img src="https://larecipe.saleem.dev/images/logo.svg"/>
</h6>

<h2 align="center">
    LaRecipe
</h2>


<h6 align="center">
    Write gorgeous documentations for your products using Markdown inside your Laravel app.
</h6>
    

<p align="center">
<a href="https://github.com/saleem-hadad/larecipe"><img src="https://img.shields.io/packagist/dt/binarytorch/larecipe.svg" alt="License"></a>
<a title="MadeWithVueJs.com Shield" href="https://madewithvuejs.com/p/larecipe/shield-link"> <img src="https://madewithvuejs.com/storage/repo-shields/1087-shield.svg"/></a>
<a href="https://github.com/saleem-hadad/larecipe"><img src="https://img.shields.io/github/release/saleem-hadad/larecipe.svg" alt="Release"></a>
<a href="https://github.com/saleem-hadad/larecipe"><img src="https://poser.pugx.org/laravel/framework/license.svg" alt="License"></a>
 <a href="#sponsors" alt="Sponsors on Open Collective"><img src="https://opencollective.com/larecipe/sponsors/badge.svg" /></a> 
</p>
<br/>

# LaRecipe 🍪

**LaRecipe** is simply a code-driven package provides an easy way to create beautiful documentation for your product or application inside your Laravel app.

![LaRecipe Screenshot](https://larecipe.saleem.dev/images/screenshot.png#)

## Official tools and assets support

| Title | v1.x | v2.x |
| :- | :-: | :-: |
| [LaRecipe Dark Theme](https://larecipe.saleem.dev/packages/binarytorch/larecipe-dark-theme) | ❌ | ✅ |
| [LaRecipe RTL Support](https://larecipe.saleem.dev/packages/binarytorch/larecipe-rtl) | ❌ | ✅ |
| [LaRecipe Feedback](https://larecipe.saleem.dev/packages/binarytorch/larecipe-feedback) | ❌ | ✅ |
| [LaRecipe Swagger](https://larecipe.saleem.dev/packages/binarytorch/larecipe-swagger) | ❌ | ✅ |

## Getting Started

☝️ Install the package via composer.

    composer require binarytorch/larecipe

✌️ Run the install command.

    php artisan larecipe:install

Visit your app domain with `/docs` endpoint. That's it.

#### See [full documentation](https://larecipe.saleem.dev/)


## Used by

* [Zino](https://zino.binarytorch.com.my/1.0/installation) - 🤖 Custom Arduino library made for humans.
* [Blogged](https://blogged.binarytorch.com.my/docs/1.0/overview) - Blogged is a package provides an easy way to create beautiful blog inside your Laravel projects.
* [WooSignal](https://woosignal.com/docs/api/1.0/overview) - Fastest WooCommerce
App Templates.
* [AddChat](https://addchat-docs.classiebit.com/docs/1.0/introduction) - All-in-one multi-purpose Chat Widget For Laravel & Codeigniter websites.
* [RoadLeagues](https://roadleagues.com/docs/1.0/overview) - A cycling league management system with an API to allow data distrubution externally.
* [Raileo](https://raileo.com/docs/1.0/overview) - Raileo helps you to monitor your website's uptime, performance and SEO
* Put your docs here 😍👌



## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [[Become a sponsor](https://opencollective.com/larecipe#sponsor)]

## JetBrains
Thank you, JetBrains for sponsoring the license ❤️

<a href="https://www.jetbrains.com/community/opensource/#support" target="__blank">
<img src="https://resources.jetbrains.com/storage/products/company/brand/logos/jb_beam.png?_gl=1*18f1z4q*_ga*MTI4MDYwODYzNy4xNjUyMzU3ODM3*_ga_9J976DJZ68*MTY2MTg3NDM2NC4xMi4xLjE2NjE4NzUxNTAuMC4wLjA.&_ga=2.85008921.1685901777.1661797034-1280608637.1652357837" width="250px" />
</a>

## Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
<a href="https://github.com/saleem-hadad/larecipe/graphs/contributors"><img src="https://opencollective.com/larecipe/contributors.svg?width=890&button=false" /></a>

## License

This library is licensed under the MIT License - see the [LICENSE.md](LICENSE) file for details.
