<?php

namespace Modules\Core\Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class TimezonesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::statement('SET FOREIGN_KEY_CHECKS=0;');
        Model::unguard();
        DB::table('timezones')->truncate();
        $statement = "INSERT INTO `timezones` (`zone_id`, `country_code`, `zone_name`) VALUES (1,'AD','Europe/Andorra'),(2,'AE','Asia/Dubai'),(3,'AF','Asia/Kabul'),(4,'AG','America/Antigua'),(5,'AI','America/Anguilla'),(6,'AL','Europe/Tirane'),(7,'AM','Asia/Yerevan'),(8,'AO','Africa/Luanda'),(9,'AQ','Antarctica/McMurdo'),(10,'AQ','Antarctica/Casey'),(11,'AQ','Antarctica/Davis'),(12,'AQ','Antarctica/DumontDUrville'),(13,'AQ','Antarctica/Mawson'),(14,'AQ','Antarctica/Palmer'),(15,'AQ','Antarctica/Rothera'),(16,'AQ','Antarctica/Syowa'),(17,'AQ','Antarctica/Troll'),(18,'AQ','Antarctica/Vostok'),(19,'AR','America/Argentina/Buenos_Aires'),(20,'AR','America/Argentina/Cordoba'),(21,'AR','America/Argentina/Salta'),(22,'AR','America/Argentina/Jujuy'),(23,'AR','America/Argentina/Tucuman'),(24,'AR','America/Argentina/Catamarca'),(25,'AR','America/Argentina/La_Rioja'),(26,'AR','America/Argentina/San_Juan'),(27,'AR','America/Argentina/Mendoza'),(28,'AR','America/Argentina/San_Luis'),(29,'AR','America/Argentina/Rio_Gallegos'),(30,'AR','America/Argentina/Ushuaia'),(31,'AS','Pacific/Pago_Pago'),(32,'AT','Europe/Vienna'),(33,'AU','Australia/Lord_Howe'),(34,'AU','Antarctica/Macquarie'),(35,'AU','Australia/Hobart'),(36,'AU','Australia/Currie'),(37,'AU','Australia/Melbourne'),(38,'AU','Australia/Sydney'),(39,'AU','Australia/Broken_Hill'),(40,'AU','Australia/Brisbane'),(41,'AU','Australia/Lindeman'),(42,'AU','Australia/Adelaide'),(43,'AU','Australia/Darwin'),(44,'AU','Australia/Perth'),(45,'AU','Australia/Eucla'),(46,'AW','America/Aruba'),(47,'AX','Europe/Mariehamn'),(48,'AZ','Asia/Baku'),(49,'BA','Europe/Sarajevo'),(50,'BB','America/Barbados'),(51,'BD','Asia/Dhaka'),(52,'BE','Europe/Brussels'),(53,'BF','Africa/Ouagadougou'),(54,'BG','Europe/Sofia'),(55,'BH','Asia/Bahrain'),(56,'BI','Africa/Bujumbura'),(57,'BJ','Africa/Porto-Novo'),(58,'BL','America/St_Barthelemy'),(59,'BM','Atlantic/Bermuda'),(60,'BN','Asia/Brunei'),(61,'BO','America/La_Paz'),(62,'BQ','America/Kralendijk'),(63,'BR','America/Noronha'),(64,'BR','America/Belem'),(65,'BR','America/Fortaleza'),(66,'BR','America/Recife'),(67,'BR','America/Araguaina'),(68,'BR','America/Maceio'),(69,'BR','America/Bahia'),(70,'BR','America/Sao_Paulo'),(71,'BR','America/Campo_Grande'),(72,'BR','America/Cuiaba'),(73,'BR','America/Santarem'),(74,'BR','America/Porto_Velho'),(75,'BR','America/Boa_Vista'),(76,'BR','America/Manaus'),(77,'BR','America/Eirunepe'),(78,'BR','America/Rio_Branco'),(79,'BS','America/Nassau'),(80,'BT','Asia/Thimphu'),(81,'BW','Africa/Gaborone'),(82,'BY','Europe/Minsk'),(83,'BZ','America/Belize'),(84,'CA','America/St_Johns'),(85,'CA','America/Halifax'),(86,'CA','America/Glace_Bay'),(87,'CA','America/Moncton'),(88,'CA','America/Goose_Bay'),(89,'CA','America/Blanc-Sablon'),(90,'CA','America/Toronto'),(91,'CA','America/Nipigon'),(92,'CA','America/Thunder_Bay'),(93,'CA','America/Iqaluit'),(94,'CA','America/Pangnirtung'),(95,'CA','America/Atikokan'),(96,'CA','America/Winnipeg'),(97,'CA','America/Rainy_River'),(98,'CA','America/Resolute'),(99,'CA','America/Rankin_Inlet'),(100,'CA','America/Regina'),(101,'CA','America/Swift_Current'),(102,'CA','America/Edmonton'),(103,'CA','America/Cambridge_Bay'),(104,'CA','America/Yellowknife'),(105,'CA','America/Inuvik'),(106,'CA','America/Creston'),(107,'CA','America/Dawson_Creek'),(108,'CA','America/Fort_Nelson'),(109,'CA','America/Vancouver'),(110,'CA','America/Whitehorse'),(111,'CA','America/Dawson'),(112,'CC','Indian/Cocos'),(113,'CD','Africa/Kinshasa'),(114,'CD','Africa/Lubumbashi'),(115,'CF','Africa/Bangui'),(116,'CG','Africa/Brazzaville'),(117,'CH','Europe/Zurich'),(118,'CI','Africa/Abidjan'),(119,'CK','Pacific/Rarotonga'),(120,'CL','America/Santiago'),(121,'CL','America/Punta_Arenas'),(122,'CL','Pacific/Easter'),(123,'CM','Africa/Douala'),(124,'CN','Asia/Shanghai'),(125,'CN','Asia/Urumqi'),(126,'CO','America/Bogota'),(127,'CR','America/Costa_Rica'),(128,'CU','America/Havana'),(129,'CV','Atlantic/Cape_Verde'),(130,'CW','America/Curacao'),(131,'CX','Indian/Christmas'),(132,'CY','Asia/Nicosia'),(133,'CY','Asia/Famagusta'),(134,'CZ','Europe/Prague'),(135,'DE','Europe/Berlin'),(136,'DE','Europe/Busingen'),(137,'DJ','Africa/Djibouti'),(138,'DK','Europe/Copenhagen'),(139,'DM','America/Dominica'),(140,'DO','America/Santo_Domingo'),(141,'DZ','Africa/Algiers'),(142,'EC','America/Guayaquil'),(143,'EC','Pacific/Galapagos'),(144,'EE','Europe/Tallinn'),(145,'EG','Africa/Cairo'),(146,'EH','Africa/El_Aaiun'),(147,'ER','Africa/Asmara'),(148,'ES','Europe/Madrid'),(149,'ES','Africa/Ceuta'),(150,'ES','Atlantic/Canary'),(151,'ET','Africa/Addis_Ababa'),(152,'FI','Europe/Helsinki'),(153,'FJ','Pacific/Fiji'),(154,'FK','Atlantic/Stanley'),(155,'FM','Pacific/Chuuk'),(156,'FM','Pacific/Pohnpei'),(157,'FM','Pacific/Kosrae'),(158,'FO','Atlantic/Faroe'),(159,'FR','Europe/Paris'),(160,'GA','Africa/Libreville'),(161,'GB','Europe/London'),(162,'GD','America/Grenada'),(163,'GE','Asia/Tbilisi'),(164,'GF','America/Cayenne'),(165,'GG','Europe/Guernsey'),(166,'GH','Africa/Accra'),(167,'GI','Europe/Gibraltar'),(168,'GL','America/Godthab'),(169,'GL','America/Danmarkshavn'),(170,'GL','America/Scoresbysund'),(171,'GL','America/Thule'),(172,'GM','Africa/Banjul'),(173,'GN','Africa/Conakry'),(174,'GP','America/Guadeloupe'),(175,'GQ','Africa/Malabo'),(176,'GR','Europe/Athens'),(177,'GS','Atlantic/South_Georgia'),(178,'GT','America/Guatemala'),(179,'GU','Pacific/Guam'),(180,'GW','Africa/Bissau'),(181,'GY','America/Guyana'),(182,'HK','Asia/Hong_Kong'),(183,'HN','America/Tegucigalpa'),(184,'HR','Europe/Zagreb'),(185,'HT','America/Port-au-Prince'),(186,'HU','Europe/Budapest'),(187,'ID','Asia/Jakarta'),(188,'ID','Asia/Pontianak'),(189,'ID','Asia/Makassar'),(190,'ID','Asia/Jayapura'),(191,'IE','Europe/Dublin'),(192,'IL','Asia/Jerusalem'),(193,'IM','Europe/Isle_of_Man'),(194,'IN','Asia/Kolkata'),(195,'IO','Indian/Chagos'),(196,'IQ','Asia/Baghdad'),(197,'IR','Asia/Tehran'),(198,'IS','Atlantic/Reykjavik'),(199,'IT','Europe/Rome'),(200,'JE','Europe/Jersey'),(201,'JM','America/Jamaica'),(202,'JO','Asia/Amman'),(203,'JP','Asia/Tokyo'),(204,'KE','Africa/Nairobi'),(205,'KG','Asia/Bishkek'),(206,'KH','Asia/Phnom_Penh'),(207,'KI','Pacific/Tarawa'),(208,'KI','Pacific/Enderbury'),(209,'KI','Pacific/Kiritimati'),(210,'KM','Indian/Comoro'),(211,'KN','America/St_Kitts'),(212,'KP','Asia/Pyongyang'),(213,'KR','Asia/Seoul'),(214,'KW','Asia/Kuwait'),(215,'KY','America/Cayman'),(216,'KZ','Asia/Almaty'),(217,'KZ','Asia/Qyzylorda'),(218,'KZ','Asia/Qostanay'),(219,'KZ','Asia/Aqtobe'),(220,'KZ','Asia/Aqtau'),(221,'KZ','Asia/Atyrau'),(222,'KZ','Asia/Oral'),(223,'LA','Asia/Vientiane'),(224,'LB','Asia/Beirut'),(225,'LC','America/St_Lucia'),(226,'LI','Europe/Vaduz'),(227,'LK','Asia/Colombo'),(228,'LR','Africa/Monrovia'),(229,'LS','Africa/Maseru'),(230,'LT','Europe/Vilnius'),(231,'LU','Europe/Luxembourg'),(232,'LV','Europe/Riga'),(233,'LY','Africa/Tripoli'),(234,'MA','Africa/Casablanca'),(235,'MC','Europe/Monaco'),(236,'MD','Europe/Chisinau'),(237,'ME','Europe/Podgorica'),(238,'MF','America/Marigot'),(239,'MG','Indian/Antananarivo'),(240,'MH','Pacific/Majuro'),(241,'MH','Pacific/Kwajalein'),(242,'MK','Europe/Skopje'),(243,'ML','Africa/Bamako'),(244,'MM','Asia/Yangon'),(245,'MN','Asia/Ulaanbaatar'),(246,'MN','Asia/Hovd'),(247,'MN','Asia/Choibalsan'),(248,'MO','Asia/Macau'),(249,'MP','Pacific/Saipan'),(250,'MQ','America/Martinique'),(251,'MR','Africa/Nouakchott'),(252,'MS','America/Montserrat'),(253,'MT','Europe/Malta'),(254,'MU','Indian/Mauritius'),(255,'MV','Indian/Maldives'),(256,'MW','Africa/Blantyre'),(257,'MX','America/Mexico_City'),(258,'MX','America/Cancun'),(259,'MX','America/Merida'),(260,'MX','America/Monterrey'),(261,'MX','America/Matamoros'),(262,'MX','America/Mazatlan'),(263,'MX','America/Chihuahua'),(264,'MX','America/Ojinaga'),(265,'MX','America/Hermosillo'),(266,'MX','America/Tijuana'),(267,'MX','America/Bahia_Banderas'),(268,'MY','Asia/Kuala_Lumpur'),(269,'MY','Asia/Kuching'),(270,'MZ','Africa/Maputo'),(271,'NA','Africa/Windhoek'),(272,'NC','Pacific/Noumea'),(273,'NE','Africa/Niamey'),(274,'NF','Pacific/Norfolk'),(275,'NG','Africa/Lagos'),(276,'NI','America/Managua'),(277,'NL','Europe/Amsterdam'),(278,'NO','Europe/Oslo'),(279,'NP','Asia/Kathmandu'),(280,'NR','Pacific/Nauru'),(281,'NU','Pacific/Niue'),(282,'NZ','Pacific/Auckland'),(283,'NZ','Pacific/Chatham'),(284,'OM','Asia/Muscat'),(285,'PA','America/Panama'),(286,'PE','America/Lima'),(287,'PF','Pacific/Tahiti'),(288,'PF','Pacific/Marquesas'),(289,'PF','Pacific/Gambier'),(290,'PG','Pacific/Port_Moresby'),(291,'PG','Pacific/Bougainville'),(292,'PH','Asia/Manila'),(293,'PK','Asia/Karachi'),(294,'PL','Europe/Warsaw'),(295,'PM','America/Miquelon'),(296,'PN','Pacific/Pitcairn'),(297,'PR','America/Puerto_Rico'),(298,'PS','Asia/Gaza'),(299,'PS','Asia/Hebron'),(300,'PT','Europe/Lisbon'),(301,'PT','Atlantic/Madeira'),(302,'PT','Atlantic/Azores'),(303,'PW','Pacific/Palau'),(304,'PY','America/Asuncion'),(305,'QA','Asia/Qatar'),(306,'RE','Indian/Reunion'),(307,'RO','Europe/Bucharest'),(308,'RS','Europe/Belgrade'),(309,'RU','Europe/Kaliningrad'),(310,'RU','Europe/Moscow'),(311,'UA','Europe/Simferopol'),(312,'RU','Europe/Kirov'),(313,'RU','Europe/Astrakhan'),(314,'RU','Europe/Volgograd'),(315,'RU','Europe/Saratov'),(316,'RU','Europe/Ulyanovsk'),(317,'RU','Europe/Samara'),(318,'RU','Asia/Yekaterinburg'),(319,'RU','Asia/Omsk'),(320,'RU','Asia/Novosibirsk'),(321,'RU','Asia/Barnaul'),(322,'RU','Asia/Tomsk'),(323,'RU','Asia/Novokuznetsk'),(324,'RU','Asia/Krasnoyarsk'),(325,'RU','Asia/Irkutsk'),(326,'RU','Asia/Chita'),(327,'RU','Asia/Yakutsk'),(328,'RU','Asia/Khandyga'),(329,'RU','Asia/Vladivostok'),(330,'RU','Asia/Ust-Nera'),(331,'RU','Asia/Magadan'),(332,'RU','Asia/Sakhalin'),(333,'RU','Asia/Srednekolymsk'),(334,'RU','Asia/Kamchatka'),(335,'RU','Asia/Anadyr'),(336,'RW','Africa/Kigali'),(337,'SA','Asia/Riyadh'),(338,'SB','Pacific/Guadalcanal'),(339,'SC','Indian/Mahe'),(340,'SD','Africa/Khartoum'),(341,'SE','Europe/Stockholm'),(342,'SG','Asia/Singapore'),(343,'SH','Atlantic/St_Helena'),(344,'SI','Europe/Ljubljana'),(345,'SJ','Arctic/Longyearbyen'),(346,'SK','Europe/Bratislava'),(347,'SL','Africa/Freetown'),(348,'SM','Europe/San_Marino'),(349,'SN','Africa/Dakar'),(350,'SO','Africa/Mogadishu'),(351,'SR','America/Paramaribo'),(352,'SS','Africa/Juba'),(353,'ST','Africa/Sao_Tome'),(354,'SV','America/El_Salvador'),(355,'SX','America/Lower_Princes'),(356,'SY','Asia/Damascus'),(357,'SZ','Africa/Mbabane'),(358,'TC','America/Grand_Turk'),(359,'TD','Africa/Ndjamena'),(360,'TF','Indian/Kerguelen'),(361,'TG','Africa/Lome'),(362,'TH','Asia/Bangkok'),(363,'TJ','Asia/Dushanbe'),(364,'TK','Pacific/Fakaofo'),(365,'TL','Asia/Dili'),(366,'TM','Asia/Ashgabat'),(367,'TN','Africa/Tunis'),(368,'TO','Pacific/Tongatapu'),(369,'TR','Europe/Istanbul'),(370,'TT','America/Port_of_Spain'),(371,'TV','Pacific/Funafuti'),(372,'TW','Asia/Taipei'),(373,'TZ','Africa/Dar_es_Salaam'),(374,'UA','Europe/Kiev'),(375,'UA','Europe/Uzhgorod'),(376,'UA','Europe/Zaporozhye'),(377,'UG','Africa/Kampala'),(378,'UM','Pacific/Midway'),(379,'UM','Pacific/Wake'),(380,'US','America/New_York'),(381,'US','America/Detroit'),(382,'US','America/Kentucky/Louisville'),(383,'US','America/Kentucky/Monticello'),(384,'US','America/Indiana/Indianapolis'),(385,'US','America/Indiana/Vincennes'),(386,'US','America/Indiana/Winamac'),(387,'US','America/Indiana/Marengo'),(388,'US','America/Indiana/Petersburg'),(389,'US','America/Indiana/Vevay'),(390,'US','America/Chicago'),(391,'US','America/Indiana/Tell_City'),(392,'US','America/Indiana/Knox'),(393,'US','America/Menominee'),(394,'US','America/North_Dakota/Center'),(395,'US','America/North_Dakota/New_Salem'),(396,'US','America/North_Dakota/Beulah'),(397,'US','America/Denver'),(398,'US','America/Boise'),(399,'US','America/Phoenix'),(400,'US','America/Los_Angeles'),(401,'US','America/Anchorage'),(402,'US','America/Juneau'),(403,'US','America/Sitka'),(404,'US','America/Metlakatla'),(405,'US','America/Yakutat'),(406,'US','America/Nome'),(407,'US','America/Adak'),(408,'US','Pacific/Honolulu'),(409,'UY','America/Montevideo'),(410,'UZ','Asia/Samarkand'),(411,'UZ','Asia/Tashkent'),(412,'VA','Europe/Vatican'),(413,'VC','America/St_Vincent'),(414,'VE','America/Caracas'),(415,'VG','America/Tortola'),(416,'VI','America/St_Thomas'),(417,'VN','Asia/Ho_Chi_Minh'),(418,'VU','Pacific/Efate'),(419,'WF','Pacific/Wallis'),(420,'WS','Pacific/Apia'),(421,'YE','Asia/Aden'),(422,'YT','Indian/Mayotte'),(423,'ZA','Africa/Johannesburg'),(424,'ZM','Africa/Lusaka'),(425,'ZW','Africa/Harare');";
        DB::unprepared($statement);
        DB::statement('SET FOREIGN_KEY_CHECKS=1;');
    }
}
